
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
CREATE TABLE TI_EAN (
	CODEXT VARCHAR2(20),
	CODFIL CHAR(3),
	CODEAN VARCHAR2(20),
	REFATI VARCHAR2(1),
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
	);

/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (CODEXT CONSTRAINT NN_EAN_CODEXT NOT NULL);


/*-- SEQ 0003 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (CODEAN CONSTRAINT NN_EAN_CODEAN NOT NULL);


/*-- SEQ 0004 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (CODFIL CONSTRAINT NN_EAN_CODFIL NOT NULL);


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (REFATI CONSTRAINT NN_EAN_REFATI NOT NULL);


/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87083 --
ALTER TABLE TI_EAN MODIFY (STATUS CONSTRAINT NN_EAN_STATUS NOT NULL);



/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LC_IVEN_AK ON TI_VEN (CODFIL, NUMECF, CODSER, NUMNOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_LC_IREC_AK ON TI_REC (CODFIL, NUMECF, CODSER, NUMNOT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0009 --*/
-- Tarefa 86921 --
ALTER TABLE TD_TAN ADD QTDLTS Number(12,4) ;


/*-- SEQ 0010 --*/
-- Tarefa 86921 --
ALTER TABLE TW_TAB ADD QTDLTS Number(12,4) ;



/*-- SEQ 0011 --*/
-- Tarefa 86926 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0012 --*/
ALTER TABLE TT_CFG ADD CKGRADEPESAVEL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0013 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0014 --*/
-- Tarefa 86926 -- 
ALTER TABLE TT_CFG MODIFY (CKGRADEPESAVEL CONSTRAINT NN_CFG_CKGRADEPESAVEL NOT NULL);


/*-- SEQ 0015 --*/
-- Tarefa 86926 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKGRADEPESAVEL CHECK (CKGRADEPESAVEL IN ('T','F'));

/*-- SEQ 0016 --*/
-- Tarefa 86926 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0017 --*/
ALTER TABLE TW_CFG ADD CKGRADEPESAVEL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0018 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Outs.freios e suas partes,p/tratores/veic.automoveis'
 WHERE CODNCM = '87083900';
                     
/*-- SEQ 0020 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Eixos de transmissao c/diferencial p/veic.automoveis'
 WHERE CODNCM = '87085090';

/*-- SEQ 0021 --*/
-- Tarefa 87223 --
UPDATE TT_NCM
   SET NOMNCM = '--Barras de direcao p/veiculos automoveis'
 WHERE CODNCM = '87089492';


/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87438 --  
CREATE INDEX I_LC_RFIN_ATU_EM ON TR_FIN (ATU_EM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87589 --
CREATE TABLE TD_MPB (
    CODTAB Number(5),
    DESMPB VARCHAR2(100),
    VLRMAX Number(12,2),
    MPBATI VARCHAR2(1) DEFAULT 'T') TABLESPACE TOTALL_DATA;

/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87589 --
ALTER TABLE TD_MPB ADD CONSTRAINT PK_DMPB PRIMARY KEY (CODTAB);

/*-- SEQ 0025 --*/
-- Tarefa 87589 -- 
ALTER TABLE TD_MPB MODIFY (DESMPB CONSTRAINT NN_DMPB_DESMPB NOT NULL);

    
/*-- SEQ 0026 --*/
-- Tarefa 87589 -- 
ALTER TABLE TD_MPB MODIFY (MPBATI CONSTRAINT NN_DMPB_MPBATI NOT NULL);


/*-- SEQ 0027 --*/
-- Tarefa 87589 --
ALTER TABLE TD_MPB ADD CONSTRAINT CK_DMPB_MPBATI CHECK (MPBATI IN ('T','F'));

/*-- SEQ 0028 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (1, 'Inciso I', 2000, 'T');

/*-- SEQ 0029 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (2, 'Inciso II', 4000, 'T');

/*-- SEQ 0030 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (3, 'Inciso III', 4000, 'T');

/*-- SEQ 0031 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (4, 'Inciso IV', 2100, 'T');

/*-- SEQ 0032 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (5, 'Inciso V', 150, 'T');

/*-- SEQ 0033 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (6, 'Inciso VI', 2500, 'T');

/*-- SEQ 0034 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (7, 'Inciso VII', null, 'T');

/*-- SEQ 0035 --*/
-- Tarefa 87589 --
INSERT INTO TD_MPB (CODTAB, DESMPB, VLRMAX, MPBATI) VALUES (8, 'Inciso VIII', null, 'T');

/*-- SEQ 0036 --*/
-- Tarefa 87589 --
ALTER TABLE TW_TAB ADD DESMPB Number(5) ;


/*-- SEQ 0037 --*/
-- Tarefa 87589 --
ALTER TABLE TW_TAB ADD VLRMAX Number(12,2) ;


/*-- SEQ 0038 --*/
-- Tarefa 87589 --
ALTER TABLE TW_TAB ADD MPBATI VARCHAR2(1) ;



/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87818 --
ALTER TABLE TT_SUP ADD PRICLI CHAR(1) ;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87818 --
ALTER TABLE TT_SUP ADD CONSTRAINT CK_SUP_PRICLI CHECK (PRICLI IN ('0','1','2','3'));


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_ORIPRO;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO DROP CONSTRAINT CK_IPRO_ORIPRO;

/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODORI;

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODORI;

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_ORIPRO CHECK (ORIPRO IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87805 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN ('0','1','2','3','4','5','6','7'));


/*-- SEQ 0049 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ;


/*-- SEQ 0050 --*/
-- Tarefa 83057 --  
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4,5,6,7,8));


/*-- SEQ 0051 --*/
-- Tarefa 87393 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
    (SELECT '-Outros',2,12,'T','65059000' 
       FROM DUAL
      WHERE NOT EXISTS (SELECT 1 AS OK
                          FROM TT_NCM
                         WHERE CODNCM = '65059000'));


/*-- SEQ 0052 --*/
-- Tarefa XXXXX --
ALTER TABLE TT_PRO DROP CONSTRAINT CK_PRO_TIPMPB;

/*-- SEQ 0053 --*/
-- Tarefa XXXXX --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_TIPMPB CHECK (TIPMPB IN ('C','T','M','E','O','D', 'U', 'N', 'S', 'R'));

/*-- SEQ 0054 --*/
-- Tarefa XXXXX --
ALTER TABLE TT_MPB DROP CONSTRAINT CK_MPB_TIPCONJ;

/*-- SEQ 0055 --*/
-- Tarefa XXXXX --
ALTER TABLE TT_MPB ADD CONSTRAINT CK_MPB_TIPCONJ CHECK (TIPCONJ IN (1,2,3,4,5,6,7,8));


/*-- SEQ 0056 --*/
-- Tarefa 87591 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TD_MPB', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TD_MPB'));


/*-- SEQ 0057 --*/
-- Tarefa 83034 --  
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;


/*-- SEQ 0058 --*/
-- Tarefa 83034 --  
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R'));


/*-- SEQ 0059 --*/
-- Tarefa 87153 --
ALTER TABLE TT_VEN ADD ORICAN CHAR(1);

/*-- SEQ 0060 --*/
-- Tarefa 87153 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_ORICAN CHECK (ORICAN IN ('1', '2'));


/*-- SEQ 0061 --*/
-- Tarefa 85717 --
ALTER TABLE TD_NAT ADD NATBCC CHAR(2);

/*-- SEQ 0062 --*/
-- Tarefa 85717 --
ALTER TABLE TW_TAB ADD NATBCC CHAR(2); 

/*-- SEQ 0063 --*/
-- Tarefa 85717 --
ALTER TABLE TT_ICO ADD NATBCC CHAR(2);

/*-- SEQ 0064 --*/
-- Tarefa 85717 --
ALTER TABLE TT_COM ADD NATBCC CHAR(2); 

/*-- SEQ 0065 --*/
-- Tarefa 85717 --
ALTER TABLE TT_IVE ADD NATBCC CHAR(2); 



/*-- SEQ 0066 --*/
-- Tarefa 87589 --  
ALTER TABLE TW_TAB MODIFY (DESMPB VARCHAR2(100));


/*-- SEQ 0067 --*/
-- Tarefa 86939 --
ALTER TABLE TW_TAB ADD SERREM CHAR(2);


/*-- SEQ 0068 --*/
-- Tarefa 87894 --
ALTER TABLE TD_EST DISABLE ALL TRIGGERS;

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_EST ADD ICMIMP Number(14,4) DEFAULT 4.00;

/*-- SEQ 0070 --*/
ALTER TABLE TD_EST ENABLE ALL TRIGGERS;


/*-- SEQ 0071 --*/
-- Tarefa 87246 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,360)||'N'||SUBSTR(PERMIS,362,9999);


/*-- SEQ 0072 --*/
-- Tarefa 86729 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,358)||'N'||SUBSTR(PERMIS,360,9999);

/*-- SEQ 0073 --*/
-- Tarefa 86729 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,359)||'N'||SUBSTR(PERMIS,361,9999);


/*-- SEQ 0074 --*/
-- Tarefa 86962 --
ALTER TABLE TT_CLI ADD E_MFIN VARCHAR2(254) ;
 


/*-- SEQ 0075 --*/
-- Tarefa 87918 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0076 --*/
ALTER TABLE TT_CFG ADD DEV_FATVIN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0077 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0078 --*/
-- Tarefa 87918 -- 
ALTER TABLE TT_CFG MODIFY (DEV_FATVIN CONSTRAINT NN_CFG_DEV_FATVIN NOT NULL);


/*-- SEQ 0079 --*/
-- Tarefa 87918 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DEV_FATVIN CHECK (DEV_FATVIN IN ('T','F'));

/*-- SEQ 0080 --*/
-- Tarefa 87918 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0081 --*/
ALTER TABLE TW_CFG ADD DEV_FATVIN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0082 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0083 --*/
-- Tarefa 87911 --
ALTER TABLE TD_FIL ADD FILVEN VARCHAR2(3) ;


/*-- SEQ 0084 --*/
-- Tarefa 87911 --
ALTER TABLE TD_FIL ADD CODVEN VARCHAR2(3) ;



/*-- SEQ 0085 --*/
-- Tarefa 87617 --
ALTER TABLE TT_CBS DROP CONSTRAINT CK_CBS_REGRA;

/*-- SEQ 0086 --*/
-- Tarefa 87617 --
ALTER TABLE TT_CBS ADD CONSTRAINT CK_CBS_REGRA CHECK (FILAPL IS NOT NULL OR FILMAT IS NOT NULL);


/*-- SEQ 0087 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87728 --
ALTER TABLE TT_REF DROP CONSTRAINT CK_REF_REFFOR;


/*-- SEQ 0088 --*/
-- Tarefa 88054 --
ALTER TABLE TI_CLI ADD CODPAI Number(5) ;



/*-- SEQ 0089 --*/
-- Tarefa 88357 --
ALTER TABLE TT_PRO ADD VENPIS Number(6,2) ;


/*-- SEQ 0090 --*/
-- Tarefa 88357 --
ALTER TABLE TT_PRO ADD VENCOF Number(6,2) ;


/*-- SEQ 0091 --*/
-- Tarefa 88357 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_VENPIS CHECK (VENPIS > 0 OR VENPIS IS NULL);

/*-- SEQ 0092 --*/
-- Tarefa 88357 --
ALTER TABLE TT_PRO ADD CONSTRAINT CK_PRO_VENCOF CHECK (VENCOF > 0 OR VENCOF IS NULL);


/*-- SEQ 0093 --*/
-- Tarefa 87988 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0094 --*/
ALTER TABLE TT_CFG ADD USA_CTA_TRANSITO_TRANSF_IDENT VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0095 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0096 --*/
-- Tarefa 87988 -- 
ALTER TABLE TT_CFG MODIFY (USA_CTA_TRANSITO_TRANSF_IDENT CONSTRAINT NN_CFG_USA_CTA_TRANSITO_TRANSF NOT NULL);


/*-- SEQ 0097 --*/
-- Tarefa 87988 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_USA_CTA_TRANSITO_TRANSF CHECK (USA_CTA_TRANSITO_TRANSF_IDENT IN ('T','F'));

/*-- SEQ 0098 --*/
-- Tarefa 87988 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0099 --*/
ALTER TABLE TW_CFG ADD USA_CTA_TRANSITO_TRANSF_IDENT VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0100 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 87589 --  
SELECT * FROM NADA;


/*-- SEQ 0102 --*/
-- Tarefa 88221 --
CREATE TABLE TT_ICOXIRC (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    FILICO CHAR(3),
    SEQICO CHAR(10),
    ITEICO Number(5,0),
    FILIRC CHAR(3),
    SEQIRC CHAR(10),
    ITEIRC Number(5,0),
    FLGEST CHAR(1),
    QTDENT Number(14,4),
    DATINC Date,
    ATU_EM Date
	);

/*-- SEQ 0103 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC ADD CONSTRAINT PK_TT_ICOXIRC PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0104 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC ADD CONSTRAINT FK_ICOXIRC_ICO FOREIGN KEY (FILICO,SEQICO,ITEICO) REFERENCES TT_ICO(CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0105 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC ADD CONSTRAINT FK_ICOXIRC_IRC FOREIGN KEY (FILIRC,SEQIRC,ITEIRC) REFERENCES TT_IRC(CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0106 --*/
-- Tarefa 88221 --
CREATE INDEX I_FK_ICOXIRC_ICO ON TT_ICOXIRC (FILICO,SEQICO,ITEICO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0107 --*/
-- Tarefa 88221 --
CREATE INDEX I_FK_ICOXIRC_IRC ON TT_ICOXIRC (FILIRC,SEQIRC,ITEIRC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0108 --*/
-- Tarefa 88221 --
CREATE UNIQUE INDEX I_UQ_ICOXIRC ON TT_ICOXIRC (FILICO,SEQICO,ITEICO,FILIRC,SEQIRC,ITEIRC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0109 --*/
-- Tarefa 88221 --
CREATE SEQUENCE SQICOXIRC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0110 --*/
-- Tarefa 88216 --
CREATE TABLE TT_IRCXIPE (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    FILIRC CHAR(3),
    SEQIRC CHAR(10),
    ITEIRC Number(5,0),
    FILIPE CHAR(3),
    SEQIPE CHAR(10),
    ITEIPE Number(5,0),
    FLGEST CHAR(1),
    QTDENT Number(14,4),
    DATINC Date,
    ATU_EM Date
	);

/*-- SEQ 0111 --*/
-- Tarefa 88216 --
ALTER TABLE TT_IRCXIPE ADD CONSTRAINT PK_TT_IRCXIPE PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0112 --*/
-- Tarefa 88216 --
ALTER TABLE TT_IRCXIPE ADD CONSTRAINT FK_IRCXIPE_IRC FOREIGN KEY (FILIRC,SEQIRC,ITEIRC) REFERENCES TT_IRC(CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0113 --*/
-- Tarefa 88216 --
ALTER TABLE TT_IRCXIPE ADD CONSTRAINT FK_IRCXIPE_IPE FOREIGN KEY (FILIPE,SEQIPE,ITEIPE) REFERENCES TT_IPE(CODFIL,NUMPED,NUMITE);

/*-- SEQ 0114 --*/
-- Tarefa 88216 --
CREATE INDEX I_FK_IRCXIPE_IRC ON TT_IRCXIPE (FILIRC,SEQIRC,ITEIRC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0115 --*/
-- Tarefa 88216 --
CREATE INDEX I_FK_IRCXIPE_IPE ON TT_IRCXIPE (FILIPE,SEQIPE,ITEIPE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0116 --*/
-- Tarefa 88216 --
CREATE UNIQUE INDEX I_UQ_IRCXIPE ON TT_IRCXIPE (FILIRC,SEQIRC,ITEIRC,FILIPE,SEQIPE,ITEIPE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0117 --*/
-- Tarefa 88216 --
CREATE SEQUENCE SQIRCXIPE INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0118 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC DISABLE ALL TRIGGERS;


/*-- SEQ 0119 --*/
-- Tarefa 88221 --
UPDATE TT_ICOXIRC 
   SET FLGEST = 'A'
 WHERE FLGEST IS NULL;

/*-- SEQ 0120 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC MODIFY (FLGEST CONSTRAINT NN_ICOXIRC_FLGEST NOT NULL);


/*-- SEQ 0121 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0122 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC ADD CONSTRAINT CK_ICOXIRC_FLGEST CHECK (FLGEST IN ('A','C'));

/*-- SEQ 0123 --*/
-- Tarefa 88221 --
ALTER TABLE TT_ICOXIRC ENABLE ALL TRIGGERS;


/*-- SEQ 0124 --*/
-- Tarefa 88216 --
ALTER TABLE TT_IRCXIPE DISABLE ALL TRIGGERS;


/*-- SEQ 0125 --*/
-- Tarefa 88216 --
UPDATE TT_IRCXIPE
   SET FLGEST = 'A'
 WHERE FLGEST IS NULL;

/*-- SEQ 0126 --*/
-- Tarefa 88221 --
ALTER TABLE TT_IRCXIPE MODIFY (FLGEST CONSTRAINT NN_IRCXIPE_FLGEST NOT NULL);


/*-- SEQ 0127 --*/
-- Tarefa 88221 --
ALTER TABLE TT_IRCXIPE MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0128 --*/
-- Tarefa 88221 --
ALTER TABLE TT_IRCXIPE ADD CONSTRAINT CK_IRCXIPE_FLGEST CHECK (FLGEST IN ('A','C'));

/*-- SEQ 0129 --*/
-- Tarefa 88216 --
ALTER TABLE TT_IRCXIPE ENABLE ALL TRIGGERS;


/*-- SEQ 0130 --*/
-- Tarefa 86849 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'VALCON', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'VALCON'));


/*-- SEQ 0131 --*/
-- Tarefa 88482 --
ALTER TABLE TT_CFG ADD METCLI Number(5,2) ;

 
/*-- SEQ 0132 --*/
-- Tarefa 88482 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_METCLI CHECK (METCLI > 0);

/*-- SEQ 0133 --*/
-- Tarefa 88482 --
ALTER TABLE TW_CFG ADD METCLI Number(5,2) ;
 

/*-- SEQ 0134 --*/
-- Tarefa 88482 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0135 --*/
ALTER TABLE TT_CFG ADD DIAVEN Number(2) DEFAULT '1';

/*-- SEQ 0136 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0137 --*/
-- Tarefa 88482 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAVEN CHECK ((DIAVEN >= 1) AND (DIAVEN <= 28));
 
/*-- SEQ 0138 --*/
-- Tarefa 88482 -- 
ALTER TABLE TT_CFG MODIFY (DIAVEN CONSTRAINT NN_CFG_DIAVEN NOT NULL);

 
/*-- SEQ 0139 --*/
-- Tarefa 88482 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0140 --*/
ALTER TABLE TW_CFG ADD DIAVEN Number(2) DEFAULT '1';

/*-- SEQ 0141 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0142 --*/
-- Tarefa 88488 --
ALTER TABLE TT_VPE DISABLE ALL TRIGGERS;

/*-- SEQ 0143 --*/
ALTER TABLE TT_VPE ADD CODCTR Number(5) DEFAULT '0';

/*-- SEQ 0144 --*/
ALTER TABLE TT_VPE ENABLE ALL TRIGGERS;
 
/*-- SEQ 0145 --*/
-- Tarefa 88488 --
ALTER TABLE TT_VPE DISABLE ALL TRIGGERS;


/*-- SEQ 0146 --*/
-- Tarefa 88488 --
UPDATE TT_VPE 
   SET CODCTR = 0
 WHERE CODCTR IS NULL;

/*-- SEQ 0147 --*/
-- Tarefa 88488 --
ALTER TABLE TT_VPE ENABLE ALL TRIGGERS; 
 
/*-- SEQ 0148 --*/
-- Tarefa 88488 -- 
ALTER TABLE TT_VPE MODIFY (CODCTR CONSTRAINT NN_VPE_CODCTR NOT NULL);


/*-- SEQ 0149 --*/
-- Tarefa 88488 --
ALTER TABLE TT_VPE ADD CONSTRAINT FK_VPE_DCTR FOREIGN KEY (CODCTR) REFERENCES TD_CTR(CODTAB);

/*-- SEQ 0150 --*/
-- Tarefa 88488 --
CREATE INDEX I_FK_VPE_DCTR ON TT_VPE (CODCTR) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0151 --*/
-- Tarefa 88484 --
CREATE TABLE TT_MPD (
    CODFIL CHAR(3),
	CODCTR Number(5),
	ANOREF Number(4),
	MESREF Number(2),
	DIAREF Number(2),
	VALOR1 Number(12,2),
	VALOR2 Number(12,2),
	VALOR3 Number(12,2),
	VALOR4 Number(12,2)
	);
	
/*-- SEQ 0152 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD MODIFY (CODFIL CONSTRAINT NN_MPD_CODFIL NOT NULL);


/*-- SEQ 0153 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD MODIFY (CODCTR CONSTRAINT NN_MPD_CODCTR NOT NULL);


/*-- SEQ 0154 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD MODIFY (ANOREF CONSTRAINT NN_MPD_ANOREF NOT NULL);


/*-- SEQ 0155 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD MODIFY (MESREF CONSTRAINT NN_MPD_MESREF NOT NULL);


/*-- SEQ 0156 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD MODIFY (DIAREF CONSTRAINT NN_MPD_DIAREF NOT NULL);


/*-- SEQ 0157 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD ADD CONSTRAINT PK_TT_MPD PRIMARY KEY (CODFIL, CODCTR, ANOREF, MESREF, DIAREF);

/*-- SEQ 0158 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD ADD CONSTRAINT CK_MPD_VALOR1 CHECK (VALOR1 > 0 OR VALOR1 IS NULL);

/*-- SEQ 0159 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD ADD CONSTRAINT CK_MPD_VALOR2 CHECK (VALOR2 > 0 OR VALOR2 IS NULL);

/*-- SEQ 0160 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD ADD CONSTRAINT CK_MPD_VALOR3 CHECK (VALOR3 > 0 OR VALOR3 IS NULL);

/*-- SEQ 0161 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD ADD CONSTRAINT CK_MPD_VALOR4 CHECK (VALOR4 > 0 OR VALOR4 IS NULL);

/*-- SEQ 0162 --*/
-- Tarefa 88484 --
ALTER TABLE TT_MPD ADD CONSTRAINT FK_MPD_DCTR FOREIGN KEY (CODCTR) REFERENCES TD_CTR(CODTAB);

/*-- SEQ 0163 --*/
-- Tarefa 88484 --
CREATE INDEX I_FK_MPD_DCTR ON TT_MPD (CODCTR) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0164 --*/
-- Tarefa 88676 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0165 --*/
-- Tarefa 88676 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FPV_TIPLUC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FPV_TIPLUC'));
                     
/*-- SEQ 0166 --*/
-- Tarefa 88676 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88790 --
ALTER TABLE TT_IVE ADD FILICOORI CHAR(3) ;


/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88790 --
ALTER TABLE TT_IVE ADD SEQICOORI CHAR(10) ;


/*-- SEQ 0169 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88790 --
ALTER TABLE TT_IVE ADD NUMICOORI Number(5) ;


/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88790 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_ICO FOREIGN KEY (FILICOORI,SEQICOORI,NUMICOORI)
  REFERENCES TT_ICO (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88790 --
CREATE INDEX I_FK_IVE_ICO ON TT_IVE (FILICOORI,SEQICOORI,NUMICOORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0172 --*/
-- Tarefa 88790 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0173 --*/
-- Tarefa 88790 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'FILICOORI', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'FILICOORI'));

/*-- SEQ 0174 --*/
-- Tarefa 88790 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0175 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055100',4,5,'T','- Ostras preparados ou em conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055100'));

/*-- SEQ 0176 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055200',4,5,'T','- Vieiras e outros mariscos preparados ou em conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055200'));

/*-- SEQ 0177 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055300',4,5,'T','- Mexilhes prepados ou em conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055300'));

/*-- SEQ 0178 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055400',4,5,'T','- Spias e lulas preparadas ou em conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055400'));

/*-- SEQ 0179 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055500',4,5,'T','- Polvos preparados ou em conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055500'));

/*-- SEQ 0180 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055600',4,5,'T','- Ameijoas, berbiges e arcas preparados/conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055600'));

/*-- SEQ 0181 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055700',4,5,'T','- Abalones preparados ou em conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055700'));

/*-- SEQ 0182 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055800',4,5,'T','- Caracis exceto os do mar preparados/conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055800'));

/*-- SEQ 0183 --*/
-- Tarefa 88519 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)  
  (SELECT '16055900',4,5,'T','- Outros moluscos preparados ou em conservas'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '16055900'));


/*-- SEQ 0184 --*/
-- Tarefa 87332 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '38249028',5,6,'T','Misturas de steres dimetlicos dos cidos adpico, glutrico e succnico, misturas de cidos dibsicos de C11 e C12.'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '38249028'));


/*-- SEQ 0185 --*/
-- Tarefa 86912 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '27101230',6,5,'T','Aguarrs mineral (white spirit)'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '27101230'));


/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88441 --
CREATE INDEX I_LC_IVO_DATHOR ON TT_IVO (DATHOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88441 --
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_IMP FOREIGN KEY (FILIMP, SEQIMP, NUMIMP) REFERENCES TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88441 --
CREATE INDEX I_FK_IVO_IMP ON TT_IVO (FILIMP, SEQIMP, NUMIMP) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0189 --*/
-- Tarefa 89135 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '95045000',4,20,'T','Consoles/Mqs.jogos vdeos,exceto subposio 9504.30 '
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '95045000'));


/*-- SEQ 0190 --*/
-- Tarefa 86857 --
ALTER TABLE TI_PRO ADD DESWEB VARCHAR2(100) ;


/*-- SEQ 0191 --*/
-- Tarefa 86857 --
ALTER TABLE TT_PRO ADD DESWEB VARCHAR2(100) ;



/*-- SEQ 0192 --*/
-- Tarefa 89192 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '65050029',3,12,'T','Chapus e outros artefatos de uso semelhante, De outras matrias txteis'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '65050029'));

/*-- SEQ 0193 --*/
-- Tarefa 89192 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '61042900',5,11,'T','Conjuntos de malha de outra materia textil,uso feminino'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '61042900'));


/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88468 --
SELECT * FROM NADA;


/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 89256 --
DROP FUNCTION AUX_PROCTIT_Nosso_Numero;


/*-- SEQ 0196 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD FILUSU CHAR(3) ;


/*-- SEQ 0197 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD CODUSU CHAR(3) ;


/*-- SEQ 0198 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA DISABLE ALL TRIGGERS;

/*-- SEQ 0199 --*/
ALTER TABLE TT_ABA ADD MANUT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0200 --*/
ALTER TABLE TT_ABA ENABLE ALL TRIGGERS;

/*-- SEQ 0201 --*/
-- Tarefa 89586 -- 
ALTER TABLE TT_ABA MODIFY (MANUT CONSTRAINT NN_ABA_MANUT NOT NULL);


/*-- SEQ 0202 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD CONSTRAINT FK_ABA_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0203 --*/
-- Tarefa 89586 --
CREATE INDEX I_FK_ABA_USU ON TT_ABA (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0204 --*/
-- Tarefa 89586 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ABA139', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ABA139'));

/*-- SEQ 0205 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA DROP CONSTRAINT CK_ABA_FLGEST;

/*-- SEQ 0206 --*/
-- Tarefa 89586 --
ALTER TABLE TT_ABA ADD CONSTRAINT CK_ABA_FLGEST CHECK (FLGEST IN ('P','C','N','A','B'));

