
/*-- SEQ 0001 --*/
-- Tarefa 95159 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_LOT ADD PERABA Number(5,2) ;

 


/*-- SEQ 0002 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95156 --
ALTER TABLE TI_SLT MODIFY (QTDEST CONSTRAINT NN_ISLT_QTDEST NOT NULL);



/*-- SEQ 0003 --*/
/*--IGNORE ERRO--*/
-- Tarefa 95159 --
ALTER TABLE TI_SLT DROP COLUMN RESERV CASCADE CONSTRAINT;


/*-- SEQ 0004 --*/
-- Tarefa 95297 --
ALTER TABLE TT_CFG ADD CFG_PARCEIRO Number(2) ;


/*-- SEQ 0005 --*/
-- Tarefa 95297 --
ALTER TABLE TW_CFG ADD CFG_PARCEIRO Number(2) ;



                             


/*-- SEQ 0006 --*/
-- Tarefa 94918 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_USU ADD CHVMAT  CHAR(15) ;


/*-- SEQ 0007 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94918 --
CREATE UNIQUE INDEX I_UQ_USU_CHVMAT ON TT_USU (CHVMAT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0008 --*/
-- Tarefa 95127 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TRN ADD CONSTRAINT FK_TRN_DFIL_CODFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95127 --
CREATE INDEX I_FK_TRN_DFIL ON TT_TRN (CODFIL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95407 --
ALTER TABLE TW_COM_FIS MODIFY (NUMNOT VARCHAR2(9));


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95107 --
CREATE INDEX I_FK_VEN_VEN_ORI ON TT_VEN (FILORI,SEQORI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
select * from NADA;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
select * from NADA;



/*-- SEQ 0014 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV  ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0015 --*/
-- Tarefa 95053 --
CREATE UNIQUE INDEX I_UQ_INV_CODEXT ON TT_INV (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0016 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV  ADD ATU_EM Date ;


/*-- SEQ 0017 --*/
-- Tarefa 95053 --
CREATE INDEX I_LC_INV_ATU_EM ON TT_INV (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0018 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV DISABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
-- Tarefa 95053 --
UPDATE TT_INV SET ATU_EM = DATCRI WHERE ATU_EM IS NULL;

/*-- SEQ 0020 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV ENABLE ALL TRIGGERS;

/*-- SEQ 0021 --*/
-- Tarefa 95053 --
ALTER TABLE TT_INV MODIFY (ATU_EM CONSTRAINT NN_INV_ATU_EM NOT NULL);


/*-- SEQ 0022 --*/
-- Tarefa 95053 --
ALTER TABLE TT_IIN ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0023 --*/
-- Tarefa 95053 --
CREATE UNIQUE INDEX I_UQ_IIN_CODEXT ON TT_IIN (CODEXT) TABLESPACE TOTALL_INDEX;





/*-- SEQ 0024 --*/
-- Tarefa 95055 --
CREATE TABLE TL_INV (
    CODTAB Number(10),
    FILINV CHAR(3),
    SEQINV CHAR(10),
    MSGLOG VARCHAR2(4000),
    DATOPE Date,
    FILUSU CHAR(3),
    CODUSU CHAR(3),
    CODUID Number
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0025 --*/ 
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT PK_LINV PRIMARY KEY (CODTAB);
 
/*-- SEQ 0026 --*/
-- Tarefa 95055 --
CREATE SEQUENCE SQLINV INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0027 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV MODIFY (FILINV CONSTRAINT NN_LINV_FILINV NOT NULL);


/*-- SEQ 0028 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV MODIFY (SEQINV CONSTRAINT NN_LINV_SEQINV NOT NULL);


/*-- SEQ 0029 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV MODIFY (DATOPE CONSTRAINT NN_LINV_DATOPE NOT NULL);


/*-- SEQ 0030 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV MODIFY (FILUSU CONSTRAINT NN_LINV_FILUSU NOT NULL);


/*-- SEQ 0031 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV MODIFY (CODUSU CONSTRAINT NN_LINV_CODUSU NOT NULL);


/*-- SEQ 0032 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT FK_LINV_INV FOREIGN KEY (FILINV, SEQINV) REFERENCES TT_INV(CODFIL, SEQUEN);
 
/*-- SEQ 0033 --*/
-- Tarefa 95055 --
CREATE INDEX I_FK_LINV_INV ON TL_INV (FILINV, SEQINV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0034 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT FK_LINV_UID FOREIGN KEY (CODUID) REFERENCES TT_UID(CODUID);
 
/*-- SEQ 0035 --*/
-- Tarefa 95055 --
CREATE INDEX I_FK_LINV_UID ON TL_INV (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0036 --*/
-- Tarefa 95055 --
ALTER TABLE TL_INV ADD CONSTRAINT FK_LINV_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU(FILUSU, CODUSU);
 
/*-- SEQ 0037 --*/
-- Tarefa 95055 --
CREATE INDEX I_FK_LINV_USU ON TL_INV (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0038 --*/
-- Tarefa 95335 --
CREATE TABLE TI_SEP (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATCRI Date,
    CONTEM Number(12,4),
    QTDFAL Number(12,4),
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0039 --*/
-- Tarefa 95335 --
ALTER TABLE TI_SEP MODIFY (DATCRI CONSTRAINT NN_ISEP_DATCRI NOT NULL);


/*-- SEQ 0040 --*/
-- Tarefa 95335 --
ALTER TABLE TI_SEP MODIFY (STATUS CONSTRAINT NN_ISEP_STATUS NOT NULL);


/*-- SEQ 0041 --*/
-- Tarefa 95335 --
CREATE INDEX I_LC_ISEP_STATUS ON TI_SEP (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0042 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
ALTER TABLE TT_LOT MODIFY (CODEXT VARCHAR2(40));

/*-- SEQ 0043 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
ALTER TABLE TI_LOT MODIFY (CODEXT VARCHAR2(40));

/*-- SEQ 0044 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95464 --
ALTER TABLE TI_SLT MODIFY (CODEXT VARCHAR2(40));


/*-- SEQ 0045 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

                      
/*-- SEQ 0046 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0047 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                      


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95433 --
select * from NADA;


/*-- SEQ 0049 --*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD USALOT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0051 --*/
ALTER TABLE TI_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_USALOT CHECK (USALOT IN ('T','F'));

/*-- SEQ 0053 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO MODIFY (USALOT CONSTRAINT NN_IPRO_USALOT NOT NULL);


/*-- SEQ 0054 --*/
-- Tarefa 95501 --
ALTER TABLE TI_PRO DISABLE ALL TRIGGERS;

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD LOTONL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0056 --*/
ALTER TABLE TI_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0057 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO ADD CONSTRAINT CK_IPRO_LOTONL CHECK (LOTONL IN ('T','F'));

/*-- SEQ 0058 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95501 --
ALTER TABLE TI_PRO MODIFY (LOTONL CONSTRAINT NN_IPRO_LOTONL NOT NULL);



/*-- SEQ 0059 --*/
-- Tarefa 95060 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0060 --*/
-- Tarefa 95060 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,388)||'S'||SUBSTR(PERMIS,390,9999);

/*-- SEQ 0061 --*/
-- Tarefa 95060 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0062 --*/
-- Tarefa 90009 --
ALTER TABLE TT_GRA ADD BALTAR Number(7,4) ;




/*-- SEQ 0063 --*/
-- Tarefa 95433 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0064 --*/
-- Tarefa 95433 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,392)||'S'||SUBSTR(PERMIS,394,9999);

/*-- SEQ 0065 --*/
-- Tarefa 95433 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0066 --*/
-- Tarefa 90013 --
ALTER TABLE TT_DEC DISABLE ALL TRIGGERS;

/*-- SEQ 0067 --*/
ALTER TABLE TT_DEC ADD VERSAO Number(8) DEFAULT 1;

/*-- SEQ 0068 --*/
ALTER TABLE TT_DEC ENABLE ALL TRIGGERS;

/*-- SEQ 0069 --*/
-- Tarefa 90013 --
ALTER TABLE TT_DEC MODIFY (VERSAO CONSTRAINT NN_DEC_VERSAO NOT NULL);


/*-- SEQ 0070 --*/
-- Tarefa 90013 --
ALTER TABLE TT_DEC DROP CONSTRAINT PK_DEC;

/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
DROP INDEX PK_DEC;

/*-- SEQ 0072 --*/ 
-- Tarefa 90013 --
ALTER TABLE TT_DEC ADD CONSTRAINT PK_DEC PRIMARY KEY (ORIGEM, CODTAB, VERSAO);


/*-- SEQ 0073 --*/
-- Tarefa 95439 --
ALTER TABLE TT_LOT DISABLE ALL TRIGGERS;

/*-- SEQ 0074 --*/
ALTER TABLE TT_LOT ADD LOTATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0075 --*/
ALTER TABLE TT_LOT ENABLE ALL TRIGGERS;

/*-- SEQ 0076 --*/
-- Tarefa 95439 --
ALTER TABLE TT_LOT MODIFY (LOTATI CONSTRAINT NN_LOT_LOTATI NOT NULL);


/*-- SEQ 0077 --*/
-- Tarefa 95439 --
ALTER TABLE TT_LOT ADD CONSTRAINT CK_LOT_LOTATI CHECK (LOTATI IN ('F','T'));


/*-- SEQ 0078 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN ADD PERDEV Number(5,2) ;


/*-- SEQ 0079 --*/
-- Tarefa 95557 --
ALTER TABLE TT_VEN ADD IPIDEV Number(12,2) ;



/*-- SEQ 0080 --*/ 
-- Tarefa 95534 --  
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_FINNFE;  

/*-- SEQ 0081 --*/
-- Tarefa 95534--
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_FINNFE CHECK (FINNFE IN (1,2,3,4));


-- Tarefa 94625 --
/*-- SEQ 0082 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux 
RETURN VARCHAR2 IS
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Number(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Number(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
           
     where ROWNUM = 1
                          ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return 'OK';
END TmpUpdProAux;
/

/*-- SEQ 0083 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0084 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0085 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := TmpUpdProAux();
end;
/


/*-- SEQ 0086 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0087 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0088 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION TmpUpdProAux;


/*-- SEQ 0089 --*/
-- Tarefa 92964 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0090 --*/
-- Tarefa 92964 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CLASSIFICAABCXYZ','Rotina para classificar produtos por ABC e XYZ',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CLASSIFICAABCXYZ');
/*-- SEQ 0091 --*/
-- Tarefa 92964 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                


/*-- SEQ 0092 --*/
-- Tarefa 93917 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Tarefa 93917 --
INSERT INTO TT_JOB (NOMJOB,DESJOB,ULTEXE,QTDERR,ULTERR)
SELECT 'JOB_CALCULATRACKINGSIGNAL','Rotina para calcular Tracking Signal dos produtos',Agora(),0,NULL
  FROM DUAL
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_JOB
                    WHERE NOMJOB = 'JOB_CALCULATRACKINGSIGNAL');

/*-- SEQ 0094 --*/
-- Tarefa 93917 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;


/*-- SEQ 0095 --*/
-- Tarefa 95580 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0096 --*/
ALTER TABLE TT_CFG ADD TIPSUGPRO Number(1) DEFAULT 0;

/*-- SEQ 0097 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0098 --*/
-- Tarefa 95580 --
ALTER TABLE TT_CFG MODIFY (TIPSUGPRO CONSTRAINT NN_CFG_TIPSUGPRO NOT NULL);


/*-- SEQ 0099 --*/
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN ('0','1','2'));

/*-- SEQ 0100 --*/
-- Tarefa 95580 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD TIPSUGPRO Number(1) DEFAULT 0;

/*-- SEQ 0102 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0103 --*/
-- Tarefa 95585 --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;

/*-- SEQ 0104 --*/
ALTER TABLE TT_IOR ADD PROSUG VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0105 --*/
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;

/*-- SEQ 0106 --*/
-- Tarefa 95585 --
ALTER TABLE TT_IOR MODIFY (PROSUG CONSTRAINT NN_IOR_PROSUG NOT NULL);


/*-- SEQ 0107 --*/
-- Tarefa 95585 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_PROSUG CHECK (PROSUG IN ('T','F'));


/*-- SEQ 0108 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CFG_LIMITESANGRIACHEQUE Number(14,2) ;


/*-- SEQ 0109 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CFG_SANGRIAFECHAMENTO Number(5) ;


/*-- SEQ 0110 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CFG_REFORCOABERTURA Number(5) ;


/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_SANGRIAFECHA FOREIGN KEY (CFG_SANGRIAFECHAMENTO) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DCAI_REFORCOABER FOREIGN KEY (CFG_REFORCOABERTURA) REFERENCES TD_CAI(CODTAB);

/*-- SEQ 0113 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CFG_LIMITESANGRIACHEQUE Number(14,2) ;


/*-- SEQ 0114 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CFG_SANGRIAFECHAMENTO Number(5) ;


/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa  91227 --
CREATE INDEX I_FK_CFG_DCAI_SANGRIAFECHA ON TT_CFG (CFG_SANGRIAFECHAMENTO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 91227 --
CREATE INDEX I_FK_CFG_DCAI_REFORCOABER ON TT_CFG (CFG_REFORCOABERTURA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0117 --*/
-- Tarefa 91227 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CFG_REFORCOABERTURA Number(5) ;




/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP TRIGGER TGFER;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93768 --
DROP TRIGGER TGFER2;


/*-- SEQ 0120 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD ALIFEDNAC Number(4,2) ;


/*-- SEQ 0121 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDNAC CHECK ((ALIFEDNAC >= 0) OR (ALIFEDNAC IS NULL));

/*-- SEQ 0122 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD ALIFEDIMP Number(4,2) ;


/*-- SEQ 0123 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIFEDIMP CHECK ((ALIFEDIMP >= 0) OR (ALIFEDIMP IS NULL));

/*-- SEQ 0124 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD ALIEST Number(4,2) ;


/*-- SEQ 0125 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIEST CHECK ((ALIEST >= 0) OR (ALIEST IS NULL));

/*-- SEQ 0126 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD ALIMUN Number(4,2) ;


/*-- SEQ 0127 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CONSTRAINT CK_IBP_ALIMUN CHECK ((ALIMUN >= 0) OR (ALIMUN IS NULL));

/*-- SEQ 0128 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD DATINI Date ;


/*-- SEQ 0129 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD DATFIM Date ;


/*-- SEQ 0130 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD CHAVE CHAR(6) ;


/*-- SEQ 0131 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD VERSAO VARCHAR2(6) ;


/*-- SEQ 0132 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP ADD FONTE VARCHAR2(34) ;


/*-- SEQ 0133 --*/
-- Tarefa 95594 --
CREATE INDEX I_LC_IBP_DATINI ON TT_IBP (DATINI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0134 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP DROP CONSTRAINT NN_IBP_ALINAC;


/*-- SEQ 0135 --*/
-- Tarefa 95594 --
ALTER TABLE TT_IBP DROP CONSTRAINT NN_IBP_ALIIMP;



/*-- SEQ 0136 --*/
-- Tarefa 95604 --
ALTER TABLE TT_IBP DISABLE ALL TRIGGERS;


/*-- SEQ 0137 --*/
-- Tarefa 95604 --
UPDATE TT_IBP
   SET DATINI = TO_DATE('01/07/2013','DD/MM/YYYY'),
       DATFIM = TO_DATE('31/12/2014','DD/MM/YYYY')
     WHERE DATINI IS NULL;

/*-- SEQ 0138 --*/
-- Tarefa 95604 --
ALTER TABLE TT_IBP ENABLE ALL TRIGGERS;


/*-- SEQ 0139 --*/
-- Tarefa 95598 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0140 --*/
-- Tarefa 95598 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,393)||'S'||SUBSTR(PERMIS,395,9999);

/*-- SEQ 0141 --*/
-- Tarefa 95598 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;


/*-- SEQ 0142 --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD DISABLE ALL TRIGGERS;

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SAD ADD FLGPES CHAR(1) DEFAULT 'A';

/*-- SEQ 0144 --*/
ALTER TABLE TD_SAD ENABLE ALL TRIGGERS;

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD MODIFY (FLGPES CONSTRAINT NN_DSAD_FLGPES NOT NULL);


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95660 --
ALTER TABLE TD_SAD ADD CONSTRAINT CK_DSAD_FLGPES CHECK (FLGPES IN ('A','F','J'));

/*-- SEQ 0147 --*/
-- Tarefa 95660 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAD ADD CODSEG VARCHAR2(25) ;



/*-- SEQ 0148 --*/
-- Tarefa 95635 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0149 --*/
ALTER TABLE TT_CFG ADD SEP_FAT_RETIRA_DEPOSITO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0150 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0151 --*/
-- Tarefa 95635 --
ALTER TABLE TT_CFG MODIFY (SEP_FAT_RETIRA_DEPOSITO CONSTRAINT NN_CFG_SEP_FAT_RETIRA_DEPOSITO NOT NULL);


/*-- SEQ 0152 --*/
-- Tarefa 95635 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_SEP_FAT_RETIRA_DEPOSITO CHECK (SEP_FAT_RETIRA_DEPOSITO IN ('T','F'));

/*-- SEQ 0153 --*/
-- Tarefa 95635 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0154 --*/
ALTER TABLE TW_CFG ADD SEP_FAT_RETIRA_DEPOSITO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0155 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0156 --*/
-- Tarefa 95662 --
ALTER TABLE TT_SAD DISABLE ALL TRIGGERS;

/*-- SEQ 0157 --*/
ALTER TABLE TT_SAD ADD SIGNAT Number(5) DEFAULT 0;

/*-- SEQ 0158 --*/
ALTER TABLE TT_SAD ENABLE ALL TRIGGERS;

/*-- SEQ 0159 --*/
-- Tarefa 95662 -- 
ALTER TABLE TT_SAD MODIFY (SIGNAT CONSTRAINT NN_SAD_SIGNAT NOT NULL);



/*-- SEQ 0160 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD FILSAD CHAR(3) ;


/*-- SEQ 0161 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD SEQSAD CHAR(10) ;


/*-- SEQ 0162 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ADD CONSTRAINT FK_SAV_SAD FOREIGN KEY (FILSAD,SEQSAD) REFERENCES TT_SAD(CODFIL,SEQUEN);

/*-- SEQ 0163 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;


/*-- SEQ 0164 --*/
-- Tarefa 95664 --
UPDATE TT_SAV SAV SET FILSAD = (SELECT SAD.CODFIL
                                  FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                                                  INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                                        AND IOR.TIPPED = TAB.TIPPED
                                                                        AND IOR.NUMPED = TAB.NUMPED
                                                                        AND IOR.NUMITE = TAB.NUMITE
                                                  INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                                        AND SAD.FILMAT = IOR.FILMAT
                                                                        AND SAD.CODMAT = IOR.CODMAT
                                                                        AND SAD.CODCOR = IOR.CODCOR
                                                                        AND SAD.CODTAM = IOR.CODTAM
                                  WHERE TAB.CODFIL = SAV.CODFIL
                                    AND TAB.SEQUEN = SAV.SEQUEN),
                      SEQSAD = (SELECT SAD.SEQUEN
                                  FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                                                  INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                                        AND IOR.TIPPED = TAB.TIPPED
                                                                        AND IOR.NUMPED = TAB.NUMPED
                                                                        AND IOR.NUMITE = TAB.NUMITE
                                                  INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                                        AND SAD.FILMAT = IOR.FILMAT
                                                                        AND SAD.CODMAT = IOR.CODMAT
                                                                        AND SAD.CODCOR = IOR.CODCOR
                                                                        AND SAD.CODTAM = IOR.CODTAM
                                  WHERE TAB.CODFIL = SAV.CODFIL
                                    AND TAB.SEQUEN = SAV.SEQUEN)
 WHERE (SAV.CODFIL,SAV.SEQUEN) IN
       (SELECT TAB.CODFIL, TAB.SEQUEN
          FROM TT_SAV TAB INNER JOIN TD_SAD DSAD ON TAB.CODSAD = DSAD.CODTAB
                          INNER JOIN TT_IOR IOR  ON IOR.CODFIL = TAB.FILPED
                                                AND IOR.TIPPED = TAB.TIPPED
                                                AND IOR.NUMPED = TAB.NUMPED
                                                AND IOR.NUMITE = TAB.NUMITE
                          INNER JOIN TT_SAD SAD  ON SAD.CODSAD = TAB.CODSAD
                                                AND SAD.FILMAT = IOR.FILMAT
                                                AND SAD.CODMAT = IOR.CODMAT
                                                AND SAD.CODCOR = IOR.CODCOR
                                                AND SAD.CODTAM = IOR.CODTAM);

/*-- SEQ 0165 --*/
-- Tarefa 95664 --
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;


/*-- SEQ 0166 --*/
-- Tarefa 95664 --
CREATE INDEX I_FK_SAV_SAD ON TT_SAV(FILSAD,SEQSAD) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0167 --*/ 
-- Tarefa 95580 --  
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_TIPSUGPRO;  

/*-- SEQ 0168 --*/
-- Tarefa 95580 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPSUGPRO CHECK (TIPSUGPRO IN (0, 1, 2));


/*-- SEQ 0169 --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;

/*-- SEQ 0170 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD EXPORT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0171 --*/
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV MODIFY (EXPORT CONSTRAINT NN_SAV_EXPORT NOT NULL);


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0174 --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;

/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SAV ADD EXPCAN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0176 --*/
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;

/*-- SEQ 0177 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV MODIFY (EXPCAN CONSTRAINT NN_SAV_EXPCAN NOT NULL);


/*-- SEQ 0178 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
ALTER TABLE TT_SAV ADD CONSTRAINT CK_SAV_EXPCAN CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0179 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPORT ON TT_SAV (EXPORT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0180 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95497 --
CREATE INDEX I_LC_SAV_EXPCAN ON TT_SAV (EXPCAN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0181 --*/
-- Tarefa 95052 --
CREATE TABLE TI_INV (
    CODEXT VARCHAR2(20),
    CODFIL CHAR(3),
    APEUSU VARCHAR2(10),
    DATCRI Date,
    DESINV VARCHAR2(40),
    DESEST VARCHAR2(30),
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
) TABLESPACE TOTALL_DATA;

/*-- SEQ 0182 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (CODEXT CONSTRAINT NN_IINV_CODEXT NOT NULL);


/*-- SEQ 0183 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (CODFIL CONSTRAINT NN_IINV_CODFIL NOT NULL);


/*-- SEQ 0184 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (APEUSU CONSTRAINT NN_IINV_APEUSU NOT NULL);


/*-- SEQ 0185 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (DATCRI CONSTRAINT NN_IINV_DATCRI NOT NULL);


/*-- SEQ 0186 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (DESINV CONSTRAINT NN_IINV_DESINV NOT NULL);


/*-- SEQ 0187 --*/
-- Tarefa 95052 --
ALTER TABLE TI_INV MODIFY (STATUS CONSTRAINT NN_IINV_STATUS NOT NULL);


/*-- SEQ 0188 --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IINV_STATUS ON TI_INV (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0189 --*/
-- Tarefa 95052 --
CREATE TABLE TI_IIN (
    INV_CODEXT VARCHAR2(20),
    GRA_CODEXT VARCHAR2(20),
    GRA_REFUNI VARCHAR2(20),
    QTDCON Number(12,4),
    DATCRI Date,
    STATUS Number(1) DEFAULT 0,
    MOTREJ VARCHAR2(255),
    DATIMP Date
) TABLESPACE TOTALL_DATA;

/*-- SEQ 0190 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (INV_CODEXT CONSTRAINT NN_IIIN_INV_CODEXT NOT NULL);


/*-- SEQ 0191 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (QTDCON CONSTRAINT NN_IIIN_QTDCON NOT NULL);


/*-- SEQ 0192 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN ADD CONSTRAINT CK_IIIN_QTDCON CHECK (QTDCON >= 0);

/*-- SEQ 0193 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (DATCRI CONSTRAINT NN_IIIN_DATCRI NOT NULL);


/*-- SEQ 0194 --*/
-- Tarefa 95052 --
ALTER TABLE TI_IIN MODIFY (STATUS CONSTRAINT NN_IIIN_STATUS NOT NULL);


/*-- SEQ 0195 --*/
-- Tarefa 95052 --
CREATE INDEX I_LC_IIIN_STATUS ON TI_IIN (STATUS, DATCRI) TABLESPACE TOTALL_INDEX;

