
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;



/*-- SEQ 0002 --*/
-- Tarefa 103727 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Tarefa 103727 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGCOMPARA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGCOMPARA'));

/*-- SEQ 0004 --*/
-- Tarefa 103727 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- Tarefa 104542 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Tarefa 104542 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXIBEMEIOCOMOABERTO', 'Exibe Meio Pgto como "Aberto" em parcela aberta que não seja "Boleto, Bonus, C/C, Cartão, Cheque"?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBEMEIOCOMOABERTO'));

/*-- SEQ 0007 --*/
-- Tarefa 104542 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0008 --*/
-- Tarefa 104581 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- Tarefa 104581 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PARCELAS_CARTAO_CRE', 'Permite receber dbitos de clientes com carto de crdito no Totall POS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PARCELAS_CARTAO_CRE'));

/*-- SEQ 0010 --*/
-- Tarefa 104581 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0011 --*/
-- Tarefa 104608 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Tarefa 104608 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BOLETO_MIDDLEWARE', 'Impresso de Boletos utilizando o Middleware', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BOLETO_MIDDLEWARE'));

/*-- SEQ 0013 --*/
-- Tarefa 104608 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB DISABLE ALL TRIGGERS;

/*-- SEQ 0015 --*/
ALTER TABLE TT_CTBXCCB ADD LAYREM Number(3) DEFAULT 240;

/*-- SEQ 0016 --*/
ALTER TABLE TT_CTBXCCB ENABLE ALL TRIGGERS;

/*-- SEQ 0017 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB MODIFY (LAYREM CONSTRAINT NN_BXC_LAYREM NOT NULL);


/*-- SEQ 0018 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB ADD CONSTRAINT CK_BXC_LAYREM CHECK (LAYREM IN (240, 400));

/*-- SEQ 0019 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB ADD CODCED VARCHAR2(20) ;


/*-- SEQ 0020 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB ADD CODTRA VARCHAR2(20) ;


/*-- SEQ 0021 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB ADD CODMOD VARCHAR2(10) ;


/*-- SEQ 0022 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB ADD CODGER VARCHAR2(1) ;


/*-- SEQ 0023 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB DISABLE ALL TRIGGERS;


/*-- SEQ 0024 --*/
-- Tarefa 104660 --
UPDATE TT_CTBXCCB BXC SET CODGER = '3'
  WHERE BXC.CODBCO = '748';

/*-- SEQ 0025 --*/
-- Tarefa 104660 --
UPDATE TT_CTBXCCB BXC SET CODMOD = '1', 
                          CODCED = CODCNV, 
                          CODTRA = CODCNV
  WHERE BXC.CODCNV IS NOT NULL;
  
/*-- SEQ 0026 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB ENABLE ALL TRIGGERS;

/*-- SEQ 0027 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTB MODIFY (DIGAGE VARCHAR2(2));

/*-- SEQ 0028 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CBP MODIFY (DIGAGE VARCHAR2(2));

/*-- SEQ 0029 --*/
-- Tarefa 104660 --
ALTER TABLE TT_HTB MODIFY (DIGAGE VARCHAR2(2));

/*-- SEQ 0030 --*/
-- Tarefa 104660 --
ALTER TABLE TT_LTB MODIFY (DIGAGE VARCHAR2(2));

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104660 --
SELECT * FROM NADA;

/*-- SEQ 0032 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTB MODIFY (DIGAGE_NOSNUM VARCHAR2(2));

/*-- SEQ 0033 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTB DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Tarefa 104660 --
UPDATE TT_CTB CTB SET NUMAGE = LPAD(SUBSTR(NUMAGE, 1, 4),5,'0'), DIGAGE = SUBSTR(NUMAGE, 5, 1) || DIGAGE
 WHERE CTB.CODBCO = '748'
   AND LENGTH(CTB.NUMAGE) = 5
   AND LENGTH(CTB.DIGAGE) = 1;

/*-- SEQ 0035 --*/
-- Tarefa 104660 --
UPDATE TT_CTB CTB SET NUMAGE_NOSNUM = LPAD(SUBSTR(NUMAGE_NOSNUM, 1, 4),5,'0'), DIGAGE_NOSNUM = SUBSTR(NUMAGE_NOSNUM, 5, 1) || DIGAGE_NOSNUM
 WHERE CTB.CODBCO = '748'
   AND LENGTH(CTB.NUMAGE_NOSNUM) = 5
   AND LENGTH(CTB.DIGAGE_NOSNUM) = 1;

/*-- SEQ 0036 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTB ENABLE ALL TRIGGERS;



/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104663 --
ALTER TABLE TT_PED DROP CONSTRAINT CK_PED_VLRLIQ;

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104663 --
ALTER TABLE TT_PED DROP CONSTRAINT CK_PED_VLRTOT;


/*-- SEQ 0039 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB DISABLE ALL TRIGGERS;


/*-- SEQ 0040 --*/
-- Tarefa 104660 --
UPDATE TT_CTBXCCB BXC SET NUMAGE = LPAD(SUBSTR(NUMAGE, 1, 4),5,'0')
 WHERE BXC.CODBCO = '748'
   AND LENGTH(BXC.NUMAGE) = 5;

/*-- SEQ 0041 --*/
-- Tarefa 104660 --
ALTER TABLE TT_CTBXCCB ENABLE ALL TRIGGERS;


/*-- SEQ 0042 --*/
-- Tarefa 104660 --
ALTER TABLE TT_TIT DISABLE ALL TRIGGERS;


/*-- SEQ 0043 --*/
-- Tarefa 104660 --
UPDATE TT_TIT SET NUMAGE = LPAD(SUBSTR(NUMAGE, 1, 4),5,'0')
 WHERE CODBCO = '748'
   AND LENGTH(NUMAGE) = 5;

/*-- SEQ 0044 --*/
-- Tarefa 104660 --
ALTER TABLE TT_TIT ENABLE ALL TRIGGERS;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104675 --
CREATE INDEX I_LC_VEN_MODNOT_DATHOR ON TT_VEN (MODNOT, DATHOR, CODFIL, FLGEST) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0046 --*/
-- Tarefa 104629 --
ALTER TABLE TD_NAT DISABLE ALL TRIGGERS;

/*-- SEQ 0047 --*/
ALTER TABLE TD_NAT ADD NATPRE CHAR(1) DEFAULT 'T';

/*-- SEQ 0048 --*/
ALTER TABLE TD_NAT ENABLE ALL TRIGGERS;

/*-- SEQ 0049 --*/
-- Tarefa 104629 --
ALTER TABLE TD_NAT MODIFY (NATPRE CONSTRAINT NN_DNAT_NATPRE NOT NULL);


/*-- SEQ 0050 --*/
-- Tarefa 104629 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_NATPRE CHECK (NATPRE IN ('T','R','C'));

/*-- SEQ 0051 --*/
-- Tarefa 104629 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
ALTER TABLE TW_TAB ADD NATPRE CHAR(1) DEFAULT 'T';

/*-- SEQ 0053 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;


/*-- SEQ 0054 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104215 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_SRV FOREIGN KEY (CODSRV) REFERENCES TT_SRV (CODSRV);

/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104215 --
CREATE INDEX I_FK_PRO_SRV ON TT_PRO (CODSRV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0056 --*/
-- Tarefa 104215 --
ALTER TABLE TT_COM ADD CODSRV Number(4) ;


/*-- SEQ 0057 --*/
-- Tarefa 104215 --
ALTER TABLE TT_COM ADD CONSTRAINT FK_COM_SRV FOREIGN KEY (CODSRV) REFERENCES TT_SRV (CODSRV);

/*-- SEQ 0058 --*/
-- Tarefa 104215 --
CREATE INDEX I_FK_COM_SRV ON TT_COM (CODSRV) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0059 --*/
-- Tarefa 104697 --
ALTER TABLE TT_PED DISABLE ALL TRIGGERS;

/*-- SEQ 0060 --*/
ALTER TABLE TT_PED ADD TRAAUT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0061 --*/
ALTER TABLE TT_PED ENABLE ALL TRIGGERS;

/*-- SEQ 0062 --*/
-- Tarefa 104697 --
ALTER TABLE TT_PED MODIFY (TRAAUT CONSTRAINT NN_PED_TRAAUT NOT NULL);


/*-- SEQ 0063 --*/
-- Tarefa 104697 --
ALTER TABLE TT_PED ADD CONSTRAINT CK_PED_TRAAUT CHECK (TRAAUT IN ('F','T'));


/*-- SEQ 0064 --*/
-- Tarefa 104723 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0065 --*/
-- Tarefa 104723 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONSUMOLOCAL_ENTREGA', 'Consumo local com entrega', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSUMOLOCAL_ENTREGA'));

/*-- SEQ 0066 --*/
-- Tarefa 104723 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0067 --*/
-- Tarefa 104744 --
CREATE TABLE TT_AQV (
  ID_AQV Number(14),
  DATINC Date,
  ATU_EM Date,
  ARQNOM VARCHAR2(100),
  ARQTIP CHAR(1),
  ARQBIN BLOB,
  CONTYP VARCHAR2(50)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0068 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV ADD CONSTRAINT PK_AQV PRIMARY KEY (ID_AQV);

/*-- SEQ 0069 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV MODIFY (ARQTIP CONSTRAINT NN_AQV_ARQTIP NOT NULL);


/*-- SEQ 0070 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV MODIFY (ARQNOM CONSTRAINT NN_AQV_ARQNOM NOT NULL);


/*-- SEQ 0071 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV MODIFY (ARQBIN CONSTRAINT NN_AQV_ARQBIN NOT NULL);


/*-- SEQ 0072 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV MODIFY (DATINC CONSTRAINT NN_AQV_DATINC NOT NULL);


/*-- SEQ 0073 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV MODIFY (ATU_EM CONSTRAINT NN_AQV_ATU_EM NOT NULL);


/*-- SEQ 0074 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV ADD CONSTRAINT CK_AQV_ARQTIP CHECK (ARQTIP IN ('N','R'));

/*-- SEQ 0075 --*/
-- Tarefa 104744 --
ALTER TABLE TT_AQV MODIFY (ARQTIP DEFAULT 'N');

/*-- SEQ 0076 --*/
-- Tarefa 104744 --
CREATE SEQUENCE SQAQV INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0077 --*/
-- Tarefa 104744 --
CREATE INDEX I_LC_AQV_ARQNOM ON TT_AQV (ARQTIP, ARQNOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0078 --*/
-- Tarefa 104744 --
CREATE INDEX I_LC_AQV_DATINC ON TT_AQV (ARQTIP, DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0079 --*/
-- Tarefa 104744 --
CREATE INDEX I_LC_AQV_ATU_EM ON TT_AQV (ARQTIP, ATU_EM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0080 --*/
-- Tarefa 104748 --
ALTER TABLE TT_IXT ADD ID_AQV Number(14) ;


/*-- SEQ 0081 --*/
-- Tarefa 104748 --
ALTER TABLE TT_IXT ADD CONSTRAINT FK_IXT_AQV FOREIGN KEY (ID_AQV) REFERENCES TT_AQV (ID_AQV);

/*-- SEQ 0082 --*/
-- Tarefa 104748 --
CREATE INDEX I_FK_IXT_AQV ON TT_IXT (ID_AQV) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0083 --*/
-- Tarefa 104660 --
ALTER TABLE TT_RTB ADD DIGAGE_TMP VARCHAR2(2) ;


/*-- SEQ 0084 --*/
-- Tarefa 104660 --
ALTER TABLE TT_RTB DISABLE ALL TRIGGERS;


/*-- SEQ 0085 --*/
-- Tarefa 104660 --
UPDATE TT_RTB
   SET DIGAGE_TMP = SUBSTR(TRIM(TO_CHAR(DIGAGE)),1,2);

/*-- SEQ 0086 --*/
-- Tarefa 104660 --
ALTER TABLE TT_RTB ENABLE ALL TRIGGERS;

/*-- SEQ 0087 --*/
-- Tarefa 104660 --
ALTER TABLE TT_RTB DROP COLUMN DIGAGE CASCADE CONSTRAINT;

/*-- SEQ 0088 --*/
-- Tarefa 104660 --
ALTER TABLE TT_RTB RENAME COLUMN DIGAGE_TMP TO DIGAGE;


/*-- SEQ 0089 --*/
-- Tarefa 104760 --
ALTER TABLE TD_RGC ADD RGC_TIPENT CHAR(1) ;


/*-- SEQ 0090 --*/
-- Tarefa 104760 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_RGC_TIPENT CHECK (RGC_TIPENT IN ('0','1','2','3','4','5','6','7'));

/*-- SEQ 0091 --*/
-- Tarefa 104760 --
ALTER TABLE TW_TAB ADD RGC_TIPENT CHAR(1) ;



/*-- SEQ 0092 --*/
-- Tarefa 104757 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0093 --*/
-- Tarefa 104757 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TIPENT_ITEM_POS', 'Tipo de Entrega por Item no Order Web', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TIPENT_ITEM_POS'));

/*-- SEQ 0094 --*/
-- Tarefa 104757 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0095 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
CREATE TABLE TW_EXTXDOC (
  ID_EXD Number(14),
  DATINC Date,
  ATU_EM Date,
  ORIGEM VARCHAR2(3),
  FILORI VARCHAR2(3),
  SEQORI VARCHAR2(10),
  STATUS VARCHAR2(1) DEFAULT 'A') TABLESPACE TOTALL_DATA;

/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC ADD CONSTRAINT PK_EXD PRIMARY KEY (ID_EXD);

/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC MODIFY (DATINC CONSTRAINT NN_EXD_DATINC NOT NULL);


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC MODIFY (ATU_EM CONSTRAINT NN_EXD_ATU_EM NOT NULL);


/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC MODIFY (ORIGEM CONSTRAINT NN_EXD_ORIGEM NOT NULL);


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC MODIFY (FILORI CONSTRAINT NN_EXD_FILORI NOT NULL);


/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC MODIFY (SEQORI CONSTRAINT NN_EXD_SEQORI NOT NULL);


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC MODIFY (STATUS CONSTRAINT NN_EXD_STATUS NOT NULL);


/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
ALTER TABLE TW_EXTXDOC ADD CONSTRAINT CK_EXD_STATUS CHECK (STATUS IN ('A','P','E'));

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
CREATE INDEX I_LC_EXD_DOCORI ON TW_EXTXDOC (ORIGEM, FILORI, SEQORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104746 --
CREATE SEQUENCE SQEXTXDOC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0106 --*/
-- Tarefa 104752 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0107 --*/
-- Tarefa 104752 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TP_OP_EXP_EME4_TRC', 'Cdigo do Tipo de Operao na Exportao EME4 para Documentos "TRC - _Ttulos a receber"', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TP_OP_EXP_EME4_TRC'));

/*-- SEQ 0108 --*/
-- Tarefa 104752 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TP_OP_EXP_EME4_PTR', 'Cdigo do Tipo de Operao na Exportao EME4 para Documentos "PTR - _Parcela Tt. Recebe"', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TP_OP_EXP_EME4_PTR'));

/*-- SEQ 0109 --*/
-- Tarefa 104752 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TP_OP_EXP_EME4_CCC', 'Cdigo do Tipo de Operao na Exportao EME4 para Documentos "CCC - Conta Corrente"', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TP_OP_EXP_EME4_CCC'));

/*-- SEQ 0110 --*/
-- Tarefa 104752 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TP_OP_EXP_EME4_CHR', 'Cdigo do Tipo de Operao na Exportao EME4 para Documentos "CHR - Cheques Recebidos"', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TP_OP_EXP_EME4_CHR'));

/*-- SEQ 0111 --*/
-- Tarefa 104752 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TP_OP_EXP_EME4_DOP', 'Cdigo do Tipo de Operao na Exportao EME4 para Documentos "DOP - Docs. Pagto. (Todos)"', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TP_OP_EXP_EME4_DOP'));

/*-- SEQ 0112 --*/
-- Tarefa 104752 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TP_OP_EXP_EME4_FIN', 'Cdigo do Tipo de Operao na Exportao EME4 para Documentos "FIN - Lan. Finan. Avulsos"', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TP_OP_EXP_EME4_FIN'));

/*-- SEQ 0113 --*/
-- Tarefa 104752 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TP_OP_EXP_EME4_TEF', 'Cdigo do Tipo de Operao na Exportao EME4 para Documentos "TEF - Carto"', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TP_OP_EXP_EME4_TEF'));

/*-- SEQ 0114 --*/
-- Tarefa 104752 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0115 --*/
-- Tarefa 104750 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ATU ADD DATINI Date ;


/*-- SEQ 0116 --*/
-- Tarefa 104750 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ATU ADD DATFIM Date ;



/*-- SEQ 0117 --*/
-- Tarefa 104751 --
ALTER TABLE TT_ATU DISABLE ALL TRIGGERS;


/*-- SEQ 0118 --*/
-- Tarefa 104751 --
INSERT INTO TT_ATU(ID_ATU, ATU_EM, DESATU)
(SELECT (SELECT MAX(ID_ATU)+1 FROM TT_ATU), Agora(), 'EXPORTACAO_EME4'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_ATU
                     WHERE DESATU = 'EXPORTACAO_EME4'));

/*-- SEQ 0119 --*/
-- Tarefa 104751 --
ALTER TABLE TT_ATU ENABLE ALL TRIGGERS;


/*-- SEQ 0120 --*/
-- Tarefa 104760 --
ALTER TABLE TD_RGC ADD CONSTRAINT FK_DRGC_TIPENT FOREIGN KEY (RGC_TIPENT) REFERENCES TD_ENT (TIPENT);

/*-- SEQ 0121 --*/
-- Tarefa 104760 --
CREATE INDEX I_FK_DRGC_TIPENT ON TD_RGC (RGC_TIPENT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0122 --*/
-- Tarefa 104760 --
ALTER TABLE TD_RGC ADD CONSTRAINT CK_DRGC_ENCOMENDA CHECK ((FLGENC = 'T' AND RGC_TIPENT = '7') OR (FLGENC = 'F' AND RGC_TIPENT <> '7'));

/*-- SEQ 0123 --*/
-- Tarefa 104760 --
ALTER TABLE TD_RGC DISABLE ALL TRIGGERS;


/*-- SEQ 0124 --*/
-- Tarefa 104760 --
UPDATE TD_RGC
   SET RGC_TIPENT = '7'
 WHERE FLGENC = 'T';

/*-- SEQ 0125 --*/
-- Tarefa 104760 --
ALTER TABLE TD_RGC ENABLE ALL TRIGGERS;


/*-- SEQ 0126 --*/
-- Tarefa 104770 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0127 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIG_EMAIL', 'E-mail obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_EMAIL'));

/*-- SEQ 0128 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIG_TELEFONE', 'Telefone obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_TELEFONE'));
                     
/*-- SEQ 0129 --*/
-- Tarefa 104770 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIG_CELULAR', 'Celular obrigatrio? (0-No 1-Confirmao 2-Obrigatrio)', 'N', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIG_CELULAR'));                     

                     
/*-- SEQ 0130 --*/
-- Tarefa 104770 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0131 --*/
-- Tarefa 104794 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ICO ADD ATU_EM Date ;


/*-- SEQ 0132 --*/
-- Tarefa 104794 --
ALTER TABLE TT_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104794 --
UPDATE TT_ICO SET ATU_EM = COALESCE(DATINC, Agora()) WHERE ATU_EM IS NULL;

/*-- SEQ 0134 --*/
-- Tarefa 104794 --
ALTER TABLE TT_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104794 --
ALTER TABLE TT_ICO MODIFY (ATU_EM CONSTRAINT NN_ICO_ATU_EM NOT NULL);



/*-- SEQ 0136 --*/
-- Tarefa 104795 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD ATU_EM Date ;


/*-- SEQ 0137 --*/
-- Tarefa 104795 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;


/*-- SEQ 0138 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104795 --
UPDATE TT_IVE SET ATU_EM = COALESCE(DATINC, Agora()) WHERE ATU_EM IS NULL;

/*-- SEQ 0139 --*/
-- Tarefa 104795 --
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0140 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104795 --
ALTER TABLE TT_IVE MODIFY (ATU_EM CONSTRAINT NN_IVE_ATU_EM NOT NULL);



/*-- SEQ 0141 --*/
-- Tarefa 104813 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD ITEORI Number(5) ;


/*-- SEQ 0142 --*/
-- Tarefa 104813 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD PARORI VARCHAR2(2) ;


/*-- SEQ 0143 --*/
-- Tarefa 104813 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD SUBORI VARCHAR2(2) ;


/*-- SEQ 0144 --*/
-- Tarefa 104813 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_EXTXDOC ADD DESTINO VARCHAR2(20) ;


/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104813 --
DROP INDEX I_LC_EXD_DOCORI;

/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104813 --
CREATE INDEX I_LC_EXD_DOCEXP ON TW_EXTXDOC (DESTINO, ORIGEM, FILORI, SEQORI, ITEORI, PARORI, SUBORI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104795 --
CREATE INDEX I_LC_IVE_ATU_EM ON TT_IVE (ATU_EM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104794 --
CREATE INDEX I_LC_ICO_ATU_EM ON TT_ICO (ATU_EM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0149 --*/
-- Tarefa 104814 --
ALTER TABLE TT_CTBXCCB DISABLE ALL TRIGGERS;

/*-- SEQ 0150 --*/
ALTER TABLE TT_CTBXCCB ADD LAYBOL CHAR(1) DEFAULT 'F';

/*-- SEQ 0151 --*/
ALTER TABLE TT_CTBXCCB ENABLE ALL TRIGGERS;

/*-- SEQ 0152 --*/
-- Tarefa 104814 --
ALTER TABLE TT_CTBXCCB MODIFY (LAYBOL CONSTRAINT NN_BXC_LAYBOL NOT NULL);


/*-- SEQ 0153 --*/
-- Tarefa 104814 --
ALTER TABLE TT_CTBXCCB ADD CONSTRAINT CK_BXC_LAYBOL CHECK (LAYBOL IN ('P','C','F','E','O'));

/*-- SEQ 0154 --*/
-- Tarefa 104814 --
ALTER TABLE TT_CTBXCCB DISABLE ALL TRIGGERS;


/*-- SEQ 0155 --*/
-- Tarefa 104814 --
UPDATE TT_CTBXCCB SET LAYBOL = CASE WHEN COALESCE(LAYPAD,4) IN (4,5,8,9,18,19) THEN 'C' ELSE 'P' END;

/*-- SEQ 0156 --*/
-- Tarefa 104814 --
ALTER TABLE TT_CTBXCCB ENABLE ALL TRIGGERS;


/*-- SEQ 0157 --*/
-- Tarefa 104771 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0158 --*/
-- Tarefa 104771 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0159 --*/
-- Tarefa 104771 --
DELETE FROM TT_IPC WHERE ID_PCS = (SELECT ID_PCS FROM TT_PCS WHERE NOMPCS = 'OBRIG_TELEFONE'); 

/*-- SEQ 0160 --*/
-- Tarefa 104771 --
DELETE FROM TT_PCS WHERE NOMPCS = 'OBRIG_TELEFONE';

/*-- SEQ 0161 --*/
-- Tarefa 104771 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

/*-- SEQ 0162 --*/
-- Tarefa 104771 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0163 --*/
-- Tarefa 104843 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0164 --*/
-- Tarefa 104843 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NOME_EMPRESA', 'Nome da Empresa', 'T', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NOME_EMPRESA'));

/*-- SEQ 0165 --*/
-- Tarefa 104843 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;

/*-- SEQ 0167 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;

/*-- SEQ 0168 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 104911 --
SELECT * FROM NADA;

