
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- DES-75 --
ALTER TABLE TT_GRA ADD DESGRA VARCHAR2(120) ;


/*-- SEQ 0003 --*/
-- DES-75 --
CREATE INDEX I_LC_GRA_DESGRA ON TT_GRA (DESGRA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0004 --*/
-- DES-86 --
ALTER TABLE TI_PRO ADD GRA_DESGRA VARCHAR2(120) ;





/*-- SEQ 0005 --*/
-- DES-96 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- DES-96 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CM_SEM_MOVEST', 'Calcular Custo Mdio mesmo sem movimentao de estoque', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CM_SEM_MOVEST'));

/*-- SEQ 0007 --*/
-- DES-96 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0008 --*/
-- Tarefa 105414 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0009 --*/
ALTER TABLE TT_CFG ADD DESCPMORD VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0010 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0011 --*/
-- Tarefa 105414 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DESCPMORD CHECK (DESCPMORD IN ('T','F'));

/*-- SEQ 0012 --*/
-- Tarefa 105414 --
ALTER TABLE TT_CFG MODIFY (DESCPMORD CONSTRAINT NN_CFG_DESCPMORD NOT NULL);


/*-- SEQ 0013 --*/
-- Tarefa 105414 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0014 --*/
ALTER TABLE TW_CFG ADD DESCPMORD VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0015 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0017 --*/
-- Ticket 2019055265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NOVO_CLIENTE_CNPJ', 'Inserir novo registro de cliente quando j cadastrado radical de CNPJ (Filial do Cliente)', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NOVO_CLIENTE_CNPJ'));

/*-- SEQ 0018 --*/
-- Ticket 2019055265 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0019 --*/
-- Tarefa 105747 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0020 --*/
-- Tarefa 105747 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUGMULFIL', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUGMULFIL'));

/*-- SEQ 0021 --*/
-- Tarefa 105747 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


