
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023051135 --
DROP VIEW TV_TIMU_LIQUIDACAOCONTACORRENTE;


/*-- SEQ 0003 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0004 --*/
-- Ticket 20230311507 --
DELETE FROM TT_IPC WHERE ID_PCS IN (SELECT ID_PCS FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA');

/*-- SEQ 0005 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;

/*-- SEQ 0006 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
-- Ticket 20230311507 --
DELETE FROM TT_PCS WHERE NOMPCS = 'CONSID_SALPEN_SALREA';

/*-- SEQ 0008 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0009 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0010 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONSID_ENTPEN_SALREA', 'Considerar Entradas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_ENTPEN_SALREA'));

/*-- SEQ 0011 --*/
-- Ticket 20230311507 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CONSID_SAIPEN_SALREA', 'Considerar Sadas Pendentes para o clculo do SaldoReal?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CONSID_SAIPEN_SALREA'));

/*-- SEQ 0012 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0013 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0014 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_ENTPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0015 --*/
-- Ticket 20230311507 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'CONSID_SAIPEN_SALREA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0016 --*/
-- Ticket 20230311507 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0017 --*/
-- Ticket 2022129938 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0018 --*/
ALTER TABLE TT_CLI ADD REGMEI VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0019 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0020 --*/
-- Ticket 2022129938 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_REGMEI CHECK (REGMEI in ('T','F'));

/*-- SEQ 0021 --*/
-- Ticket 2022129938 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0022 --*/
-- Ticket 2022129938 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'GERAR_DIFTO_SIMPNAC', 'Gerar diferimento para clientes do Simples Nacional?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'GERAR_DIFTO_SIMPNAC'));

/*-- SEQ 0023 --*/
-- Ticket 2022129938 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

 
/*-- SEQ 0024 --*/
-- Ticket 2022129938 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0025 --*/
-- Ticket 2022129938 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'GERAR_DIFTO_SIMPNAC'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0026 --*/
-- Ticket 2022129938 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD SERTRA CHAR(2) ;


/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERTRA FOREIGN KEY (SERTRA) REFERENCES TD_SER (CODSER);

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_DFIL_DSER_SERTRA ON TD_FIL (SERTRA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0030 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0031 --*/
-- Ticket 2023021566 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITE_FAT_PARC_SEP', 'Permite faturamento parcial do DAV/Pr-Venda dos itens j separados no CommerceWeb?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_FAT_PARC_SEP'));
                     
/*-- SEQ 0032 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0033 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Ticket 2023021566 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_FAT_PARC_SEP'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0035 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD BASINSS Number(12,2) ;


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERINSS Number(5,2) ;


/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRINSS Number(12,2) ;


/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERREDISS Number(5,2) ;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD SITISS CHAR(1) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD CONSTRAINT CK_IOR_SITISS CHECK ((SITISS IS NULL) OR (SITISS IN ('N','I','R','S')));

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD BASISS Number(12,2) ;


/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERISS Number(5,2) ;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRISS Number(12,2) ;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRISSRET Number(12,2) ;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD PERREDISS Number(5,2) ;


/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD VLRISSRET Number(12,2) ;



/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD PERSOC Number(5,2) ;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD BASSOC Number(12,2) ;



/*-- SEQ 0050 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0051 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITE_EDT_ISS_ORD', 'Permite edio das informaes tributrias de Servio no Order?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITE_EDT_ISS_ORD'));
                     
/*-- SEQ 0052 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0053 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0054 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITE_EDT_ISS_ORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0055 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD NATDECTRA Number(5) ;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TW_CFG ADD NATDECTRA Number(5) ;


/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATDECTRA FOREIGN KEY (NATDECTRA) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_CFG_DNAT_NATDECTRA ON TT_CFG (NATDECTRA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CODIBG_INCIDENCIA Number(10) ;


/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD OBSERV VARCHAR2(4000) ;


/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_IBG_INCIDENCIA FOREIGN KEY (CODIBG_INCIDENCIA) REFERENCES TT_IBG (CODIBG);

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_IVE_IBG_INCIDENCIA ON TT_IVE (CODIBG_INCIDENCIA) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0064 --*/
-- Ticket 2023035854 --
ALTER TABLE TT_ORC ADD SISORI VARCHAR2(1) ;



/*-- SEQ 0065 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRA ADD ANOINIPROD Date ;
 -- Ano incio de produo

/*-- SEQ 0066 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRA ADD ANOFIMPROD Date ;
 -- Ano final de produo

/*-- SEQ 0067 --*/
-- Ticket 2020124088 --
CREATE TABLE TT_GRAXMDV ( -- Relacionamento Modelo x Motor x Anos
    CODTAB Number(10),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Number(5),
    CODTAM Number(5),
    CODMDV Number(5),
    CODMOT Number(5),
    ANOINI Number(4),
    ANOFIM Number(4),
    DATINC Date, 
    ATU_EM Date) TABLESPACE TOTALL_DATA; 

/*-- SEQ 0068 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT PK_GRAXMDV PRIMARY KEY (CODTAB);

/*-- SEQ 0069 --*/
-- Ticket 2020124088 --
CREATE SEQUENCE SQGRAXMDV INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0070 --*/
-- Ticket 2020124088 --
CREATE UNIQUE INDEX I_UQ_GRAXMDV ON TT_GRAXMDV (FILMAT,CODMAT,CODCOR,CODTAM,CODMDV,CODMOT,ANOINI,ANOFIM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0071 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT FK_GRAXMDV_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0072 --*/
-- Ticket 2020124088 --
CREATE INDEX I_FK_GRAXMDV_GRA ON TT_GRAXMDV (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;
  
/*-- SEQ 0073 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT FK_GRAXMDV_DMDV FOREIGN KEY (CODMDV) REFERENCES TD_MDV (CODTAB);

/*-- SEQ 0074 --*/
-- Ticket 2020124088 --
CREATE INDEX I_FK_GRAXMDV_DMDV ON TT_GRAXMDV (CODMDV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0075 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD CONSTRAINT FK_GRAXMDV_DMOT FOREIGN KEY (CODMOT) REFERENCES TD_MOT (CODTAB);

/*-- SEQ 0076 --*/
-- Ticket 2020124088 --
CREATE INDEX I_FK_GRAXMDV_DMOT ON TT_GRAXMDV (CODMOT) TABLESPACE TOTALL_INDEX;
  
/*-- SEQ 0077 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOINI ON TT_GRAXMDV (ANOINI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0078 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOFIM ON TT_GRAXMDV (ANOFIM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0079 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (FILMAT CONSTRAINT NN_GRAXMDV_FILMAT NOT NULL);


/*-- SEQ 0080 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (CODMAT CONSTRAINT NN_GRAXMDV_CODMAT NOT NULL);


/*-- SEQ 0081 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (CODCOR CONSTRAINT NN_GRAXMDV_CODCOR NOT NULL);


/*-- SEQ 0082 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (CODTAM CONSTRAINT NN_GRAXMDV_CODTAM NOT NULL);


/*-- SEQ 0083 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (CODMDV CONSTRAINT NN_GRAXMDV_CODMDV NOT NULL);


/*-- SEQ 0084 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (CODMOT CONSTRAINT NN_GRAXMDV_CODMOT NOT NULL);


/*-- SEQ 0085 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (ANOINI CONSTRAINT NN_GRAXMDV_ANOINI NOT NULL);


/*-- SEQ 0086 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (DATINC CONSTRAINT NN_GRAXMDV_DATINC NOT NULL);


/*-- SEQ 0087 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV MODIFY (ATU_EM CONSTRAINT NN_GRAXMDV_ATU_EM NOT NULL);


/*-- SEQ 0088 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0089 --*/
-- Ticket 2020124088 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BUSCA_GRA_APL', 'Busca Principal de Grade pela Aplicao de Veculos?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BUSCA_GRA_APL'));
                     
/*-- SEQ 0090 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0091 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0092 --*/
-- Ticket 2020124088 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'BUSCA_GRA_APL'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0093 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022051395 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;

/*-- SEQ 0095 --*/
ALTER TABLE TT_PAP ADD DIAS_EXPIRA_SENHA Number(3) DEFAULT 0;

/*-- SEQ 0096 --*/
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD PERDEDISS Number(5,2) ;


/*-- SEQ 0098 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD PERDEDISS Number(5,2) ;


/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IOR ADD VLRDEDISS Number(12,2) ;


/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2023030881 --
ALTER TABLE TT_IVE ADD VLRDEDISS Number(12,2) ;



/*-- SEQ 0101 --*/
-- Ticket 2023023021 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0102 --*/
-- Ticket 2023023021 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USA_EDT_PAR_POS', 'Utiliza edio de Parcelas no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USA_EDT_PAR_POS'));

/*-- SEQ 0103 --*/
-- Ticket 2023023021 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0104 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0105 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PERMITEMULTSERVICOS', 'Permite mltiplos Servio na mesma Operao?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PERMITEMULTSERVICOS'));
                     
/*-- SEQ 0106 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0107 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0108 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PERMITEMULTSERVICOS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0109 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0110 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0111 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'APLINSSCOMODESCORD', 'Aplica Valor do INSS como desconto no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLINSSCOMODESCORD'));
                     
/*-- SEQ 0112 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0113 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0114 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APLINSSCOMODESCORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0115 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;





/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Ticket 20230515370 --
ALTER TABLE TD_DEV ADD CODEXT VARCHAR2(20) ;



/*-- SEQ 0117 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD FILCPM CHAR(3) ;


/*-- SEQ 0118 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD SEQCPM CHAR(10) ;


/*-- SEQ 0119 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CPM FOREIGN KEY (FILCPM, SEQCPM) REFERENCES TT_CPM (FILCPM, SEQUEN);

/*-- SEQ 0120 --*/
-- Ticket 2023021566 --
CREATE INDEX I_FK_IVE_CPM ON TT_IVE (FILCPM, SEQCPM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0121 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0122 --*/
-- Ticket 2023021566 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USAPRECPMACIMAPER', 'Utiliza Preo promocional acima da quantidade disponvel quando possuir saldo a ser utilizado?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USAPRECPMACIMAPER'));
                     
/*-- SEQ 0123 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0124 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0125 --*/
-- Ticket 2023021566 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'USAPRECPMACIMAPER'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0126 --*/
-- Ticket 2023021566 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0127 --*/
-- Ticket 2023053114 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0128 --*/
-- Ticket 2023053114 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ADD_HEAD_INFPRO', 'Adiciona Cdigo/Descrio do Header nas Informaes Complementares do Item?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ADD_HEAD_INFPRO'));

/*-- SEQ 0129 --*/
-- Ticket 2023053114 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0130 --*/
-- Ticket 20230613984 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0131 --*/
-- Ticket 20230613984 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PRECO_INFORMADO', 'Preo Informado substitui o preo de tabela no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRECO_INFORMADO'));

/*-- SEQ 0132 --*/
-- Ticket 20230613984 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0133 --*/
-- Ticket 20230512273 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0134 --*/
-- Ticket 20230512273 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'BLQREC_DOCEMI_OUTFIL', 'Bloquear recebimento de documentos emitidos em outras Filiais?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'BLQREC_DOCEMI_OUTFIL'));

/*-- SEQ 0135 --*/
-- Ticket 20230512273 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0136 --*/
-- Ticket 20230512273 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0137 --*/
-- Ticket 20230512273 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'BLQREC_DOCEMI_OUTFIL'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0138 --*/
-- Ticket 20230512273 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0139 --*/
-- Ticket 20230111655 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0140 --*/
-- Ticket 20230111655 --
UPDATE TT_PCS
   SET NOMPCS = 'USAPRECPMACIMAPER'
 WHERE NOMPCS = 'USAPRECPMACIMAPER ';
 
/*-- SEQ 0141 --*/
-- Ticket 20230111655 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0142 --*/
-- Ticket 20230311917 --
ALTER TABLE TT_CPR DISABLE ALL TRIGGERS;

/*-- SEQ 0143 --*/
ALTER TABLE TT_CPR ADD IGNCMP VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0144 --*/
ALTER TABLE TT_CPR ENABLE ALL TRIGGERS;

/*-- SEQ 0145 --*/
-- Ticket 20230311917 --
ALTER TABLE TT_CPR ADD CONSTRAINT CK_CPR_IGNCMP CHECK ((IGNCMP IS NULL) OR (IGNCMP IN ('T','F')));


/*-- SEQ 0146 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD ANOINIPROD Date ;
 -- Ano incio de produo da Aplicao

/*-- SEQ 0147 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD ANOFIMPROD Date ;
 -- Ano final de produo da Aplicao

/*-- SEQ 0148 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOINIPROD ON TT_GRAXMDV (ANOINIPROD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0149 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_GRAXMDV_ANOFIMPROD ON TT_GRAXMDV (ANOFIMPROD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0150 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV DROP CONSTRAINT NN_GRAXMDV_ANOINI;


/*-- SEQ 0151 --*/
-- Ticket 2020124088 --
DROP INDEX I_UQ_GRAXMDV;

/*-- SEQ 0152 --*/
-- Ticket 2020124088 --
CREATE UNIQUE INDEX I_UQ_GRAXMDV ON TT_GRAXMDV (FILMAT,CODMAT,CODCOR,CODTAM,CODMDV,CODMOT,ANOINI,ANOFIM,ANOINIPROD,ANOFIMPROD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0153 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_MDV ADD ANOINIPROD Date ;
 -- Ano incio de produo do Modelo

/*-- SEQ 0154 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_MDV ADD ANOFIMPROD Date ;
 -- Ano final de produo do Modelo

/*-- SEQ 0155 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_DMDV_ANOINIPROD ON TD_MDV (ANOINIPROD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0156 --*/
-- Ticket 2020124088 --
CREATE INDEX I_LC_DMDV_ANOFIMPROD ON TD_MDV (ANOFIMPROD) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0157 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ADD DATINC Date ;
 -- Data de insero

/*-- SEQ 0158 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ADD ATU_EM Date ;
 -- Data de alterao

/*-- SEQ 0159 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI DISABLE ALL TRIGGERS;


/*-- SEQ 0160 --*/
-- Ticket 2020124088 --
UPDATE TD_VEI 
   SET ATU_EM = CURRENT_DATE, DATINC = CURRENT_DATE
 WHERE ATU_EM IS NULL
    OR DATINC IS NULL;

/*-- SEQ 0161 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI MODIFY (DATINC CONSTRAINT NN_DVEI_DATINC NOT NULL);


/*-- SEQ 0162 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI MODIFY (ATU_EM CONSTRAINT NN_DVEI_ATU_EM NOT NULL);


/*-- SEQ 0163 --*/
-- Ticket 2020124088 --
ALTER TABLE TD_VEI ENABLE ALL TRIGGERS;


/*-- SEQ 0164 --*/
-- Ticket 20230711247 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0165 --*/
-- Ticket 20230711247 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DESONERACAO_SUFRAMA', 'Destaca ICMS Desonerao apenas para Suframa?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESONERACAO_SUFRAMA'));

/*-- SEQ 0166 --*/
-- Ticket 20230711247 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0167 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0168 --*/
-- Ticket 2020124088 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXIBE_TAG_XML_VEIC', 'Exibir TAGs relacionadas ao XML do veculo no BackOffice?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBE_TAG_XML_VEIC'));

/*-- SEQ 0169 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;
 
/*-- SEQ 0170 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0171 --*/
-- Ticket 2020124088 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'EXIBE_TAG_XML_VEIC'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0172 --*/
-- Ticket 2020124088 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0173 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD BASIRRF Number(12,2) ;


/*-- SEQ 0174 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD PERIRRF Number(5,2) ;


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IOR ADD VLRIRRF Number(12,2) ;


/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023085957 --
ALTER TABLE TT_IVE ADD BASIRR Number(12,2) ;


/*-- SEQ 0177 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0178 --*/
-- Ticket 2023030881 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'APLIRRFCOMODESCORD', 'Aplica Valor do IRRF como desconto no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLIRRFCOMODESCORD'));
                     
/*-- SEQ 0179 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0180 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0181 --*/
-- Ticket 2023030881 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APLIRRFCOMODESCORD'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
  
/*-- SEQ 0182 --*/
-- Ticket 2023030881 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD DATINCCAT Date ;


/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020124088 --
ALTER TABLE TT_GRAXMDV ADD ATU_EMCAT Date ;



/*-- SEQ 0185 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CODCST;

/*-- SEQ 0186 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO DROP CONSTRAINT CK_ICO_CSTXML;

/*-- SEQ 0187 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODCST CHECK (CODCST IN ('00', '02', '10', '15', '20', '30', '40', '41', '50', '51', '53', '60', '61', '70', '90', '101', '102', '103', '201', '202', '203', '300', '400', '500', '900'));

/*-- SEQ 0188 --*/
-- Ticket 2023081310 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CSTXML CHECK (CSTXML IN ('00', '02', '10', '15', '20', '30', '40', '41', '50', '51', '53', '60', '61', '70', '90', '101', '102', '103', '201', '202', '203', '300', '400', '500', '900'));


/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;


/*-- SEQ 0194 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;

/*-- SEQ 0195 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
SELECT * FROM NADA;


/*-- SEQ 0196 --*/
-- Ticket 2023072700 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0197 --*/
-- Ticket 2023072700 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'LOJA_ENDERECO_PADRAO', 'Utilizar endereo padro da Loja no cadastro de cliente do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'LOJA_ENDERECO_PADRAO'));
                     
/*-- SEQ 0198 --*/
-- Ticket 2023072700 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'APENAS_DIAMES_DATNAS', 'Utilizar apenas Dia/Ms do Aniversrio na data de nascimento do cliente no cadastro do PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APENAS_DIAMES_DATNAS'));
                     
/*-- SEQ 0199 --*/
-- Ticket 2023072700 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0200 --*/
-- Ticket 2023072700 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0201 --*/
-- Ticket 2023072700 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'LOJA_ENDERECO_PADRAO'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0202 --*/
-- Ticket 2023072700 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'F'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'APENAS_DIAMES_DATNAS'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0203 --*/
-- Ticket 2023072700 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0204 --*/
-- Ticket 2022072174 --
ALTER TABLE TD_CCC MODIFY (DIARET Number(4));

/*-- SEQ 0205 --*/
-- Ticket 2022072174 --
ALTER TABLE TW_TAB MODIFY (DIARET Number(4));


/*-- SEQ 0206 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2023084636 --
DROP TABLE TEMP_CORRECAO_CCC;

/*-- SEQ 0207 --*/
-- Ticket 2023084636 --
CREATE TABLE TEMP_CORRECAO_CCC AS 
SELECT *  
  FROM TT_CCC
 WHERE COALESCE(SEQFAT, 'X') <> 'X'
    AND STATUS = 'A'
    AND TIPLAN NOT IN ('G', 'Q')
    AND DATOPE >= TO_DATE('26/06/2023','DD/MM/YYYY')
UNION ALL
SELECT *  
  FROM TT_CCC
 WHERE TIPLAN = 'G'
   AND STATUS <> 'F'
   AND DATOPE >= TO_DATE('01/01/2023','DD/MM/YYYY')
   AND EXISTS (SELECT 1 AS OK 
                 FROM TT_CCC CCC2 
                WHERE CCC2.NUMDOC = 'CC' || TT_CCC.NUMDOC );

/*-- SEQ 0208 --*/
-- Ticket 2023084636 --
ALTER TABLE TT_CCC DISABLE ALL TRIGGERS;


/*-- SEQ 0209 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET OLDSTT = STATUS,
       STATUS = CASE WHEN TIPLAN IN ('G', 'Q') THEN 'F' ELSE 'P' END
  WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                               FROM TEMP_CORRECAO_CCC);

/*-- SEQ 0210 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET PORORI = (SELECT PORECF
                   FROM TD_ECF
                  WHERE FILECF = TT_CCC.CODFIL
                    AND NUMECF = TT_CCC.NUMECF)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TEMP_CORRECAO_CCC)
   AND NUMECF IS NOT NULL;

/*-- SEQ 0211 --*/
-- Ticket 2023084636 --
UPDATE TT_CCC
   SET PORORI = (SELECT COALESCE(LXF.CODCOB,LIM.CODCOB) 
                   FROM TT_LIM LIM LEFT JOIN TT_LIMXFIL LXF ON LIM.FILCLI=LXF.FILCLI
                                                           AND LIM.CODCLI=LXF.CODCLI
                                                           AND LIM.TIPCCC=LXF.TIPCCC
                                                           AND LXF.CODFIL = TT_CCC.CODFIL
                  WHERE LIM.FILCLI = TT_CCC.FILCLI
                    AND LIM.CODCLI = TT_CCC.CODCLI
                    AND LIM.TIPCCC = TT_CCC.TIPCCC)
 WHERE (CODFIL, SEQUEN) IN (SELECT CODFIL, SEQUEN 
                              FROM TEMP_CORRECAO_CCC)
   AND PORORI IS NULL;

/*-- SEQ 0212 --*/
-- Ticket 2023084636 --
ALTER TABLE TT_CCC ENABLE ALL TRIGGERS;



/*-- SEQ 0213 --*/
-- Ticket 2023084636 --
DECLARE
  cDUMMY VARCHAR2(10);

  CCC_CODCIL TT_CCC.CODFIL%TYPE;
  CCC_SEQUEN TT_CCC.SEQUEN%TYPE;
  
  Cursor ListaCCC Is
     SELECT CCC.CODFIL, CCC.SEQUEN
       FROM TT_CCC CCC INNER JOIN TEMP_CORRECAO_CCC CCC2 ON CCC.CODFIL = CCC2.CODFIL
                                                        AND CCC.SEQUEN = CCC2.SEQUEN
      WHERE CCC.TIPLAN NOT IN ('G', 'Q');
BEGIN
  Open ListaCCC;  
  Loop
    Fetch ListaCCC into CCC_CODCIL, CCC_SEQUEN;
    EXIT WHEN ListaCCC%NOTFOUND;
    
    cDummy := INSERE_LFIN_LAN('CCC', CCC_CODCIL, CCC_SEQUEN, '--', '--');
  End Loop;
  Close ListaCCC;
END;
/

/*-- SEQ 0214 --*/
-- Ticket 2023084636 --
UPDATE TT_LIM 
   SET VSALDO = 0.01;


/*-- SEQ 0215 --*/
-- Ticket 2023072700 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0216 --*/
-- Ticket 2023072700 --
UPDATE TT_PCS
   SET DESPCS = 'Utilizar endereo padro da loja no cadastro de cliente do PoS?'
 WHERE NOMPCS =  'LOJA_ENDERECO_PADRAO';

/*-- SEQ 0217 --*/
-- Ticket 2023072700 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0218 --*/
-- Ticket 2023084658 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0219 --*/
-- Ticket 2023084658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PISCOF_SEMIPIENTRADA', 'Retirar o valor do IPI da Base de PIS/COFINS nas entradas/compras?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PISCOF_SEMIPIENTRADA'));
                     
/*-- SEQ 0220 --*/
-- Ticket 2023084658 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PISCOF_SEMIPISAIDA', 'Retirar o valor do IPI da Base de PIS/COFINS nas sadas?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PISCOF_SEMIPISAIDA'));
                     
/*-- SEQ 0221 --*/
-- Ticket 2023084658 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0222 --*/
-- Ticket 2023084658 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0223 --*/
-- Ticket 2023084658 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PISCOF_SEMIPIENTRADA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));
    
/*-- SEQ 0224 --*/
-- Ticket 2023084658 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQIPC.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
   FROM TT_PCS PCS
  WHERE PCS.NOMPCS = 'PISCOF_SEMIPISAIDA'
    AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0225 --*/
-- Ticket 2023084658 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0226 --*/
-- Ticket 2023093599 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0227 --*/
-- Ticket 2023093599 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EDITAR_ITEM_PENDENTE', 'Permite editar item pendente no Order?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EDITAR_ITEM_PENDENTE'));
                     
/*-- SEQ 0228 --*/
-- Ticket 2023093599 --
UPDATE TT_PCS
SET DESPCS = 'Preço Informado substitui o preço de tabela no PoS/Order?'
WHERE NOMPCS =  'PRECO_INFORMADO';                     

/*-- SEQ 0229 --*/
-- Ticket 2023093599 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0230 --*/
-- Ticket 2023091634 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0231 --*/
-- Ticket 2023091634 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DESTACA_DESC_ITEM', 'Destacar o desconto do item no faturamento do Commerce Web?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESTACA_DESC_ITEM'));

/*-- SEQ 0232 --*/
-- Ticket 2023091634 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0233 --*/
-- Ticket 2023095799 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;



/*-- SEQ 0234 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012010',
        'Massa para a preparao de po, sem adio de gros ou sementes integrais, congelada',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012010'));

/*-- SEQ 0235 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012020',
        'Massa para a preparao de po, com adio de gros ou sementes integrais, congelada',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012020'));
                     
/*-- SEQ 0236 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19012090',
        'Outras',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19012090'));
                     
/*-- SEQ 0237 --*/
-- Ticket 2023095799 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '30049098',
        'Regenerador de cartilagem, constitudo por colgeno moldado, absorvvel',
        5,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '30049098'));

/*-- SEQ 0238 --*/
-- Ticket 2023095799 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '19012000'
   AND Agora() > TO_DATE('01/11/2023','DD/MM/YYYY');

 /*-- SEQ 0239 --*/
-- Ticket 2023095799 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;


/*-- SEQ 0240 --*/
-- Ticket 2023095770 --
ALTER TABLE TD_VEI DROP CONSTRAINT AK_DVEI_DESVEI;

/*-- SEQ 0241 --*/
/*-- IGNORE ERRO --*/
DROP INDEX AK_DVEI_DESVEI;

/*-- SEQ 0242 --*/
-- Ticket 2023095770 --
ALTER TABLE TD_VEI ADD CONSTRAINT AK_DVEI_DESVEI_CODMTD UNIQUE (DESVEI,CODMTD);

