
/*-- SEQ 0001 --*/
-- Tarefa 80542 --
ALTER TABLE TD_FIL ADD CTCPAG VARCHAR2(1);

/*-- SEQ 0002 --*/
-- Tarefa 80542 --
ALTER TABLE TD_FIL DROP CONSTRAINT FK_DFIL_CTA_PAG; 

/*-- SEQ 0003 --*/
-- Tarefa 80542 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_CFG_CTB FOREIGN KEY (FILPAG, SEQPAG, TIPPAG, CTCPAG) REFERENCES TT_CTB (FILCTA, SEQCTA, TIPCTA, CHETRO);







/*-- SEQ 0004 --*/
-- Tarefa 80506 --
ALTER TABLE TT_ICO ADD CODCST VARCHAR2(2);

/*-- SEQ 0005 --*/
-- Tarefa 80506 --
ALTER TABLE TT_ICO ADD CODORI Number(1);

/*-- SEQ 0006 --*/
-- Tarefa 80506 --
ALTER TABLE TT_ICO ADD VLRPIS Number(12, 2);

/*-- SEQ 0007 --*/
-- Tarefa 80506 --
ALTER TABLE TT_ICO ADD VLRCOF Number(12, 2);

/*-- SEQ 0008 --*/
-- Tarefa 80506 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODCST CHECK (CODCST IN ('00','10','20','30', '40', '41', '50', '51', '60', '70', '90'));

/*-- SEQ 0009 --*/
-- Tarefa 80506 --
ALTER TABLE TT_ICO ADD CONSTRAINT CK_ICO_CODORI CHECK (CODORI IN (0, 1, 2));


/*-- SEQ 0010 --*/
-- Tarefa 80190 --
ALTER TABLE TT_CFG ADD NAT_CONSIGNACAO Number(5);

/*-- SEQ 0011 --*/
-- Tarefa 80190 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_CONSIGNACAO FOREIGN KEY (NAT_CONSIGNACAO) REFERENCES TD_NAT (CODTAB);

/*-- SEQ 0012 --*/
-- Tarefa 80190 --
ALTER TABLE TW_CFG ADD NAT_CONSIGNACAO Number(5);



/*-- SEQ 0013 --*/
-- Tarefa 80192 --
CREATE TABLE TT_IVEXCSG (
CODFIL CHAR(3),
SEQUEN CHAR(10),
DATINC Date,
ATU_EM Date,
FILREM CHAR(3),
SEQREM CHAR(10),
ITEREM Number(5),
FILFAT CHAR(3),
SEQFAT CHAR(10),
ITEFAT Number(5),
FLGEST CHAR(1) DEFAULT 'N',
NF_DEV VARCHAR2(1) DEFAULT 'F',
QTDDEV Number(12,4)  DEFAULT 0) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0014 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG ADD CONSTRAINT PK_IVEXCSG PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0015 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG ADD CONSTRAINT FK_IVEXCSG_IVE_REM FOREIGN KEY (FILREM, SEQREM, ITEREM) REFERENCES  TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0016 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG ADD CONSTRAINT FK_IVEXCSG_IVE_FAT FOREIGN KEY (FILFAT, SEQFAT, ITEFAT) REFERENCES  TT_IVE (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0017 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG ADD CONSTRAINT CK_IVEXCSG_NF_DEV CHECK (NF_DEV in ('T','F'));

/*-- SEQ 0018 --*/
-- Tarefa 80192 --
CREATE INDEX I_FK_IVEXCSG_IVE_REM ON TT_IVEXCSG (CODFIL, SEQUEN, ITEREM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0019 --*/
-- Tarefa 80192 --
CREATE INDEX I_FK_IVEXCSG_IVE_FAT ON TT_IVEXCSG (CODFIL, SEQUEN, ITEFAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0020 --*/
-- Tarefa 80192 --
CREATE INDEX I_LC_IVEXCSG_FLGEST ON TT_IVEXCSG (FLGEST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0021 --*/
-- Tarefa 80192 --
CREATE SEQUENCE SQIVEXCSG INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0022 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (DATINC CONSTRAINT NN_IVEXCSG_DATINC NOT NULL);


/*-- SEQ 0023 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (ATU_EM CONSTRAINT NN_IVEXCSG_ATU_EM NOT NULL);


/*-- SEQ 0024 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (FILREM CONSTRAINT NN_IVEXCSG_FILREM NOT NULL);


/*-- SEQ 0025 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (SEQREM CONSTRAINT NN_IVEXCSG_SEQREM NOT NULL);


/*-- SEQ 0026 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (ITEREM CONSTRAINT NN_IVEXCSG_ITEREM NOT NULL);


/*-- SEQ 0027 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (FLGEST CONSTRAINT NN_IVEXCSG_FLGEST NOT NULL);


/*-- SEQ 0028 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (NF_DEV CONSTRAINT NN_IVEXCSG_NF_DEV NOT NULL);


/*-- SEQ 0029 --*/
-- Tarefa 80192 --
ALTER TABLE TT_IVEXCSG MODIFY (QTDDEV CONSTRAINT NN_IVEXCSG_QTDDEV NOT NULL);



/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79449 --
ALTER TABLE TT_TIT ADD NOSNUM2 VARCHAR2(20);

/*-- SEQ 0031 --*/
-- Tarefa 79449 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79449 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('NOSSO_NUM', Agora(), Agora());

/*-- SEQ 0033 --*/
-- Tarefa 79449 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_ECF ADD CRZINI Number(4);

/*-- SEQ 0035 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_ECF ADD INTERV Number(4);

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
UPDATE TD_ECF
   SET INTERV = (SELECT MAX(RECF.INTERV)
                   FROM TR_ECF RECF
                  WHERE RECF.CODFIL = TD_ECF.FILECF
                    AND RECF.NUMECF = TD_ECF.NUMECF
                    AND RECF.DATOPE <= AGORA()
                    AND RECF.CNT_RO = (SELECT MAX(RECF2.CNT_RO)
                                         FROM TR_ECF RECF2
                                        WHERE RECF2.CODFIL = TD_ECF.FILECF
                                          AND RECF2.NUMECF = TD_ECF.NUMECF
                                          AND RECF2.DATOPE <= AGORA()))
 WHERE INTERV IS NULL
   AND ECFATI = 'T';                  

/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;   

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;


/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL ADD MPRINI Number(5) DEFAULT 1;

/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL MODIFY (MPRINI CONSTRAINT NN_DFIL_MPRINI NOT NULL);


/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR DISABLE ALL TRIGGERS;


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR ADD EXPORT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR ENABLE ALL TRIGGERS;

/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR ADD CONSTRAINT CK_MPR_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR MODIFY (EXPORT CONSTRAINT NN_MPR_EXPORT NOT NULL);


/*-- SEQ 0048 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80527 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MAPA_RES2', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MAPA_RES2'));


/*-- SEQ 0049 --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR DISABLE ALL TRIGGERS;


/*-- SEQ 0050 --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR MODIFY (NUMERO Number(6));

/*-- SEQ 0051 --*/
-- Tarefa 80527 --
ALTER TABLE TT_MPR ENABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;


/*-- SEQ 0053 --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL MODIFY (MPRINI Number(6));

/*-- SEQ 0054 --*/
-- Tarefa 80527 --
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;


/*-- SEQ 0055 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80202 --
CREATE INDEX I_LC_ORC_ENVIO ON TT_ORC (ENVECO, DATENV) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0056 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80202 --
CREATE INDEX I_LC_ORC_CODRAS ON TT_ORC (CODRAS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0057 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80743 --
CREATE TABLE TT_IVEXIOR (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  FILIVE CHAR(3),
  SEQIVE CHAR(10),
  NUMIVE Number(5),
  FILPED CHAR(3),
  TIPPED CHAR(1),
  NUMPED CHAR(8),
  NUMITE Number(5)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0058 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80743 --  
ALTER TABLE TT_IVEXIOR ADD CONSTRAINT PK_IVEXIOR PRIMARY KEY (CODFIL,SEQUEN);  

/*-- SEQ 0059 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80743 --
ALTER TABLE TT_IVEXIOR ADD CONSTRAINT FK_IVEXIOR_IVE FOREIGN KEY (FILIVE,SEQIVE,NUMIVE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0060 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80743 --
ALTER TABLE TT_IVEXIOR ADD CONSTRAINT FK_IVEXIOR_IOR FOREIGN KEY (FILPED,TIPPED,NUMPED,NUMITE) REFERENCES TT_IOR (CODFIL,TIPPED,NUMPED,NUMITE);

/*-- SEQ 0061 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80743 --
CREATE INDEX I_FK_IVEXIOR_IOR ON TT_IVEXIOR (FILPED,TIPPED,NUMPED,NUMITE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80743 --
CREATE UNIQUE INDEX I_UQ_IVEXIOR ON TT_IVEXIOR (FILIVE,SEQIVE,NUMIVE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80743 --
CREATE SEQUENCE SQIVEXIOR INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80687 --
ALTER TABLE TT_CFG ADD MEIO_ESTAC Number(5);

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80687 --
ALTER TABLE TW_CFG ADD MEIO_ESTAC Number(5);

/*-- SEQ 0066 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80687 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'MEIO_ESTAC', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'MEIO_ESTAC'));


/*-- SEQ 0067 --*/
-- Tarefa 80762 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80762 --
ALTER TABLE TT_CLI ADD ISECHE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0069 --*/
-- Tarefa 80762 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS; 

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80762 --
ALTER TABLE TT_CLI MODIFY (ISECHE CONSTRAINT NN_CLI_ISECHE NOT NULL);



/*-- SEQ 0071 --*/
-- Tarefa 80750 --
ALTER TABLE TT_UID DISABLE ALL TRIGGERS;


/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80750 --
ALTER TABLE TT_UID ADD CODEMP Number(5) DEFAULT	0;

/*-- SEQ 0073 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80750 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP IN (0, 1, 2, 3));

/*-- SEQ 0074 --*/
-- Tarefa 80750 --
ALTER TABLE TT_UID ENABLE ALL TRIGGERS;


/*-- SEQ 0075 --*/
-- Tarefa 80738 --
ALTER TABLE TT_IVE ADD NUMEXT_DEP VARCHAR2(20);


/*-- SEQ 0076 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0077 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG ADD CKPANUMEXT_NAO_DAV VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0078 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS; 

/*-- SEQ 0079 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKPANUMEXT_NAO_DAV CHECK (CKPANUMEXT_NAO_DAV IN ('T','F'));

/*-- SEQ 0080 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG MODIFY (CKPANUMEXT_NAO_DAV CONSTRAINT NN_CFG_CKPANUMEXT_NAO_DAV NOT NULL);


/*-- SEQ 0081 --*/
-- Tarefa 80736 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0082 --*/
-- Tarefa 80736 --
ALTER TABLE TW_CFG ADD CKPANUMEXT_NAO_DAV VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0083 --*/
-- Tarefa 80736 --
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS; 

/*-- SEQ 0084 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0085 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG ADD CKPANUMEXT_DEP VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0086 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS; 

/*-- SEQ 0087 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CKPANUMEXT_DEP CHECK (CKPANUMEXT_DEP IN ('T','F'));

/*-- SEQ 0088 --*/
-- Tarefa 80736 --
ALTER TABLE TT_CFG MODIFY (CKPANUMEXT_DEP CONSTRAINT NN_CFG_CKPANUMEXT_DEP NOT NULL);


/*-- SEQ 0089 --*/
-- Tarefa 80736 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0090 --*/
-- Tarefa 80736 --
ALTER TABLE TW_CFG ADD CKPANUMEXT_DEP VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0091 --*/
-- Tarefa 80736 --
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0092 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD ACORDO Number(14,4);

/*-- SEQ 0093 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD TIPACO CHAR(1);

/*-- SEQ 0094 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI ADD DATVAL Date;

/*-- SEQ 0095 --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI DISABLE ALL TRIGGERS;



/*-- SEQ 0096 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
UPDATE TT_DESXCLI
   SET TIPACO = 'V',
       ACORDO = COALESCE(VLRDES, 0)   
 WHERE VLRDES IS NOT NULL;
 
/*-- SEQ 0097 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 -- 
UPDATE TT_DESXCLI
   SET TIPACO = 'P',
       ACORDO = COALESCE(PERDES, 0) 
 WHERE PERDES IS NOT NULL; 

/*-- SEQ 0098 --*/
-- Tarefa 73907 -- 
ALTER TABLE TT_DESXCLI ENABLE ALL TRIGGERS;

/*-- SEQ 0099 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI DROP COLUMN PERDES CASCADE CONSTRAINT;

/*-- SEQ 0100 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
ALTER TABLE TT_DESXCLI DROP COLUMN VLRDES CASCADE CONSTRAINT;

/*-- SEQ 0101 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 73907 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('ACORDO_PRE', Agora(), Agora());


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 79870 --
CREATE INDEX I_LC_ORC_FLGECO ON TT_ORC (FLGECO) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0103 --*/
-- Tarefa 79941 --
ALTER TABLE TW_ICO_FIS ADD BASSUB Number(14,2) ;



/*-- SEQ 0104 --*/
-- Tarefa 81135 --
ALTER TABLE TT_IVEXCSG ADD VLRDES Number(12,2) ;



/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81113 --
ALTER TABLE TI_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81113 --
ALTER TABLE TI_CLI MODIFY (CODEXT VARCHAR2(20));

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81113 --
ALTER TABLE TI_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81113 --
ALTER TABLE TE_CCC DISABLE ALL TRIGGERS;


/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81113 --
ALTER TABLE TE_CCC MODIFY (EXTCLI VARCHAR2(20));

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81113 --
ALTER TABLE TE_CCC ENABLE ALL TRIGGERS;


/*-- SEQ 0111 --*/
-- Tarefa 81138 --
CREATE TABLE TD_SIM (
  CODTAB Number(5),
  VLRINI Number(12,2),
  VLRFIM Number(12,2),
  PERICM Number(5,2)) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0112 --*/
-- Tarefa 81138 --
ALTER TABLE TD_SIM ADD CONSTRAINT PK_DSIM PRIMARY KEY (CODTAB);  

/*-- SEQ 0113 --*/
-- Tarefa 81138 --
ALTER TABLE TD_SIM MODIFY (CODTAB CONSTRAINT NN_SIM_CODTAB NOT NULL);


/*-- SEQ 0114 --*/
-- Tarefa 81138 --
ALTER TABLE TD_SIM MODIFY (VLRINI CONSTRAINT NN_SIM_VLRINI NOT NULL);


/*-- SEQ 0115 --*/
-- Tarefa 81138 --
ALTER TABLE TD_SIM MODIFY (VLRFIM CONSTRAINT NN_SIM_VLRFIM NOT NULL);


/*-- SEQ 0116 --*/
-- Tarefa 81138 --
ALTER TABLE TD_SIM MODIFY (PERICM CONSTRAINT NN_SIM_PERICM NOT NULL);



/*-- SEQ 0117 --*/
-- Tarefa 81154 --
ALTER TABLE TT_IVE ADD MVAVEN Number(14,4) ;



/*-- SEQ 0118 --*/
-- Tarefa 81137 --
ALTER TABLE TT_VEN ADD VERNFE VARCHAR2(5) ;


/*-- SEQ 0119 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD CODCRT Number(1) ;


/*-- SEQ 0120 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODCRT CHECK (CODCRT IN (1,2,3));

/*-- SEQ 0121 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD OUTTAX Number(12,2) ;


/*-- SEQ 0122 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD INDREP VARCHAR2(1) ;


/*-- SEQ 0123 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_INDREP CHECK (INDREP IN ('T','F'));

/*-- SEQ 0124 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD CODORI Number(1) ;


/*-- SEQ 0125 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_CODORI CHECK (CODORI IN (0,1,2));

/*-- SEQ 0126 --*/
-- Tarefa 81137 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0127 --*/
ALTER TABLE TD_FIL ADD PERCRE VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0128 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0129 --*/
-- Tarefa 81137 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PERCRE CHECK (PERCRE IN ('T','F'));

/*-- SEQ 0130 --*/
-- Tarefa 81137 --
ALTER TABLE TD_FIL MODIFY (PERCRE CONSTRAINT NN_DFIL_PERCRE NOT NULL);


/*-- SEQ 0131 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD PEROPP Number(5,2) ;


/*-- SEQ 0132 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD BAS_ST_COM Number(14,4) ;


/*-- SEQ 0133 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD VLR_ST_COM Number(14,4) ;


/*-- SEQ 0134 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD ALISIM Number(5,2) ;


/*-- SEQ 0135 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IVE ADD VLRSIM Number(12,2) ;


/*-- SEQ 0136 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IMU DISABLE ALL TRIGGERS;

/*-- SEQ 0137 --*/
ALTER TABLE TT_IMU ADD SITTRI CHAR(1) DEFAULT 'N';

/*-- SEQ 0138 --*/
ALTER TABLE TT_IMU ENABLE ALL TRIGGERS;

/*-- SEQ 0139 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IMU ADD CONSTRAINT CK_IMU_SITTRI CHECK (SITTRI IN ('N','R','S','I'));

/*-- SEQ 0140 --*/
-- Tarefa 81137 --
ALTER TABLE TT_IMU MODIFY (SITTRI CONSTRAINT NN_IMU_SITTRI NOT NULL);


/*-- SEQ 0141 --*/
-- Tarefa 81137 --
ALTER TABLE TD_EST ADD SUBLIM Number(12,2) ;



/*-- SEQ 0142 --*/
-- Tarefa 80821 --
ALTER TABLE TT_IDF DISABLE ALL TRIGGERS;


/*-- SEQ 0143 --*/
-- Tarefa 80821 --
UPDATE TT_IDF
   SET VERSEG = 2.4;
   
/*-- SEQ 0144 --*/
-- Tarefa 80821 --
ALTER TABLE TT_IDF ENABLE ALL TRIGGERS; 


/*-- SEQ 0145 --*/
-- Tarefa 81250 --
ALTER TABLE TD_FIL ADD DATSIM Date ;


/*-- SEQ 0146 --*/
-- Tarefa 81250 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_DATSIM CHECK (DATSIM = TRUNC(DATSIM));


/*-- SEQ 0147 --*/
-- Tarefa 81215 --
ALTER TABLE TT_IVE ADD BASUBS Number(12,2) ;


/*-- SEQ 0148 --*/
-- Tarefa 81215 --
ALTER TABLE TT_IVE ADD SUBSTT Number(12,2) ;



/*-- SEQ 0149 --*/
-- Tarefa 81225 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0150 --*/
ALTER TABLE TT_CFG ADD BRU_APROVADA VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0151 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0152 --*/
-- Tarefa 81225 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BRU_APROVADA CHECK (BRU_APROVADA in ('T','F'));

/*-- SEQ 0153 --*/
-- Tarefa 81225 --
ALTER TABLE TT_CFG MODIFY (BRU_APROVADA CONSTRAINT NN_CFG_BRU_APROVADA NOT NULL);


/*-- SEQ 0154 --*/
-- Tarefa 81225 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0155 --*/
ALTER TABLE TW_CFG ADD BRU_APROVADA VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0156 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0157 --*/
-- Tarefa 81126 --
ALTER TABLE TT_WOR ADD MINPRE Number(7) ;


/*-- SEQ 0158 --*/
-- Tarefa 81126 --
ALTER TABLE TT_WOR ADD MAXPRE Number(7) ;



/*-- SEQ 0159 --*/
-- Tarefa 81194 --
CREATE TABLE TT_BRU (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  ANOREF Number(4),
  MESREF Number(2),
  VLRBRU Number(12,2),
  VLRINF Number(12,2),
  APROVA VARCHAR2(1),
  FILAUT CHAR(3),
  CODAUT CHAR(3)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0160 --*/
-- Tarefa 81194 --  
ALTER TABLE TT_BRU ADD CONSTRAINT PK_BRU PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0161 --*/
-- Tarefa 81194 --
ALTER TABLE TT_BRU ADD CONSTRAINT FK_BRU_USU FOREIGN KEY (FILAUT,CODAUT) REFERENCES TT_USU (FILUSU,CODUSU);

/*-- SEQ 0162 --*/
-- Tarefa 81194 --
CREATE INDEX I_FK_BRU_USU ON TT_BRU (FILAUT,CODAUT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0163 --*/
-- Tarefa 81194 --
CREATE UNIQUE INDEX I_UQ_BRU_REF ON TT_BRU (CODFIL,ANOREF,MESREF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0164 --*/
-- Tarefa 81194 --
ALTER TABLE TT_BRU ADD CONSTRAINT CK_BRU_APROVA CHECK ((APROVA = 'T' AND FILAUT IS NOT NULL AND CODAUT IS NOT NULL) OR (APROVA = 'F'));

/*-- SEQ 0165 --*/
-- Tarefa 81194 --
CREATE SEQUENCE SQBRU INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0166 --*/
-- Tarefa 81195 --
CREATE TABLE TL_BRU (
  CODTAB Number(10),
  FILBRU CHAR(3),
  SEQBRU CHAR(10),
  DATOPE Date,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR2(4000),
  CODUID Number) TABLESPACE TOTALL_DATA;

/*-- SEQ 0167 --*/
-- Tarefa 81195 --
ALTER TABLE TL_BRU ADD CONSTRAINT PK_LBRU PRIMARY KEY (CODTAB);

/*-- SEQ 0168 --*/
-- Tarefa 81195 --
CREATE SEQUENCE SQLBRU INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0169 --*/
-- Tarefa 81195 --
ALTER TABLE TL_BRU ADD CONSTRAINT FK_LBRU_USU FOREIGN KEY (FILBRU,SEQBRU) REFERENCES TT_BRU (CODFIL,SEQUEN);

/*-- SEQ 0170 --*/
-- Tarefa 81195 --
CREATE INDEX I_FK_LBRU_USU ON TL_BRU (FILBRU,SEQBRU) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0171 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81193 --
ALTER TABLE TT_IVE DROP COLUMN CODCRT CASCADE CONSTRAINT;

/*-- SEQ 0172 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81193 --
ALTER TABLE TT_IVE DROP CONSTRAINT CK_IVE_CODCRT;

/*-- SEQ 0173 --*/
-- Tarefa 81193 --
ALTER TABLE TT_VEN ADD CODCRT Number(1) ;


/*-- SEQ 0174 --*/
-- Tarefa 81193 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_CODCRT CHECK (CODCRT in (1,2,3));


/*-- SEQ 0175 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81119 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_FLGECO;	

/*-- SEQ 0176 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81119 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGECO CHECK (FLGECO IN ('E','F','P','R','T'));


/*-- SEQ 0177 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (1,0,120000,1.25);

/*-- SEQ 0178 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (2,120000.01,240000,1.86);

/*-- SEQ 0179 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (3,240000.01,360000,2.33);

/*-- SEQ 0180 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (4,360000.01,480000,2.56);

/*-- SEQ 0181 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (5,480000.01,600000,2.58);

/*-- SEQ 0182 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (6,600000.01,720000,2.82);

/*-- SEQ 0183 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (7,720000.01,840000,2.84);

/*-- SEQ 0184 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (8,840000.01,960000,2.87);

/*-- SEQ 0185 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (9,960000.01,1080000,3.07);

/*-- SEQ 0186 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (10,1080000.01,1200000,3.10);

/*-- SEQ 0187 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (11,1200000.01,1320000,3.38);

/*-- SEQ 0188 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (12,1320000.01,1440000,3.41);

/*-- SEQ 0189 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (13,1440000.01,1560000,3.45);

/*-- SEQ 0190 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (14,1560000.01,1680000,3.48);

/*-- SEQ 0191 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (15,1680000.01,1800000,3.51);

/*-- SEQ 0192 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (16,1800000.01,1920000,3.82);

/*-- SEQ 0193 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (17,1920000.01,2040000,3.85);

/*-- SEQ 0194 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (18,2040000.01,2160000,3.88);

/*-- SEQ 0195 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (19,2160000.01,2280000,3.91);

/*-- SEQ 0196 --*/
-- Tarefa 81187 --
INSERT INTO TD_SIM (CODTAB,VLRINI,VLRFIM,PERICM) VALUES (20,2280000.01,2400000,3.95);

/*-- SEQ 0197 --*/
-- Tarefa 81187 --
ALTER TABLE TD_EST DISABLE ALL TRIGGERS;


/*-- SEQ 0198 --*/
-- Tarefa 81187 -- 
UPDATE TD_EST
   SET SUBLIM = 1200
 WHERE ESTADO IN ('AC','AL','AP','PI','RO','RR','SE','TO');

/*-- SEQ 0199 --*/
-- Tarefa 81187 --
UPDATE TD_EST
   SET SUBLIM = 1800
 WHERE ESTADO IN ('CE','MT','MS','PA','PB');
 
/*-- SEQ 0200 --*/
-- Tarefa 81187 --
UPDATE TD_EST
   SET SUBLIM = 2400
 WHERE ESTADO IN ('AM','BA','DF','ES','GO','MA','MG','PE','PR','RJ','RN','RS','SC','SP');

/*-- SEQ 0201 --*/
-- Tarefa 81187 --
ALTER TABLE TD_EST ENABLE ALL TRIGGERS;


/*-- SEQ 0202 --*/
-- Tarefa 80846 --
ALTER TABLE TT_IVO ADD DATSEP Date ;



/*-- SEQ 0203 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81425 --
SELECT * FROM NADA;


/*-- SEQ 0204 --*/
-- Tarefa 81426 --
ALTER TABLE TT_BRU ADD NUMDOC Number(8) ;


/*-- SEQ 0205 --*/
-- Tarefa 81426 --
DROP INDEX I_UQ_BRU_REF;

/*-- SEQ 0206 --*/
-- Tarefa 81426 --
CREATE UNIQUE INDEX I_UQ_BRU_REF ON TT_BRU (ANOREF,MESREF,NUMDOC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0207 --*/
-- Tarefa 81345 --
ALTER TABLE TT_IVE ADD SITISS CHAR(1) ;


/*-- SEQ 0208 --*/
-- Tarefa 81345 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_SITISS CHECK (SITISS IN ('N','R','S','I'));


/*-- SEQ 0209 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD ECOM_VISA Number(5) ;


/*-- SEQ 0210 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD ECOM_MASTER Number(5) ;


/*-- SEQ 0211 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD ECOM_AMEX Number(5) ;


/*-- SEQ 0212 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TW_CFG ADD ECOM_VISA Number(5) ;


/*-- SEQ 0213 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TW_CFG ADD ECOM_MASTER Number(5) ;


/*-- SEQ 0214 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TW_CFG ADD ECOM_AMEX Number(5) ;


/*-- SEQ 0215 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_VISA FOREIGN KEY (ECOM_VISA) REFERENCES TD_CAR (CODTAB);

/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_MASTER FOREIGN KEY (ECOM_MASTER) REFERENCES TD_CAR (CODTAB);

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81396 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_AMEX FOREIGN KEY (ECOM_AMEX) REFERENCES TD_CAR (CODTAB);


/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/
DROP VIEW TV_FIS_60;


/*-- SEQ 0219 --*/
-- Tarefa 81479 --
ALTER TABLE TT_IVE ADD CODEAN VARCHAR2(20) ;



/*-- SEQ 0220 --*/
-- Tarefa 81485 --
ALTER TABLE TD_SER ADD TXTOBS VARCHAR2(4000) ;



/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81425 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81425 --
UPDATE TT_CFG 
   SET MEIO_ESTAC = NULL
 WHERE NOT EXISTS(SELECT 1 AS OK
                    FROM TD_OUT DOUT
                   WHERE DOUT.CODTAB = TT_CFG.MEIO_ESTAC);

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81425 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
				   
/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81425 --				   
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DOUT_MEIO_ESTAC FOREIGN KEY (MEIO_ESTAC) REFERENCES TD_OUT (CODTAB);


/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81474 --
ALTER TABLE TT_GRA MODIFY (PTOQTD Number(14,4));

/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81474 --
ALTER TABLE TT_GRA MODIFY (PESLIQ Number(14,4));

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81474 --
ALTER TABLE TT_GRA MODIFY (PESBRU Number(14,4));


/*-- SEQ 0228 --*/
-- Tarefa 81569 --
ALTER TABLE TD_FIL ADD ALISIM_ICMS Number(5,2) ;


/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81569 --
Select * from nada;

/*-- SEQ 0230 --*/
-- Tarefa 81569 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0231 --*/
-- Tarefa 81569 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) VALUES ('NFEICMSIM', Agora(), Agora());

/*-- SEQ 0232 --*/
-- Tarefa 81569 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS; 


/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81534 --
ALTER TABLE TD_NAT DISABLE ALL TRIGGERS;


/*-- SEQ 0234 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET NATDEN = CAST('6404'||SUBSTR(NATDEN,5,2) AS CHAR(6))
 WHERE NATDEN LIKE '6405%';
 
/*-- SEQ 0235 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET NATFOR = CAST('6404'||SUBSTR(NATFOR,5,2) AS CHAR(6))
 WHERE NATFOR LIKE '6405%';

/*-- SEQ 0236 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET NATFUD = CAST('6404'||SUBSTR(NATFUD,5,2) AS CHAR(6))
 WHERE NATFUD LIKE '6405%';

/*-- SEQ 0237 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET NATFUF = CAST('6404'||SUBSTR(NATFUF,5,2) AS CHAR(6))
 WHERE NATFUF LIKE '6405%';

/*-- SEQ 0238 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET NATRED = CAST('6404'||SUBSTR(NATRED,5,2) AS CHAR(6))
 WHERE NATRED LIKE '6405%';
 
/*-- SEQ 0239 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET NATREF = CAST('6404'||SUBSTR(NATREF,5,2) AS CHAR(6))
 WHERE NATREF LIKE '6405%'; 

/*-- SEQ 0240 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET EXTDEM = CAST('6404'||SUBSTR(EXTDEM,5,2) AS CHAR(6))
 WHERE EXTDEM LIKE '6405%'; 

/*-- SEQ 0241 --*/
-- Tarefa 81534 --
UPDATE TD_NAT
   SET EXTFOR = CAST('6404'||SUBSTR(EXTFOR,5,2) AS CHAR(6))
 WHERE EXTFOR LIKE '6405%';  
 
/*-- SEQ 0242 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81534 --
ALTER TABLE TD_NAT ENABLE ALL TRIGGERS; 
 
/*-- SEQ 0243 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81534 --
ALTER TABLE TD_CFO DISABLE ALL TRIGGERS;

 
/*-- SEQ 0244 --*/
-- Tarefa 81534 --
UPDATE TD_CFO
   SET CODCFO = CAST('6404'||SUBSTR(CODCFO,5,2) AS CHAR(6))
 WHERE CODCFO LIKE '6405%';  

/*-- SEQ 0245 --*/
-- Tarefa 81534 --
UPDATE TD_CFO
   SET EXTCFO = CAST('6404'||SUBSTR(EXTCFO,5,2) AS CHAR(6))
 WHERE EXTCFO LIKE '6405%';
 
 /*-- SEQ 0246 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81534 --
ALTER TABLE TD_CFO ENABLE ALL TRIGGERS; 


/*-- SEQ 0247 --*/
-- Tarefa 81604 --
ALTER TABLE TT_UID DROP CONSTRAINT CK_UID_CODEMP;

/*-- SEQ 0248 --*/
-- Tarefa 81604 --
ALTER TABLE TT_UID ADD CONSTRAINT CK_UID_CODEMP CHECK (CODEMP IN (0,1,2,3,4));

/*-- SEQ 0249 --*/
-- Tarefa 81604 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_CODEMP;

/*-- SEQ 0250 --*/
-- Tarefa 81604 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_CODEMP CHECK (CODEMP IN (0,1,2,3,4));


/*-- SEQ 0251 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81652 --
ALTER TABLE TW_COM_FIS MODIFY (CODSER VARCHAR2(3));


/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81711 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_RTTATI;

/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81711 --
ALTER TABLE TT_RDV ADD CONSTRAINT CK_RDV_TIPRDV CHECK (TIPRDV in ('B','M','V','A','P','C'));


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
ALTER TABLE TD_EST DISABLE ALL TRIGGERS;


/*-- SEQ 0255 --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 17
 WHERE ESTADO NOT IN ('MG','PR','RJ','SP');
 
/*-- SEQ 0256 --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 18
 WHERE ESTADO IN ('MG','PR','SP');
 
/*-- SEQ 0257 --*/
-- Tarefa 81754 --
UPDATE TD_EST
   SET ICMINT = 19
 WHERE ESTADO IN ('RJ'); 

/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81754 --
ALTER TABLE TD_EST ENABLE ALL TRIGGERS;


/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
ALTER TABLE TT_BRU DISABLE ALL TRIGGERS;

 
/*-- SEQ 0260 --*/
-- Tarefa 81515 --
UPDATE TT_BRU
   SET APROVA = 'F'
 WHERE APROVA = NULL;   

/*-- SEQ 0261 --*/
-- Tarefa 81515 --
ALTER TABLE TT_BRU MODIFY (APROVA DEFAULT 'F');

/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 81515 --
ALTER TABLE TT_BRU ENABLE ALL TRIGGERS;

/*-- SEQ 0263 --*/
-- Tarefa 81515 --
 ALTER TABLE TT_BRU MODIFY (APROVA CONSTRAINT NN_BRU_APROVA NOT NULL);



/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 80789 --
-- Cria Backup das IVEs que esto com o VLRMOV e QTDMOV zerado.
CREATE TABLE TEMP_IVE AS SELECT IVE.* 
                           FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                                                AND IVE.SEQUEN = IOR.SEQIVE
                                                                AND IVE.NUMITE = IOR.NUMIVE 
                          WHERE IVE.SITMOV = 'C'
                            AND IOR.TIPENT = '5'
                            AND IVE.VLRMOV = 0;

/*-- SEQ 0265 --*/
-- Tarefa 80789 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;


/*-- SEQ 0266 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo QTDMOV.
UPDATE TT_IVE
   SET QTDMOV = (SELECT IOR.QTDENT
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)	   
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.QTDMOV = 0);

/*-- SEQ 0267 --*/
-- Tarefa 80789 --
-- Update para inserir o valores no campo VLRMOV.
UPDATE TT_IVE
   SET VLRMOV = (SELECT COALESCE(CAST(IOR.QTDENT*TT_IVE.VLRUNI AS Number(14,2)), IOR.VLRCUS) AS VLRMOV
                   FROM TT_IOR IOR
                  WHERE TT_IVE.CODFIL = IOR.FILIVE
                    AND TT_IVE.SEQUEN = IOR.SEQIVE
                    AND TT_IVE.NUMITE = IOR.NUMIVE)
 WHERE (CODFIL, SEQUEN, NUMITE) IN (
 SELECT IVE.CODFIL, IVE.SEQUEN, IVE.NUMITE
   FROM TT_IVE IVE INNER JOIN TT_IOR IOR ON IVE.CODFIL = IOR.FILIVE 
                                        AND IVE.SEQUEN = IOR.SEQIVE
                                        AND IVE.NUMITE = IOR.NUMIVE 
  WHERE IVE.SITMOV = 'C'
    AND IOR.TIPENT = '5'
    AND IVE.VLRMOV = 0);

/*-- SEQ 0268 --*/
-- Tarefa 80789 --
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;


/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
drop index i_uq_tit_rec_seqcan;


/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
--Tarefa 81228 --
ALTER TABLE TT_CMS DROP CONSTRAINT NN_CMS_NUMPAR;


/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
--Tarefa 81228 --
ALTER TABLE TT_CMS DROP CONSTRAINT NN_CMS_SUBPAR;



/*-- SEQ 0272 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0273 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD TEMP_RESICM VARCHAR2(6) ;


/*-- SEQ 0274 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD TEMP_REDUME VARCHAR2(6) ;


/*-- SEQ 0275 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD TEMP_REDUC1 VARCHAR2(6) ;


/*-- SEQ 0276 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD TEMP_REDUC2 VARCHAR2(6) ;


/*-- SEQ 0277 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD TEMP_REDALI VARCHAR2(6) ;


/*-- SEQ 0278 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD TEMP_REDTRA VARCHAR2(7) ;


/*-- SEQ 0279 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD TEMP_REDESP VARCHAR2(6) ;


/*-- SEQ 0280 --*/
-- Tarefa 81715 --
UPDATE TI_PRO
   SET TEMP_RESICM = TRIM(RESICM),
       TEMP_REDUME = TRIM(REDUME),
       TEMP_REDUC1 = TRIM(REDUC1),
       TEMP_REDUC2 = TRIM(REDUC2),
       TEMP_REDALI = TRIM(REDALI),
       TEMP_REDTRA = TRIM(REDTRA),
       TEMP_REDESP = TRIM(REDESP)
       ;       
       
/*-- SEQ 0281 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN RESICM CASCADE CONSTRAINT;

/*-- SEQ 0282 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN REDUME CASCADE CONSTRAINT;

/*-- SEQ 0283 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN REDUC1 CASCADE CONSTRAINT;

/*-- SEQ 0284 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN REDUC2 CASCADE CONSTRAINT;

/*-- SEQ 0285 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN REDALI CASCADE CONSTRAINT;

/*-- SEQ 0286 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN REDTRA CASCADE CONSTRAINT;

/*-- SEQ 0287 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN REDESP CASCADE CONSTRAINT;

/*-- SEQ 0288 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD RESICM Number(5,2) ;


/*-- SEQ 0289 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD REDUME Number(5,2) ;


/*-- SEQ 0290 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD REDUC1 Number(5,2) ;


/*-- SEQ 0291 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD REDUC2 Number(5,2) ;


/*-- SEQ 0292 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD REDALI Number(5,2) ;


/*-- SEQ 0293 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD REDTRA Number(6,4) ;


/*-- SEQ 0294 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ADD REDESP Number(5,2) ;


/*-- SEQ 0295 --*/
-- Tarefa 81715 --
UPDATE TI_PRO
   SET RESICM = CASE WHEN TEMP_RESICM IS NULL THEN NULL ELSE to_number(REPLACE(TRIM(TEMP_RESICM),',','.'), '999.99') END,
       REDUME = CASE WHEN TEMP_REDUME IS NULL THEN NULL ELSE to_number(REPLACE(TRIM(TEMP_REDUME),',','.'), '999.99') END,
       REDUC1 = CASE WHEN TEMP_REDUC1 IS NULL THEN NULL ELSE to_number(REPLACE(TRIM(TEMP_REDUC1),',','.'), '999.99') END,
       REDUC2 = CASE WHEN TEMP_REDUC2 IS NULL THEN NULL ELSE to_number(REPLACE(TRIM(TEMP_REDUC2),',','.'), '999.99') END,
       REDALI = CASE WHEN TEMP_REDALI IS NULL THEN NULL ELSE to_number(REPLACE(TRIM(TEMP_REDALI),',','.'), '999.99') END,
       REDTRA = CASE WHEN TEMP_REDTRA IS NULL THEN NULL ELSE to_number(REPLACE(TRIM(TEMP_REDTRA),',','.'), '99.9999') END,
       REDESP = CASE WHEN TEMP_REDESP IS NULL THEN NULL ELSE to_number(REPLACE(TRIM(TEMP_REDESP),',','.'), '999.99') END
   ;
   
/*-- SEQ 0296 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN TEMP_RESICM CASCADE CONSTRAINT;   

/*-- SEQ 0297 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN TEMP_REDUME CASCADE CONSTRAINT;   

/*-- SEQ 0298 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN TEMP_REDUC1 CASCADE CONSTRAINT;   

/*-- SEQ 0299 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN TEMP_REDUC2 CASCADE CONSTRAINT;   

/*-- SEQ 0300 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN TEMP_REDALI CASCADE CONSTRAINT;   

/*-- SEQ 0301 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN TEMP_REDTRA CASCADE CONSTRAINT;   

/*-- SEQ 0302 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO DROP COLUMN TEMP_REDESP CASCADE CONSTRAINT;   
   
/*-- SEQ 0303 --*/
-- Tarefa 81715 --
ALTER TABLE TI_PRO ENABLE ALL TRIGGERS;


/*-- SEQ 0304 --*/
-- Tarefa 82018 --
ALTER TABLE TT_IVE ADD ABASTE Date ;


/*-- SEQ 0305 --*/
-- Tarefa 82018 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DATA_ABAS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DATA_ABAS'));


/*-- SEQ 0306 --*/
-- Tarefa 82208 --
CREATE TABLE TT_RPS(
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  DATINC Date,
  ATU_EM Date,
  SERRPS VARCHAR2(3),
  NUMRPS CHAR(6),
  DATRPS Date,
  IM_RPS VARCHAR2(15),
  DOCRPS VARCHAR2(15),
  TIPRPS Number(1),
  SITRPS CHAR(1),
  NUMNFS Number(15),
  DATNFS Date,
  CODNFS VARCHAR2(8),
  SITNFS CHAR(1)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0307 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (DATINC CONSTRAINT NN_RPS_DATINC NOT NULL);
 

/*-- SEQ 0308 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (ATU_EM CONSTRAINT NN_RPS_ATU_EM NOT NULL);
 

/*-- SEQ 0309 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (SERRPS CONSTRAINT NN_RPS_SERRPS NOT NULL);
 

/*-- SEQ 0310 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (NUMRPS CONSTRAINT NN_RPS_NUMRPS NOT NULL);
 

/*-- SEQ 0311 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (DATRPS CONSTRAINT NN_RPS_DATRPS NOT NULL);
 

/*-- SEQ 0312 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (IM_RPS CONSTRAINT NN_RPS_IM_RPS NOT NULL);
 

/*-- SEQ 0313 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (DOCRPS CONSTRAINT NN_RPS_DOCRPS NOT NULL);
 

/*-- SEQ 0314 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (TIPRPS CONSTRAINT NN_RPS_TIPRPS NOT NULL);
 

/*-- SEQ 0315 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS MODIFY (SITRPS CONSTRAINT NN_RPS_SITRPS NOT NULL);
 
 
/*-- SEQ 0316 --*/
-- Tarefa 82208 -- 
ALTER TABLE TT_RPS ADD CONSTRAINT PK_RPS PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0317 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT FK_RPS_VEN FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0318 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_TIPRPS CHECK (TIPRPS IN (0));

/*-- SEQ 0319 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITRPS CHECK (SITRPS IN ('I','C'));

/*-- SEQ 0320 --*/
-- Tarefa 82208 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITNFS CHECK (SITNFS IN ('I','C'));


/*-- SEQ 0321 --*/
-- Tarefa 82209 --
CREATE TABLE TL_RPS (
  CODTAB Number(10),
  FILRPS CHAR(3),
  SEQRPS CHAR(10),
  DATOPE Date,
  FILUSU CHAR(3),
  CODUSU CHAR(3),
  MSGLOG VARCHAR2(4000),
  CODUID Number) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0322 --*/
-- Tarefa 82209 -- 
ALTER TABLE TL_RPS ADD CONSTRAINT PK_LRPS PRIMARY KEY (CODTAB);

/*-- SEQ 0323 --*/
-- Tarefa 82209 --
CREATE SEQUENCE SQLRPS INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0324 --*/
-- Tarefa 82209 --
ALTER TABLE TL_RPS ADD CONSTRAINT FK_LRPS_RPS FOREIGN KEY (FILRPS, SEQRPS) REFERENCES TT_RPS (CODFIL, SEQUEN);

/*-- SEQ 0325 --*/
-- Tarefa 82209 --
CREATE INDEX I_FK_LRPS_RPS ON TL_RPS (FILRPS, SEQRPS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0326 --*/
-- Tarefa 82219 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NotaBlu', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NotaBlu'));


/*-- SEQ 0327 --*/
-- Tarefa 82004 --
INSERT INTO TT_NCM (NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)  
     VALUES ('OUTROS ACUMULADORES ELET DE CHUMBO',3,16,'T','85071090');


/*-- SEQ 0328 --*/
ALTER TABLE TT_WOR MODIFY (MINPRE DEFAULT 0);

/*-- SEQ 0329 --*/
ALTER TABLE TT_WOR MODIFY (MAXPRE DEFAULT 0);

/*-- SEQ 0330 --*/
/*-- IGNORE ERRO --*/
alter table tt_wor drop constraint ck_wor_modelo_regra;


/*-- SEQ 0331 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD FILEMP CHAR(3);

/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CODEMP CHAR(6);

/*-- SEQ 0333 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CONSTRAINT FK_CTT_EMP FOREIGN KEY (FILEMP, CODEMP) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CTT_EMP ON TT_CTT (FILEMP,CODEMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CODHOM CHAR(2);

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CTT ADD CONSTRAINT FK_CTT_DHOM FOREIGN KEY (CODHOM) REFERENCES TD_HOM (CODHOM);

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
CREATE INDEX I_FK_CTT_DHOM ON TT_CTT (CODHOM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0338 --*/
ALTER TABLE TT_CTT DISABLE ALL TRIGGERS;


/*-- SEQ 0339 --*/
UPDATE TT_CTT CTT SET FILEMP = 
(SELECT REG.FILCLI
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN),
CODEMP = 
(SELECT REG.CODCLI
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN),
CODHOM = 
(SELECT REG.CODHOM AS CODHOM
   FROM TT_REG REG 
  WHERE CTT.FILREG = REG.CODFIL AND CTT.SEQREG = REG.SEQUEN)  
 WHERE SEQREG IS NOT NULL;

/*-- SEQ 0340 --*/
ALTER TABLE TT_CTT ENABLE ALL TRIGGERS;




/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0342 --*/
-- Tarefa 82838 --
UPDATE TT_PRO
   SET DESDET = NULL
 WHERE DESDET = '';
 
/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82838 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;


/*-- SEQ 0344 --*/
-- Tarefa 82427 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;


/*-- SEQ 0345 --*/
-- Tarefa 82427 --
UPDATE TT_IUF
   SET CALSUB = 'D'
 WHERE CALSUB = 'R'
   AND SUBTRI <> '3';
   
/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 82427 --
ALTER TABLE TT_IUF MODIFY (CALSUB DEFAULT 'D');

/*-- SEQ 0347 --*/
-- Tarefa 82427 --
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;


/*-- SEQ 0348 --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS DROP CONSTRAINT CK_RPS_SITRPS;

/*-- SEQ 0349 --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS DROP CONSTRAINT CK_RPS_SITNFS;

/*-- SEQ 0350 --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITRPS CHECK (SITRPS IN ('T', 'I', 'F', 'C', 'E', 'J'));

/*-- SEQ 0351 --*/
-- Tarefa 82967 --
ALTER TABLE TT_RPS ADD CONSTRAINT CK_RPS_SITNFS CHECK (SITNFS IN ('T', 'I', 'F', 'C', 'E', 'J'));


/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TD_MED DISABLE ALL TRIGGERS;


/*-- SEQ 0353 --*/
-- Tarefa 82918 --
UPDATE TD_MED
   SET DESMED = 'PECA'
 WHERE UNIMED = 'PC'
   AND DESMED = 'PC';

/*-- SEQ 0354 --*/
/*-- IGNORE ERRO --*/
-- Tarefa Nmero --
ALTER TABLE TD_MED ENABLE ALL TRIGGERS;


/*-- SEQ 0355 --*/
-- Tarefa 83049 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0356 --*/
-- Tarefa 83049 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0357 --*/
-- Tarefa 83049 --
UPDATE TT_USU 
   SET PERMIS = SUBSTR(PERMIS,1,351)||SUBSTR(PERMIS,38,1)||SUBSTR(PERMIS,353,9999)
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'PERMIS352');
   
/*-- SEQ 0358 --*/
-- Tarefa 83049 --
UPDATE TT_PAP
   SET PERMIS = SUBSTR(PERMIS,1,351)||SUBSTR(PERMIS,38,1)||SUBSTR(PERMIS,353,9999)
 WHERE NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'PERMIS352');

/*-- SEQ 0359 --*/
-- Tarefa 83049 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0360 --*/
-- Tarefa 83049 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;

/*-- SEQ 0361 --*/
-- Tarefa 83049 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS352', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS352'));


/*-- SEQ 0362 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD FLGSTA VARCHAR2(1);

/*-- SEQ 0363 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
CREATE INDEX I_LC_VRT_FLGSTA ON TT_VRT (FLGSTA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGSTA CHECK (FLGSTA IN ('1','2','3','5','6','8','9'));

/*-- SEQ 0365 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_STATUS;

/*-- SEQ 0366 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_STATUS CHECK (
 (FLGENV IS NOT NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGCAN IS NOT NULL AND FLGENV IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGINU IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGIMP IS NULL AND FLGSTA IS NULL) OR 
 (FLGIMP IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGSTA IS NULL) OR
 (FLGSTA IS NOT NULL AND FLGENV IS NULL AND FLGCAN IS NULL AND FLGINU IS NULL AND FLGIMP IS NULL));

/*-- SEQ 0367 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT DROP CONSTRAINT CK_VRT_FLGTIP;

/*-- SEQ 0368 --*/
-- Tarefa 83048 --
ALTER TABLE TT_VRT ADD CONSTRAINT CK_VRT_FLGTIP CHECK (FLGTIP IN ('E','C','I','P','S'));
 
/*-- SEQ 0369 --*/
-- Tarefa 83048 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ATUNFE', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ATUNFE'));

