
/*-- SEQ 0001 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CLI_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0002 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_VLRVEN_BON CHECK ((CLI_VLRVEN_BON > 0) OR (CLI_VLRVEN_BON IS NULL));

/*-- SEQ 0003 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CLI_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0004 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CLI_QTDBON Number(12,2) ;


/*-- SEQ 0005 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92160 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLI_QTDBON CHECK ((CLI_QTDBON > 0) OR (CLI_QTDBON IS NULL));

/*-- SEQ 0006 --*/
-- Tarefa 92160--
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CLI_QTDBON Number(12,2) ;



/*-- SEQ 0007 --*/
-- Tarefa 92167--
ALTER TABLE TT_BON DISABLE ALL TRIGGERS;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BON ADD TIPBON CHAR(1) DEFAULT 'O';

/*-- SEQ 0009 --*/
ALTER TABLE TT_BON ENABLE ALL TRIGGERS;

/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON ADD CONSTRAINT CK_BON_TIPBON CHECK (TIPBON IN ('O','X'));

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92167 --
ALTER TABLE TT_BON MODIFY (TIPBON CONSTRAINT NN_BON_TIPBON NOT NULL);



/*-- SEQ 0012 --*/
-- Tarefa 92162--
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CLI ADD VENBON Number(12,2) DEFAULT 0;

/*-- SEQ 0014 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;


/*-- SEQ 0015 --*/
-- Tarefa 91317 --
ALTER TABLE TT_PRO ADD CODNCM VARCHAR2(8) ;


/*-- SEQ 0016 --*/
-- Tarefa 91317 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_NCM FOREIGN KEY (CODNCM) REFERENCES TT_NCM(CODNCM);

/*-- SEQ 0017 --*/
-- Tarefa 91317 --
CREATE INDEX I_FK_PRO_NCM ON TT_PRO (CODNCM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0018 --*/
-- Tarefa 91317 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


UPDATE TT_PRO
   SET CODNCM = (SELECT MIN(GRA.CODNCM) AS CODNCM 
                   FROM TT_GRA GRA
				  WHERE TT_PRO.FILMAT = GRA.FILMAT
				    AND TT_PRO.CODMAT = GRA.CODMAT);

/*-- SEQ 0019 --*/
-- Tarefa 91317 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;					


/*-- SEQ 0020 --*/
-- Tarefa 91319 --
ALTER TABLE TT_NCM ADD FILMAT CHAR(3) ;


/*-- SEQ 0021 --*/
-- Tarefa 91319 --
ALTER TABLE TT_NCM ADD CODMAT CHAR(5) ;


/*-- SEQ 0022 --*/
-- Tarefa 91319 --
ALTER TABLE TT_NCM ADD CONSTRAINT FK_NCM_PRO FOREIGN KEY (FILMAT, CODMAT) REFERENCES TT_PRO(FILMAT, CODMAT);

/*-- SEQ 0023 --*/
-- Tarefa 91319 --
CREATE INDEX I_FK_NCM_PRO ON TT_NCM (FILMAT, CODMAT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0024 --*/
-- Tarefa 91153--
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,377)||SUBSTR(PERMIS,45,1)||SUBSTR(PERMIS,379,9999);

/*-- SEQ 0025 --*/
-- Tarefa 91153--
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,377)||SUBSTR(PERMIS,45,1)||SUBSTR(PERMIS,379,9999);


/*-- SEQ 0026 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD CODFRE Number(5) ;


/*-- SEQ 0027 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_CODFRE FOREIGN KEY (CODFRE) REFERENCES TD_FRE(CODTAB);

/*-- SEQ 0028 --*/
-- Tarefa 91982 --
CREATE INDEX I_FK_CLI_CODFRE ON TT_CLI (CODFRE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0029 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD CODFRE_ENC Number(5) ;


/*-- SEQ 0030 --*/
-- Tarefa 91982 --
ALTER TABLE TT_CLI ADD CONSTRAINT FK_CLI_CODFRE_ENC FOREIGN KEY (CODFRE_ENC) REFERENCES TD_FRE(CODTAB);

/*-- SEQ 0031 --*/
-- Tarefa 91982 --
CREATE INDEX I_FK_CLI_CODFRE_ENC ON TT_CLI (CODFRE_ENC) TABLESPACE TOTALL_INDEX;					


/*-- SEQ 0032 --*/
-- Tarefa 92101--
ALTER TABLE TT_PRO ADD FILIFO CHAR(3) ;


/*-- SEQ 0033 --*/
-- Tarefa 92101--
ALTER TABLE TT_PRO ADD SEQIFO CHAR(10) ;




/*-- SEQ 0034 --*/
-- Tarefa 91195--
ALTER TABLE TT_USU ADD LIMCRE Number(12,2) ;


/*-- SEQ 0035 --*/
-- Tarefa 91195 --
ALTER TABLE TT_USU ADD CONSTRAINT CK_USU_LIMCRE CHECK ((LIMCRE >= 0) OR (LIMCRE IS NULL));



/*-- SEQ 0036 --*/
-- Tarefa 92125--
ALTER TABLE TT_IPE ADD VLRFRE Number(12,2) ;


/*-- SEQ 0037 --*/
-- Tarefa 92125--
ALTER TABLE TT_IPE DISABLE ALL TRIGGERS;

/*-- SEQ 0038 --*/
ALTER TABLE TT_IPE ADD FLGENC VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0039 --*/
ALTER TABLE TT_IPE ENABLE ALL TRIGGERS;

/*-- SEQ 0040 --*/
-- Tarefa 92125--
ALTER TABLE TT_IPE MODIFY (FLGENC CONSTRAINT NN_IPE_FLGENC NOT NULL);


/*-- SEQ 0041 --*/
-- Tarefa 92125 --
ALTER TABLE TT_IPE ADD CONSTRAINT CK_IPE_FLGENC CHECK (FLGENC IN ('F','T'));



/*-- SEQ 0042 --*/
-- Tarefa 91997--
ALTER TABLE TT_PED ADD VLRFRE Number(12,2) ;




/*-- SEQ 0043 --*/
-- Tarefa 91197--
ALTER TABLE TT_CFG ADD LIM_TIPTOL CHAR(1) ;


/*-- SEQ 0044 --*/
-- Tarefa 91197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_LIM_TIPTOL CHECK (LIM_TIPTOL IN ('P', 'V'));

/*-- SEQ 0045 --*/
-- Tarefa 91197--
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0046 --*/
ALTER TABLE TW_CFG ADD LIM_TIPTOL CHAR(1) DEFAULT 'P';

/*-- SEQ 0047 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0048 --*/
-- Tarefa 91197--
ALTER TABLE TT_CFG ADD LIM_PERTOL Number(5,2) ;


/*-- SEQ 0049 --*/
-- Tarefa 91197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_LIM_PERTOL CHECK ((LIM_PERTOL >= 0) OR (LIM_PERTOL IS NULL));

/*-- SEQ 0050 --*/
-- Tarefa 91197--
ALTER TABLE TW_CFG ADD LIM_PERTOL Number(5,2) ;


/*-- SEQ 0051 --*/
-- Tarefa 91197--
ALTER TABLE TT_CFG ADD LIM_VALTOL Number(12,2) ;


/*-- SEQ 0052 --*/
-- Tarefa 91197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_LIM_VALTOL CHECK ((LIM_VALTOL >= 0) OR (LIM_VALTOL IS NULL));

/*-- SEQ 0053 --*/
-- Tarefa 91197--
ALTER TABLE TW_CFG ADD LIM_VALTOL Number(12,2) ;



/*-- SEQ 0054 --*/
-- Tarefa 92138--
ALTER TABLE TT_GRA ADD PERTOLREP Number(5,2) ;


/*-- SEQ 0055 --*/
-- Tarefa 92138 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_PERTOLREP CHECK ((PERTOLREP > 0) OR (PERTOLREP IS NULL));

/*-- SEQ 0056 --*/
-- Tarefa 92138--
ALTER TABLE TT_GRA ADD VLRTOLREP Number(12,2) ;


/*-- SEQ 0057 --*/
-- Tarefa 92138 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_VLRTOLREP CHECK ((VLRTOLREP > 0) OR (VLRTOLREP IS NULL));


/*-- SEQ 0058 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD VDD_CKPAVENITE VARCHAR2(4000) ;


/*-- SEQ 0059 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD VDD_CKPAVENITE VARCHAR2(4000) ;


/*-- SEQ 0060 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD VDD_CKPATOTVEN VARCHAR2(4000) ;


/*-- SEQ 0061 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD VDD_CKPATOTVEN VARCHAR2(4000) ;


/*-- SEQ 0062 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD IND_CKPAVENITE VARCHAR2(4000) ;


/*-- SEQ 0063 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD IND_CKPAVENITE VARCHAR2(4000) ;


/*-- SEQ 0064 --*/
-- Tarefa 92184--
ALTER TABLE TT_CFG ADD IND_CKPATOTVEN VARCHAR2(4000) ;


/*-- SEQ 0065 --*/
-- Tarefa 92184--
ALTER TABLE TW_CFG ADD IND_CKPATOTVEN VARCHAR2(4000) ;



/*-- SEQ 0066 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD VDD_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0067 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VDD_VLRVEN_BON CHECK ((VDD_VLRVEN_BON > 0) OR (VDD_VLRVEN_BON IS NULL));

/*-- SEQ 0068 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD VDD_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0069 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD VDD_QTDBON Number(12,2) ;


/*-- SEQ 0070 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VDD_QTDBON CHECK ((VDD_QTDBON > 0) OR (VDD_QTDBON IS NULL));

/*-- SEQ 0071 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD VDD_QTDBON Number(12,2) ;


/*-- SEQ 0072 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD IND_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0073 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_IND_VLRVEN_BON CHECK ((IND_VLRVEN_BON > 0) OR (IND_VLRVEN_BON IS NULL));

/*-- SEQ 0074 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD IND_VLRVEN_BON Number(12,2) ;


/*-- SEQ 0075 --*/
-- Tarefa 92183--
ALTER TABLE TT_CFG ADD IND_QTDBON Number(12,2) ;


/*-- SEQ 0076 --*/
-- Tarefa 92183 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_IND_QTDBON CHECK ((IND_QTDBON > 0) OR (IND_QTDBON IS NULL));

/*-- SEQ 0077 --*/
-- Tarefa 92183--
ALTER TABLE TW_CFG ADD IND_QTDBON Number(12,2) ;



/*-- SEQ 0078 --*/
-- Tarefa 92126--
ALTER TABLE TT_PXF ADD CUSFRE Number(14,2) ;




/*-- SEQ 0079 --*/
-- Tarefa 92026--
ALTER TABLE TT_PRE ADD CUSREP Number(12,4) ;


/*-- SEQ 0080 --*/
-- Tarefa 92026--
ALTER TABLE TW_PRE ADD CUSREP Number(12,4) ;


/*-- SEQ 0081 --*/
-- Tarefa 92026--
ALTER TABLE TL_PRE ADD CUSANT Number(12,4) ;



/*-- SEQ 0082 --*/
-- Tarefa 92099--
CREATE TABLE TT_IFO (
   CODFIL                CHAR(3),
   SEQUEN                CHAR(10),
   FILMAT                CHAR(3),
   CODMAT                CHAR(5),
   FILFOR                CHAR(3),
   CODFOR                CHAR(6),
   UF_ORI                CHAR(2),
   FLGSUB                VARCHAR2(1),
   ICMTIP                CHAR(1),
   PERIPI                Number(5,2),
   PERICM_INT_ORIG       Number(5,2),
   PERICM_INT_DEST       Number(5,2),
   PERICM_FOR_DEST       Number(5,2),
   REDICM                Number(5,2),
   FLGRED_ICM_P_ST       VARCHAR2(1),
   PERMVA                Number(5,2)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0083 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT PK_IFO PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0084 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92099--
SELECT * FROM NADA;

/*-- SEQ 0085 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92099--
SELECT * FROM NADA;

/*-- SEQ 0086 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (FILMAT CONSTRAINT NN_IFO_FILMAT NOT NULL);


/*-- SEQ 0087 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (CODMAT CONSTRAINT NN_IFO_CODMAT NOT NULL);


/*-- SEQ 0088 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (FILFOR CONSTRAINT NN_IFO_FILFOR NOT NULL);


/*-- SEQ 0089 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (CODFOR CONSTRAINT NN_IFO_CODFOR NOT NULL);


/*-- SEQ 0090 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (UF_ORI CONSTRAINT NN_IFO_UF_ORI NOT NULL);


/*-- SEQ 0091 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (FLGSUB CONSTRAINT NN_IFO_FLGSUB NOT NULL);


/*-- SEQ 0092 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (ICMTIP CONSTRAINT NN_IFO_ICMTIP NOT NULL);


/*-- SEQ 0093 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERIPI CONSTRAINT NN_IFO_PERIPI NOT NULL);


/*-- SEQ 0094 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERICM_INT_ORIG CONSTRAINT NN_IFO_PERICM_INT_ORIG NOT NULL);


/*-- SEQ 0095 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERICM_INT_DEST CONSTRAINT NN_IFO_PERICM_INT_DEST NOT NULL);


/*-- SEQ 0096 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERICM_FOR_DEST CONSTRAINT NN_IFO_PERICM_FOR_DEST NOT NULL);


/*-- SEQ 0097 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (REDICM CONSTRAINT NN_IFO_REDICM NOT NULL);


/*-- SEQ 0098 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (FLGRED_ICM_P_ST CONSTRAINT NN_IFO_FLGRED_ICM_P_ST NOT NULL);


/*-- SEQ 0099 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERMVA CONSTRAINT NN_IFO_PERMVA NOT NULL);


/*-- SEQ 0100 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (FLGSUB DEFAULT 'F');

/*-- SEQ 0101 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (ICMTIP DEFAULT '0');

/*-- SEQ 0102 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERIPI DEFAULT 0);    

/*-- SEQ 0103 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERICM_INT_ORIG DEFAULT 0);

/*-- SEQ 0104 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERICM_INT_DEST DEFAULT 0);

/*-- SEQ 0105 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERICM_FOR_DEST DEFAULT 0);

/*-- SEQ 0106 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (REDICM DEFAULT 0);

/*-- SEQ 0107 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (FLGRED_ICM_P_ST DEFAULT 'F');

/*-- SEQ 0108 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO MODIFY (PERMVA DEFAULT 0);


/*-- SEQ 0109 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT FK_IFO_PRO FOREIGN KEY (FILMAT,CODMAT) REFERENCES TT_PRO (FILMAT, CODMAT);

/*-- SEQ 0110 --*/
-- Tarefa 92099--
CREATE INDEX I_FK_IFO_PRO ON TT_IFO (FILMAT, CODMAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0111 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT FK_IFO_CLI FOREIGN KEY (FILFOR,CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0112 --*/
-- Tarefa 92099--
CREATE INDEX I_FK_IFO_CLI ON TT_IFO (FILFOR,CODFOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0113 --*/
-- Tarefa 92099--
ALTER TABLE TT_IFO ADD CONSTRAINT CK_IFO_ICMTIP CHECK (ICMTIP IN ('0', '1', '2', '3','4'));

/*-- SEQ 0114 --*/
-- Tarefa 92099--
CREATE SEQUENCE SQIFO INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0115 --*/
-- Tarefa 92110--
CREATE TABLE TT_IFC (
  FILMAT        CHAR(3),
  CODMAT        CHAR(5),
  CODCOR        Number(5),
  CODTAM        Number(5),
  FILFOR        CHAR(3),
  CODFOR        CHAR(6),
  UF_ORI        CHAR(2),
  OUTTAX        Number(12,2) ,
  VLRFRE        Number(12,2),
  VLRSEG        Number(12,2),
  BASIPI        Number(12,2),
  VLRIPI        Number(12,2),
  VLRIPIFRE     Number(12,2),
  BASICM        Number(12,2),
  VLRICM        Number(12,2),
  BAS_ST        Number(12,2),
  VLR_ST        Number(12,2)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0116 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ADD CONSTRAINT PK_IFC PRIMARY KEY (FILMAT, CODMAT, CODCOR, CODTAM, FILFOR, CODFOR, UF_ORI);

/*-- SEQ 0117 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (FILMAT CONSTRAINT NN_IFC_FILMAT NOT NULL);


/*-- SEQ 0118 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (CODMAT CONSTRAINT NN_IFC_CODMAT NOT NULL);


/*-- SEQ 0119 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (CODCOR CONSTRAINT NN_IFC_CODCOR NOT NULL);


/*-- SEQ 0120 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (CODTAM CONSTRAINT NN_IFC_CODTAM NOT NULL);


/*-- SEQ 0121 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (FILFOR CONSTRAINT NN_IFC_FILFOR NOT NULL);


/*-- SEQ 0122 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (CODFOR CONSTRAINT NN_IFC_CODFOR NOT NULL);


/*-- SEQ 0123 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (UF_ORI CONSTRAINT NN_IFC_UF_ORI NOT NULL);


/*-- SEQ 0124 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (OUTTAX CONSTRAINT NN_IFC_OUTTAX NOT NULL);


/*-- SEQ 0125 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (VLRFRE CONSTRAINT NN_IFC_VLRFRE NOT NULL);


/*-- SEQ 0126 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (VLRSEG CONSTRAINT NN_IFC_VLRSEG NOT NULL);


/*-- SEQ 0127 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (BASIPI CONSTRAINT NN_IFC_BASIPI NOT NULL);


/*-- SEQ 0128 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (VLRIPI CONSTRAINT NN_IFC_VLRIPI NOT NULL);


/*-- SEQ 0129 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (VLRIPIFRE CONSTRAINT NN_IFC_VLRIPIFRE NOT NULL);


/*-- SEQ 0130 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (BASICM CONSTRAINT NN_IFC_BASICM NOT NULL);


/*-- SEQ 0131 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (VLRICM CONSTRAINT NN_IFC_VLRICM NOT NULL);


/*-- SEQ 0132 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (BAS_ST CONSTRAINT NN_IFC_BAS_ST NOT NULL);


/*-- SEQ 0133 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC MODIFY (VLR_ST CONSTRAINT NN_IFC_VLR_ST NOT NULL);


/*-- SEQ 0134 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ADD CONSTRAINT FK_IFC_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM ) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0135 --*/
-- Tarefa 92110--
CREATE INDEX I_FK_IFC_GRA ON TT_IFC (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0136 --*/
-- Tarefa 92110--
ALTER TABLE TT_IFC ADD CONSTRAINT FK_IFC_CLI FOREIGN KEY (FILFOR, CODFOR) REFERENCES TT_CLI (FILCLI, CODCLI);

/*-- SEQ 0137 --*/
-- Tarefa 92110--
CREATE INDEX I_FK_IFC_CLI ON TT_IFC (FILFOR, CODFOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0138 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (OUTTAX DEFAULT 0);

/*-- SEQ 0139 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (VLRFRE DEFAULT 0);

/*-- SEQ 0140 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (VLRSEG DEFAULT 0);

/*-- SEQ 0141 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (BASIPI DEFAULT 0);

/*-- SEQ 0142 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (VLRIPI DEFAULT 0);

/*-- SEQ 0143 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (VLRIPIFRE DEFAULT 0);

/*-- SEQ 0144 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (BASICM DEFAULT 0);

/*-- SEQ 0145 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (VLRICM DEFAULT 0);

/*-- SEQ 0146 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (BAS_ST DEFAULT 0);

/*-- SEQ 0147 --*/
-- Tarefa 92110 --
ALTER TABLE TT_IFC MODIFY (VLR_ST DEFAULT 0);








/*-- SEQ 0148 --*/
-- Tarefa 92191--
ALTER TABLE TT_BON DROP CONSTRAINT CK_BON_TIPBON;

/*-- SEQ 0149 --*/
-- Tarefa 92191--
ALTER TABLE TT_BON ADD CONSTRAINT CK_BON_TIPBON CHECK (TIPBON IN ('X', 'C', 'V', 'I','O'));


/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_CODEXT ON TI_EAN (CODEXT, CODFIL, CODEAN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0151 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92380--
CREATE INDEX I_LC_IEAN_STATUS ON TI_EAN (STATUS) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0152 --*/
-- Tarefa 92274--
ALTER TABLE TT_SUP DROP CONSTRAINT CK_SUP_PERFIL;

/*-- SEQ 0153 --*/
-- Tarefa 92274--
ALTER TABLE TT_SUP ADD CONSTRAINT CK_SUP_PERFIL CHECK (PERFIL IN ('V','R','E','M','C','P','X'));


/*-- SEQ 0154 --*/
-- Tarefa 92365--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD STATUS_DADOS VARCHAR2(4000) ;


/*-- SEQ 0155 --*/
-- Tarefa 92365--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_ECF ADD STATUS_DATA Date ;



/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
DROP INDEX I_FK_TT_IVE;

/*-- SEQ 0157 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92443 --
CREATE INDEX I_FK_IVE_DTRI ON TT_IVE (SITTRI) TABLESPACE TOTALL_INDEX; 


/*-- SEQ 0158 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0159 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CFCONTRIPJ VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0160 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0161 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG MODIFY (CFCONTRIPJ CONSTRAINT NN_CFG_CFCONTRIPJ NOT NULL);


/*-- SEQ 0162 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92541--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CFCONTRIPJ CHECK (CFCONTRIPJ IN ('T', 'F'));


/*-- SEQ 0163 --*/
-- Tarefa 92541 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0164 --*/
-- Tarefa 92541 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CFCONTRIPJ', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CFCONTRIPJ'));

/*-- SEQ 0165 --*/
-- Tarefa 92541 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0166 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92559--
ALTER TABLE TT_BSC ADD CONSTRAINT CK_BSC_FLGEST CHECK (FLGEST IN ('A', 'P', 'C', 'F'));


/*-- SEQ 0167 --*/
-- Tarefa 88760--
CREATE TABLE TT_COMXCTA (
  CODFIL CHAR(3),
  SEQUEN CHAR(10),
  FILCTA CHAR(3),
  SEQCTA CHAR(10),
  TIPCTA CHAR(1),
  TIPNOT CHAR(1),
  VLRRAT Number(12,2)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0168 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT PK_COMXCTA PRIMARY KEY (CODFIL, SEQUEN, FILCTA, SEQCTA, TIPCTA);

/*-- SEQ 0169 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA MODIFY (CODFIL CONSTRAINT NN_COMXCTA_CODFIL NOT NULL);


/*-- SEQ 0170 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA MODIFY (SEQUEN CONSTRAINT NN_COMXCTA_SEQUEN NOT NULL);


/*-- SEQ 0171 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA MODIFY (FILCTA CONSTRAINT NN_COMXCTA_FILCTA NOT NULL);


/*-- SEQ 0172 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA MODIFY (SEQCTA CONSTRAINT NN_COMXCTA_SEQCTA NOT NULL);


/*-- SEQ 0173 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA MODIFY (TIPCTA CONSTRAINT NN_COMXCTA_TIPCTA NOT NULL);


/*-- SEQ 0174 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA MODIFY (TIPNOT CONSTRAINT NN_COMXCTA_TIPNOT NOT NULL);


/*-- SEQ 0175 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA MODIFY (VLRRAT CONSTRAINT NN_COMXCTA_VLRRAT NOT NULL);


/*-- SEQ 0176 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT FK_COMXCTA_COM FOREIGN KEY (CODFIL, SEQUEN, TIPNOT) REFERENCES TT_COM (CODFIL, SEQUEN, TIPNOT);

/*-- SEQ 0177 --*/
-- Tarefa 88760 --
CREATE INDEX I_FK_COMXCTA_COM ON TT_COMXCTA (CODFIL, SEQUEN, TIPNOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0178 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT FK_COMXCTA_CTA FOREIGN KEY (FILCTA, SEQCTA, TIPCTA) REFERENCES TT_CTA (CODFIL, SEQUEN, TIPCTA);

/*-- SEQ 0179 --*/
-- Tarefa 88760 --
CREATE INDEX I_FK_COMXCTA_CTA ON TT_COMXCTA (FILCTA, SEQCTA, TIPCTA) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0180 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT CK_COMXCTA_TIPNOT CHECK (UPPER(TIPNOT) <> 'F');

/*-- SEQ 0181 --*/
-- Tarefa 88760--
ALTER TABLE TT_COMXCTA ADD CONSTRAINT CK_COMXCTA_VLRRAT CHECK (VLRRAT > 0);

/*-- SEQ 0182 --*/
-- Tarefa 88760--
INSERT INTO TT_COMXCTA 
(CODFIL, SEQUEN, FILCTA, SEQCTA, TIPCTA, TIPNOT, VLRRAT)
(SELECT COM.CODFIL, 
        COM.SEQUEN, 
        COM.FILCTA, 
        COM.SEQCTA,
        COM.TIPCTA, 
        COM.TIPNOT, 
        NVLZ((SELECT SUM(CUS.VLRRAT)
               FROM TT_CUS CUS
              WHERE CUS.CODFIL = COM.CODFIL
                AND CUS.SEQUEN = COM.SEQUEN),COM.VLRLIQ)             
   FROM TT_COM COM 
  WHERE EXISTS (SELECT 1 AS OK
                  FROM TT_ICO ICO
                 WHERE ICO.CODFIL = COM.CODFIL
                   AND ICO.SEQUEN = COM.SEQUEN)                  
    AND COM.FILCTA IS NOT NULL);                



/*-- SEQ 0183 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0184 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0185 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0186 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0187 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;

/*-- SEQ 0188 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 88710--
SELECT * FROM NADA;




/*-- SEQ 0189 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0190 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0191 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0192 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;

/*-- SEQ 0193 --*/
/*-- IGNORE ERRO --*/
-- TAREFA 88710--
SELECT * FROM NADA;


/*-- SEQ 0194 --*/
-- Tarefa 92639--
ALTER TABLE TT_BONXCLI DISABLE ALL TRIGGERS;

/*-- SEQ 0195 --*/
ALTER TABLE TT_BONXCLI ADD TIPPAR CHAR(1) DEFAULT 'C';

/*-- SEQ 0196 --*/
ALTER TABLE TT_BONXCLI ENABLE ALL TRIGGERS;

/*-- SEQ 0197 --*/
-- Tarefa 92639--
ALTER TABLE TT_BONXCLI MODIFY (TIPPAR CONSTRAINT NN_BONXCLI_TIPPAR NOT NULL);


/*-- SEQ 0198 --*/
-- Tarefa 92639 --
ALTER TABLE TT_BONXCLI ADD CONSTRAINT CK_BONXCLI_TIPPAR CHECK (TIPPAR IN('C', 'V', 'I'));


/*-- SEQ 0199 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92753--
SELECT * FROM NADA;


/*-- SEQ 0200 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG ADD TIPRTT_RCEL Number(5) ;


/*-- SEQ 0201 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_TIPRTT_RCEL FOREIGN KEY (TIPRTT_RCEL) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0202 --*/
-- Tarefa 92615--
ALTER TABLE TW_CFG ADD TIPRTT_RCEL Number(5) ;



/*-- SEQ 0203 --*/
-- Tarefa 90347 --
INSERT INTO TT_NCM (CODNCM, NIVNCM, SECNCM, FLGATI, NOMNCM)
  (SELECT '2710125', 6, 5, 'T', 'Gasolina automotiva'
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TT_NCM
                       WHERE CODNCM = '2710125'));


/*-- SEQ 0204 --*/
-- Tarefa 92904 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD SUBSTT_FUT Number(12,2) ;


/*-- SEQ 0205 --*/
-- Tarefa 92904 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'SUBSTT_FUT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'SUBSTT_FUT'));


/*-- SEQ 0206 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC ADD FILCMP CHAR(3) ;


/*-- SEQ 0207 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC MODIFY (FILCMP CONSTRAINT NN_IFC_FILCMP NOT NULL);


/*-- SEQ 0208 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC DISABLE ALL TRIGGERS;

/*-- SEQ 0209 --*/
ALTER TABLE TT_IFC ADD PERICM Number(5,2) DEFAULT 0;

/*-- SEQ 0210 --*/
ALTER TABLE TT_IFC ENABLE ALL TRIGGERS;

/*-- SEQ 0211 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC MODIFY (PERICM CONSTRAINT NN_IFC_PERICM NOT NULL);


/*-- SEQ 0212 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC DISABLE ALL TRIGGERS;

/*-- SEQ 0213 --*/
ALTER TABLE TT_IFC ADD LUCMVA Number(12,2) DEFAULT 0;

/*-- SEQ 0214 --*/
ALTER TABLE TT_IFC ENABLE ALL TRIGGERS;

/*-- SEQ 0215 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC MODIFY (LUCMVA CONSTRAINT NN_IFC_LUCMVA NOT NULL);


/*-- SEQ 0216 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC DISABLE ALL TRIGGERS;

/*-- SEQ 0217 --*/
ALTER TABLE TT_IFC ADD DESRAT Number(12,2) DEFAULT 0;

/*-- SEQ 0218 --*/
ALTER TABLE TT_IFC ENABLE ALL TRIGGERS;

/*-- SEQ 0219 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC MODIFY (DESRAT CONSTRAINT NN_IFC_DESRAT NOT NULL);


/*-- SEQ 0220 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC DISABLE ALL TRIGGERS;

/*-- SEQ 0221 --*/
ALTER TABLE TT_IFC ADD REDICM Number(7,4) DEFAULT 0;

/*-- SEQ 0222 --*/
ALTER TABLE TT_IFC ENABLE ALL TRIGGERS;

/*-- SEQ 0223 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC MODIFY (REDICM CONSTRAINT NN_IFC_REDICM NOT NULL);


/*-- SEQ 0224 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC ADD CONSTRAINT FK_IFC_DFIL FOREIGN KEY (FILCMP) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0225 --*/
-- Tarefa 92731 --
CREATE INDEX I_FK_IFC_DFIL ON TT_IFC (FILCMP) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0226 --*/
-- Tarefa 92731 --
ALTER TABLE TT_IFC DROP CONSTRAINT PK_IFC;

/*-- SEQ 0227 --*/
-- Tarefa 92731--
ALTER TABLE TT_IFC ADD CONSTRAINT PK_IFC PRIMARY KEY (FILMAT, CODMAT, CODCOR, CODTAM, FILFOR, CODFOR, UF_ORI, FILCMP);


/*-- SEQ 0228 --*/
-- Tarefa 92792--
ALTER TABLE TT_IFO ADD ORIPRO CHAR(1) ;


/*-- SEQ 0229 --*/
-- Tarefa 92792 --
ALTER TABLE TT_IFO MODIFY (ORIPRO CONSTRAINT NN_IFO_ORIPRO NOT NULL);



/*-- SEQ 0230 --*/
-- Tarefa 92706--
ALTER TABLE TT_PXF ADD DACSIM Number(5,2) ;


/*-- SEQ 0231 --*/
-- Tarefa 92706--
ALTER TABLE TT_PXF ADD PRESIM Number(12,2) ;



/*-- SEQ 0232 --*/
-- Tarefa 92721--
CREATE TABLE TM_IFC (
  ID        Number(10),
  ORIGEM    VARCHAR2(4),
  REGIST    VARCHAR2(40),
  FLGEST    CHAR(1),
  DATINC    Date,
  USERID    Number(10)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0233 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC ADD CONSTRAINT PK_MIFC PRIMARY KEY (ID);  

/*-- SEQ 0234 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC MODIFY (ID CONSTRAINT NN_MIFC_ID NOT NULL);


/*-- SEQ 0235 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC MODIFY (ORIGEM CONSTRAINT NN_MIFC_ORIGEM NOT NULL);


/*-- SEQ 0236 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC MODIFY (REGIST CONSTRAINT NN_MIFC_REGIST NOT NULL);


/*-- SEQ 0237 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC MODIFY (FLGEST CONSTRAINT NN_MIFC_FLGEST NOT NULL);


/*-- SEQ 0238 --*/
-- Tarefa 92721--
ALTER TABLE TM_IFC MODIFY (DATINC CONSTRAINT NN_MIFC_DATINC NOT NULL);


/*-- SEQ 0239 --*/
-- Tarefa 92110 --
ALTER TABLE TM_IFC MODIFY (FLGEST DEFAULT 'N');

/*-- SEQ 0240 --*/
-- Tarefa 92110 --
CREATE SEQUENCE SQMIFC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0241 --*/
-- Tarefa 92702--
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0242 --*/
ALTER TABLE TT_CFG ADD USA_DCAI_0 VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0243 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0244 --*/
-- Tarefa 92702 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_USA_DCAI_0 CHECK (USA_DCAI_0 IN ('T','F'));

/*-- SEQ 0245 --*/
-- Tarefa 92702 --
ALTER TABLE TT_CFG MODIFY (USA_DCAI_0 CONSTRAINT NN_USA_DCAI_0 NOT NULL);


/*-- SEQ 0246 --*/
-- Tarefa 92702--
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0247 --*/
ALTER TABLE TW_CFG ADD USA_DCAI_0 VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0248 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0249 --*/
-- Tarefa 92844--
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0250 --*/
ALTER TABLE TT_CFG ADD VALOR_AQUISICAO CHAR(1) DEFAULT 'C';

/*-- SEQ 0251 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0252 --*/
-- Tarefa 92844 --
ALTER TABLE TT_CFG MODIFY (VALOR_AQUISICAO CONSTRAINT NN_CFG_VALOR_AQUISICAO NOT NULL);


/*-- SEQ 0253 --*/
-- Tarefa 92844 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_VALOR_AQUISICAO CHECK (VALOR_AQUISICAO IN ('C','S'));

/*-- SEQ 0254 --*/
-- Tarefa 92844--
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0255 --*/
ALTER TABLE TW_CFG ADD VALOR_AQUISICAO CHAR(1) DEFAULT 'C';

/*-- SEQ 0256 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE TABLE TT_ACM (
    CODFIL	CHAR(3),
    SEQUEN	CHAR(10),
    SITMOV	CHAR(1),
    FILUSU	CHAR(3),
    CODUSU	CHAR(3),
    FILMAT	CHAR(3),
    CODMAT	CHAR(5),
    CODCOR	Number(5,0),
    CODTAM	Number(5,0),
    DATINC	Date,
    ATU_EM	Date,
    DATAJU	Date,
    VLRAJU	Number(16,4),
    DOCUME	CHAR(17),
    ORD_CM	Number(10,0),
    TOT_CM	Number(16,4),
    TOTCMG	Number(16,4),
    SAL_CM	Number(16,4),
    OBSERV	VARCHAR2(4000)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT PK_ACM PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (SITMOV CONSTRAINT NN_ACM_SITMOV NOT NULL);


/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (FILUSU CONSTRAINT NN_ACM_FILUSU NOT NULL);


/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODUSU CONSTRAINT NN_ACM_CODUSU NOT NULL);


/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (FILMAT CONSTRAINT NN_ACM_FILMAT NOT NULL);


/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODMAT CONSTRAINT NN_ACM_CODMAT NOT NULL);


/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODCOR CONSTRAINT NN_ACM_CODCOR NOT NULL);


/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (CODTAM CONSTRAINT NN_ACM_CODTAM NOT NULL);


/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (DATINC CONSTRAINT NN_ACM_DATINC NOT NULL);


/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (ATU_EM CONSTRAINT NN_ACM_ATU_EM NOT NULL);


/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (DATAJU CONSTRAINT NN_ACM_DATAJU NOT NULL);


/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (VLRAJU CONSTRAINT NN_ACM_VLRAJU NOT NULL);


/*-- SEQ 0270 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (DOCUME CONSTRAINT NN_ACM_DOCUME NOT NULL);


/*-- SEQ 0271 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0272 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_DFIL ON TT_ACM (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0273 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM ) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0274 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_GRA ON TT_ACM (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0275 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM ADD CONSTRAINT FK_ACM_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0276 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
CREATE INDEX I_FK_ACM_USU ON TT_ACM (FILUSU,CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0277 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048--
ALTER TABLE TT_ACM MODIFY (SITMOV DEFAULT 'N');

/*-- SEQ 0278 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM MODIFY (VLRAJU DEFAULT 0);

/*-- SEQ 0279 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
ALTER TABLE TT_ACM ADD CONSTRAINT CK_ACM_SITMOV CHECK (SITMOV IN ('N','C'));

/*-- SEQ 0280 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93048 --
CREATE SEQUENCE SQACM INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0281 --*/
-- Tarefa 92606--
ALTER TABLE TT_CLI ADD COD_RNTC VARCHAR2(20) ;



/*-- SEQ 0282 --*/
-- Tarefa 92605--
ALTER TABLE TT_ORC ADD DESVOL VARCHAR2(60) ;



/*-- SEQ 0283 --*/
-- Tarefa 93190 --
ALTER TABLE TT_IOR DISABLE ALL TRIGGERS;

/*-- SEQ 0284 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IOR ADD VLRFREORI Number(12,2) DEFAULT 0;

/*-- SEQ 0285 --*/
ALTER TABLE TT_IOR ENABLE ALL TRIGGERS;


/*-- SEQ 0286 --*/
-- Tarefa 93232--    
INSERT INTO TT_SLT 
       (CODFIL,CODMUL,FILLOT,SEQLOT,QTDEST)
SELECT LOT.CODFIL, 0, LOT.CODFIL, LOT.SEQUEN, 0
  FROM TT_LOT LOT
 WHERE NOT EXISTS(SELECT SLT.SEQUEN FROM TT_SLT SLT 
                               WHERE SLT.CODFIL = LOT.CODFIL
                                 AND SLT.CODMUL = 0
                                 AND SLT.FILLOT = LOT.CODFIL
                                 AND SLT.SEQLOT = LOT.SEQUEN)
   AND LOT.QTDINI > 0;    
   


/*-- SEQ 0287 --*/
-- Tarefa 93176 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0288 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD REGRA_CODFIS Number(1) DEFAULT 1;

/*-- SEQ 0289 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0290 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93176 --
ALTER TABLE TT_CFG MODIFY (REGRA_CODFIS CONSTRAINT NN_REGRA_CODFIS NOT NULL);



/*-- SEQ 0291 --*/
-- Tarefa 93158 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_GRA ADD CODFIS VARCHAR2(60) ;


/*-- SEQ 0292 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0293 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0294 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0295 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0296 --*/
-- Tarefa 93289--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IUF ADD REDINT Number(5,2) ;


/*-- SEQ 0297 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93289--
ALTER TABLE TT_IUF ADD CONSTRAINT CK_IUF_REDINT CHECK (REDINT >= 0);

/*-- SEQ 0298 --*/
-- Tarefa 93289 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REDINT', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REDINT'));                                


/*-- SEQ 0299 --*/
-- Tarefa 93316--
ALTER TABLE TT_ORC ADD PLACAT CHAR(7) ;


/*-- SEQ 0300 --*/
-- Tarefa 93316 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_PLACAT FOREIGN KEY (PLACAT) REFERENCES TT_VEI(PLACAS);                               


/*-- SEQ 0301 --*/
-- Tarefa 93324--
ALTER TABLE TT_VEI ADD SIGEST Char(2) ;


/*-- SEQ 0302 --*/
-- Tarefa 93324 --
ALTER TABLE TT_VEI ADD CONSTRAINT FK_VEI_SIGEST FOREIGN KEY (SIGEST) REFERENCES TD_EST(ESTADO);                               


/*-- SEQ 0303 --*/
-- Tarefa 93299--
ALTER TABLE TT_IVEXIPE DISABLE ALL TRIGGERS;


/*-- SEQ 0304 --*/
-- Tarefa 93299 --
UPDATE TT_IVEXIPE IVEXIPE SET FLGEST = 'C' 
    WHERE IVEXIPE.FLGEST <> 'C'  
      AND EXISTS(SELECT IOR.CODFIL  FROM TT_IOR IOR 
                              INNER JOIN TT_ORC ORC ON ORC.CODFIL=IOR.CODFIL
                                                   AND ORC.NUMPED=IOR.NUMPED
                                                   AND ORC.TIPPED=IOR.TIPPED
                             WHERE IOR.CODFIL = IVEXIPE.FILPED
                               AND IOR.NUMPED = IVEXIPE.NUMPED
                               AND IOR.TIPPED = IVEXIPE.TIPPED
                               AND IOR.NUMITE = IVEXIPE.NUMITE
                               AND IOR.FLGENC <> 'T'
                               AND IOR.TIPENT IN ('5','7')
                               AND ORC.APROVA <> 'A');
                               
/*-- SEQ 0305 --*/
-- Tarefa 93299--                  
ALTER TABLE TT_IVEXIPE ENABLE ALL TRIGGERS;                                  


/*-- SEQ 0306 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;

/*-- SEQ 0307 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93158 --
SELECT * FROM NADA;


/*-- SEQ 0308 --*/
-- Tarefa 93338--
ALTER TABLE TT_RTB ADD FLGNEW VARCHAR2(1) ;


/*-- SEQ 0309 --*/
-- Tarefa 93338--
ALTER TABLE TT_RTB ADD DESRET VARCHAR2(100) ;


/*-- SEQ 0310 --*/
-- Tarefa 93338--
ALTER TABLE TT_RTB ADD CONSTRAINT CK_RTB_FLGNEW CHECK ((FLGNEW IN ('A', 'C', 'I', 'T', 'P')) OR (FLGNEW IS NULL));


/*-- SEQ 0311 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
CREATE TABLE TM_ABA (
  CODFIL CHAR(3),
  CODABA CHAR(10),
  FLGNEW CHAR(1)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0312 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA MODIFY (CODFIL CONSTRAINT NN_MABA_CODFIL NOT NULL);
  

/*-- SEQ 0313 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA MODIFY (CODABA CONSTRAINT NN_MABA_CODABA NOT NULL);
 

/*-- SEQ 0314 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA MODIFY (FLGNEW CONSTRAINT NN_MABA_FLGNEW NOT NULL);
 
 
/*-- SEQ 0315 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, CODABA);

/*-- SEQ 0316 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93388 --
ALTER TABLE TM_ABA ADD CONSTRAINT CK_MABA_FLGNEW CHECK (FLGNEW IN ('P','C','N','A','B'));

/*-- SEQ 0317 --*/
-- Tarefa 93388 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA'));


/*-- SEQ 0318 --*/
-- Tarefa 93423--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NCM ADD CODEXT VARCHAR2(20) ;



/*-- SEQ 0319 --*/
-- Tarefa 92753--
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0320 --*/
-- Tarefa 92753--
UPDATE TT_CFG SET CHECKOUT_VERMIN = '5.2H',
                  CHECKOUT_RELMIN = 0;

/*-- SEQ 0321 --*/
-- Tarefa 92753--                  
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;                  


/*-- SEQ 0322 --*/
-- Tarefa 93539 --
ALTER TABLE TT_PED ADD FREORI CHAR(1) ;


/*-- SEQ 0323 --*/
-- Tarefa 93539 --
ALTER TABLE TT_PED ADD CONSTRAINT CK_PED_FREORI CHECK ((FREORI IN ('P', 'E')) OR (FREORI IS NULL));


/*-- SEQ 0324 --*/
-- Tarefa 93587 --
ALTER TABLE TT_RFC ADD OBSERV VARCHAR2(4000) ;



/*-- SEQ 0325 --*/
-- Tarefa 93593 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0326 --*/
ALTER TABLE TT_CFG ADD BLQ_CF_RETIRA_DEPOSITO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0327 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0328 --*/
-- Tarefa 93539 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_BLQ_CF_RETIRA_DEPOSITO CHECK (BLQ_CF_RETIRA_DEPOSITO IN ('T', 'F'));

/*-- SEQ 0329 --*/
-- Tarefa 93593 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0330 --*/
ALTER TABLE TW_CFG ADD BLQ_CF_RETIRA_DEPOSITO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0331 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0332 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE TABLE TT_TIN (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATINC Date,
    ATU_EM Date,
    DESCRI VARCHAR2(100),
    DESGRU VARCHAR2(100),
    NOMCOR VARCHAR2(100),
    DESCOR VARCHAR2(100),
    DESBAS VARCHAR2(100),
    DESEMB VARCHAR2(100),
    DESMAT VARCHAR2(30),
    ESPMAT VARCHAR2(30),
    FLGEST VARCHAR2(1),
    CODEXT VARCHAR2(20)
) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0333 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT PK_TIN PRIMARY KEY (CODFIL,SEQUEN);

/*-- SEQ 0334 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCRI ON TT_TIN (DESCRI) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0335 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESGRU ON TT_TIN (DESGRU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0336 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_NOMCOR ON TT_TIN (NOMCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0337 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESCOR ON TT_TIN (DESCOR) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0338 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESBAS ON TT_TIN (DESBAS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0339 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DESEMB ON TT_TIN (DESEMB) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0340 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_DATINC ON TT_TIN (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0341 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE INDEX I_LC_TIN_ATU_EM ON TT_TIN (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0342 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE UNIQUE INDEX I_UQ_TIN_CODEXT ON TT_TIN (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0343 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (DATINC CONSTRAINT NN_TIN_DATINC NOT NULL);
  

/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (ATU_EM CONSTRAINT NN_TIN_ATU_EM NOT NULL);
 
 
/*-- SEQ 0345 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (DESCRI CONSTRAINT NN_TIN_DESCRI NOT NULL);
 
 
/*-- SEQ 0346 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (DESMAT CONSTRAINT NN_TIN_DESMAT NOT NULL);
  

/*-- SEQ 0347 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (ESPMAT CONSTRAINT NN_TIN_ESPMAT NOT NULL);
  

/*-- SEQ 0348 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (CODEXT CONSTRAINT NN_TIN_CODEXT NOT NULL);
  

/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (FLGEST CONSTRAINT NN_TIN_FLGEST NOT NULL);
  

/*-- SEQ 0350 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN ADD CONSTRAINT CK_TIN_FLGEST CHECK (FLGEST IN ('C','A'));

/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
ALTER TABLE TT_TIN MODIFY (FLGEST DEFAULT 'A');

/*-- SEQ 0352 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93683 --
CREATE SEQUENCE SQTIN INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0353 --*/
-- Tarefa 93689--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BSC ADD FILTIN CHAR(3) ;


/*-- SEQ 0354 --*/

-- Tarefa 93689--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_BSC ADD SEQTIN CHAR(10) ;


/*-- SEQ 0355 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93689 --
ALTER TABLE TT_BSC ADD CONSTRAINT FK_BSC_TIN FOREIGN KEY (FILTIN, SEQTIN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0356 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93689 --
CREATE INDEX I_FK_BSC_TIN ON TT_BSC (FILTIN, SEQTIN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0357 --*/
-- Tarefa 93689 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0358 --*/
-- Tarefa 93689 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TINTAS', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TINTAS'));

/*-- SEQ 0359 --*/
-- Tarefa 93689 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0360 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD FILMAT_TIN CHAR(3) ;


/*-- SEQ 0361 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CODMAT_TIN CHAR(5) ;


/*-- SEQ 0362 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CODCOR_TIN Number(5) ;


/*-- SEQ 0363 --*/
-- Tarefa 93690--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CODTAM_TIN Number(5) ;


/*-- SEQ 0364 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93690 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_TIN FOREIGN KEY (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0365 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93690 --
CREATE INDEX I_FK_CFG_GRA_TIN ON TT_CFG (FILMAT_TIN, CODMAT_TIN, CODCOR_TIN, CODTAM_TIN) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0366 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE TABLE TT_ITI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Number(5),
    FILCXS CHAR(3),
    ID_CXS Number(10),
    QTDITE Number(16,4),
    TIPITI VARCHAR2(1)
) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0367 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT PK_ITI PRIMARY KEY (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0368 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_TIN FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_TIN(CODFIL, SEQUEN);
 
/*-- SEQ 0369 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_TIN ON TT_ITI (CODFIL, SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0370 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT FK_ITI_GRAXSC FOREIGN KEY (FILCXS, ID_CXS) REFERENCES TT_GRAXSC(CODFIL, ID);
 
/*-- SEQ 0371 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE INDEX I_FK_ITI_GRAXSC ON TT_ITI (FILCXS, ID_CXS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0372 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
CREATE INDEX I_LC_ITI_TIPITI ON TT_ITI (TIPITI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0373 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (FILCXS CONSTRAINT NN_ITI_FILCXS NOT NULL);
  

/*-- SEQ 0374 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (ID_CXS CONSTRAINT NN_ITI_ID_CXS NOT NULL);
 

/*-- SEQ 0375 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (QTDITE CONSTRAINT NN_ITI_QTDITE NOT NULL);
 

/*-- SEQ 0376 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI MODIFY (TIPITI CONSTRAINT NN_ITI_TIPITI NOT NULL);
 

/*-- SEQ 0377 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_TIPITI CHECK (TIPITI IN ('C','B'));

/*-- SEQ 0378 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93687 --
ALTER TABLE TT_ITI ADD CONSTRAINT CK_ITI_QTDITE CHECK (QTDITE > 0);


/*-- SEQ 0379 --*/
-- Tarefa 88682--
ALTER TABLE TT_PLA MODIFY (PRIMIN Number(9, 4));

/*-- SEQ 0380 --*/
-- Tarefa 88682--
ALTER TABLE TT_PLA MODIFY (PRIMAX Number(9, 4));

/*-- SEQ 0381 --*/
-- Tarefa 88682--
ALTER TABLE TT_PLA MODIFY (PRIIDE Number(9, 4));


/*-- SEQ 0382 --*/
-- Tarefa 93792--
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0383 --*/
ALTER TABLE TT_CFG ADD FPV_PRECO_SIMULADO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0384 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0385 --*/
-- Tarefa 93792 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_FPV_PRECO_SIMULADO CHECK (FPV_PRECO_SIMULADO IN ('F','T'));

/*-- SEQ 0386 --*/
-- Tarefa 93792 --
ALTER TABLE TT_CFG MODIFY (FPV_PRECO_SIMULADO CONSTRAINT NN_CFG_FPV_PRECO_SIMULADO NOT NULL);


/*-- SEQ 0387 --*/
-- Tarefa 93792--
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0388 --*/
ALTER TABLE TW_CFG ADD FPV_PRECO_SIMULADO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0389 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0390 --*/
-- Tarefa 93806--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD FILBSC CHAR(3) ;


/*-- SEQ 0391 --*/
-- Tarefa 93806--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD ID_BSC Number(10) ;


/*-- SEQ 0392 --*/
-- Tarefa 93806--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD ITECSC Number(5) ;


/*-- SEQ 0393 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_BSC FOREIGN KEY (FILBSC, ID_BSC) REFERENCES TT_BSC(CODFIL, ID);
 
/*-- SEQ 0394 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_BSC ON TT_IVE (FILBSC, ID_BSC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0395 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
ALTER TABLE TT_IVE ADD CONSTRAINT FK_IVE_CSC FOREIGN KEY (FILBSC, ID_BSC, ITECSC) REFERENCES TT_CSC(CODFIL, ID, NUMITE);
 
/*-- SEQ 0396 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93806 --
CREATE INDEX I_FK_IVE_CSC ON TT_IVE (FILBSC, ID_BSC, ITECSC) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0397 --*/
-- Tarefa 93593 --
ALTER TABLE TT_CFG MODIFY (BLQ_CF_RETIRA_DEPOSITO CONSTRAINT NN_CFG_BLQ_CF_RETIRA_DEPOSITO NOT NULL);



/*-- SEQ 0398 --*/ 
-- Tarefa 93316 --  
ALTER TABLE TT_ORC DROP CONSTRAINT FK_ORC_PLACAT;

/*-- SEQ 0399 --*/
-- Tarefa 93316 --
ALTER TABLE TT_ORC ADD CONSTRAINT FK_ORC_VEI FOREIGN KEY (PLACAT) REFERENCES TT_VEI(PLACAS); 

/*-- SEQ 0400 --*/
-- Tarefa 93316 --
CREATE INDEX I_FK_ORC_VEI ON TT_ORC (PLACAT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0401 --*/ 
-- Tarefa 93324 --  
ALTER TABLE TT_VEI DROP CONSTRAINT FK_VEI_SIGEST;

/*-- SEQ 0402 --*/
-- Tarefa 93324 --
ALTER TABLE TT_VEI ADD CONSTRAINT FK_VEI_DEST FOREIGN KEY (SIGEST) REFERENCES TD_EST(ESTADO);

/*-- SEQ 0403 --*/
-- Tarefa 93324 --
CREATE INDEX I_FK_VEI_DEST ON TT_VEI (SIGEST) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0404 --*/
-- Tarefa 93846 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_IVE ADD DATCAN Date ;


/*-- SEQ 0405 --*/
-- Tarefa 93846 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'DATCANRPS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'DATCANRPS'));


/*-- SEQ 0406 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;

/*-- SEQ 0407 --*/
-- Tarefa 93710--
/*-- IGNORE ERRO --*/
SELECT * FROM NADA;


/*-- SEQ 0408 --*/
-- Tarefa 93739--
ALTER TABLE TT_IVE MODIFY (QTDPEN Number(14,4));

/*-- SEQ 0409 --*/
-- Tarefa 93739--
ALTER TABLE TT_IVE MODIFY (QTDFUT Number(14,4));

/*-- SEQ 0410 --*/
-- Tarefa 93739--
ALTER TABLE TI_IVE MODIFY (QTDPEN Number(14,4));

/*-- SEQ 0411 --*/
-- Tarefa 93739--
ALTER TABLE TI_IVE MODIFY (QTDFUT Number(14,4));


/*-- SEQ 0412 --*/
-- Tarefa 93710--
ALTER TABLE TD_IR1 MODIFY (ICMSR1 Number(14, 4));

/*-- SEQ 0413 --*/
-- Tarefa 93710--
ALTER TABLE TD_IR2 MODIFY (ICMSR2 Number(14, 4));


/*-- SEQ 0414 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE TABLE TM_FEC (
  CODFIL CHAR(3),
  NUMECF CHAR(3),
  DATOPE Date,
  FLGEST CHAR(1)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0415 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT PK_FEC PRIMARY KEY (CODFIL,NUMECF,DATOPE);

/*-- SEQ 0416 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC MODIFY (FLGEST DEFAULT 'N');
 
/*-- SEQ 0417 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0418 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
/*-- SEQ 0419 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
 /*-- SEQ 0420 --*/
 /*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC MODIFY (FLGEST CONSTRAINT NN_FEC_FLGEST NOT NULL);

  
/*-- SEQ 0421 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0422 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0423 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;


/*-- SEQ 0424 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DFIL ON TM_FEC (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0425 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT CK_FEC_FLGEST CHECK (FLGEST IN ('A','G','P','N'));
 



/*-- SEQ 0426 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE TABLE TT_MCF (
 	CODFIL 		CHAR(3), 		
    NUMECF 		CHAR(3), 		
    NUMCCF 		Number(6), 		
    NUMCOO 		Number(6), 		
    DATEMI 		Date, 			
    VLRSUBTOT 	Number(14,2),
    VLRDES 		Number(13,2), 	
    FLGDES 		CHAR(1), 		
    VLRACR 		Number(13,2), 	
    FLGACR 		CHAR(1), 		
    VLRTOT 		Number(14,2), 	
    FLGCAN 		CHAR(1), 		
    VLRCANACR 	Number(13,2), 	
    ORDDESACR 	CHAR(1), 		
    NOMECLI 	VARCHAR2(40), 	
    NUMDOC 		CHAR(14)  
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0427 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT PK_MCF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI);
 
/*-- SEQ 0428 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);


/*-- SEQ 0429 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0430 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0431 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGDES CHECK (FLGDES IN ('V','P'));

/*-- SEQ 0432 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGACR CHECK (FLGACR IN ('V','P'));

/*-- SEQ 0433 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGACR IN ('S','N'));

/*-- SEQ 0434 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DFIL ON TT_MCF (CODFIL) TABLESPACE TOTALL_INDEX;


 



/*-- SEQ 0435 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE TABLE TT_ICF (
		NUMCCF 		Number(6), 		
        NUMCOO 		Number(6),
		NUMECF 		CHAR(3), 
		CODFIL 		CHAR(3),
		DATEMI		Date,	
        NUMITE 		Number(3), 		
        CODITE 		VARCHAR2(14), 	
        DESMAT 		VARCHAR2(100), 
        QTDITE 		Number(10,4), 	
        UNIDAD 		VARCHAR2(3), 		
        VLRUNI 		Number(12,4), 	
        VLRDESC 	Number(8,2), 	
        VLRACRES 	Number(8,2), 	
        VLRTOT 		Number(14,2), 	
        CODTOT 		VARCHAR2(7), 		
        FLGCAN 		CHAR(1), 		
	    QTDCAN 		Number(10,4), 	
	    VLRCAN 		Number(12,4), 	
	    VLRCANACR 	Number(12,4), 	
	    ARRTRU 		CHAR(1), 		
        DECQTD 		CHAR(1), 		
	    DECUNI 		CHAR(1)		
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0436 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT PK_ICF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI, NUMITE);

/*-- SEQ 0437 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0438 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0439 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0440 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_FLGCAN CHECK (FLGCAN IN ('S','N','P'));

/*-- SEQ 0441 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_ARRTRU CHECK (ARRTRU IN ('T','A'));



/*-- SEQ 0442 --*/
-- Tarefa 93923--
ALTER TABLE TT_FIN ADD CHVTRN2 VARCHAR2(5) ;



/*-- SEQ 0443 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;


/*-- SEQ 0444 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_ECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0445 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_ECF ON TM_FEC (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0446 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0447 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DECF ON TT_MCF (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0448 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_MCF FOREIGN KEY (CODFIL, NUMECF, NUMCOO, DATEMI ) REFERENCES TT_MCF(CODFIL, NUMECF, NUMCOO, DATEMI);

/*-- SEQ 0449 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_MCF ON TT_ICF (CODFIL, NUMECF, NUMCOO, DATEMI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0450 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0451 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DFIL ON TT_ICF (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0452 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DECF ON TT_ICF (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0453 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93797 --
SELECT * FROM NADA;



/*-- SEQ 0454 --*/
-- Tarefa 93949--
ALTER TABLE TT_DOP MODIFY (CODBAR CHAR(47));




/*-- SEQ 0455 --*/
-- Tarefa 88710--
ALTER TABLE TT_COM MODIFY (NUMNOT VARCHAR2(9));

/*-- SEQ 0456 --*/
-- Tarefa 88710--
ALTER TABLE TT_RCP MODIFY (NUMNOT VARCHAR2(9));

/*-- SEQ 0457 --*/
-- Tarefa 88710--
ALTER TABLE TI_COM MODIFY (NUMNOT VARCHAR2(9));

/*-- SEQ 0458 --*/
-- Tarefa 88710--
ALTER TABLE TI_ICO MODIFY (NUMNOT VARCHAR2(9));

/*-- SEQ 0459 --*/
-- Tarefa 88710--
ALTER TABLE TI_PAG MODIFY (NUMNOT VARCHAR2(9));

/*-- SEQ 0460 --*/
-- Tarefa 88710--
ALTER TABLE TE_MOV MODIFY (DOCUME VARCHAR2(25));

/*-- SEQ 0461 --*/
-- TAREFA 88710--
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;


/*-- SEQ 0462 --*/
-- TAREFA 88710--
UPDATE TT_COM 
   SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' ') 
 WHERE NUMNOT NOT LIKE '###%'
   AND NUMNOT <> LPAD(TRIM(NUMNOT), 9, ' ');   

/*-- SEQ 0463 --*/
-- TAREFA 88710--
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0464 --*/
-- TAREFA 88710--
ALTER TABLE TT_RCP DISABLE ALL TRIGGERS;


/*-- SEQ 0465 --*/
-- TAREFA 88710--
UPDATE TT_RCP SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' ');   

/*-- SEQ 0466 --*/
-- TAREFA 88710--
ALTER TABLE TT_RCP ENABLE ALL TRIGGERS;

/*-- SEQ 0467 --*/
-- TAREFA 88710--
ALTER TABLE TI_COM DISABLE ALL TRIGGERS;


/*-- SEQ 0468 --*/
-- TAREFA 88710--
UPDATE TI_COM SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' '); 

/*-- SEQ 0469 --*/
-- TAREFA 88710--
ALTER TABLE TI_COM ENABLE ALL TRIGGERS;

/*-- SEQ 0470 --*/
-- TAREFA 88710--
ALTER TABLE TI_ICO DISABLE ALL TRIGGERS;


/*-- SEQ 0471 --*/
-- TAREFA 88710--
UPDATE TI_ICO SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' '); 

/*-- SEQ 0472 --*/
-- TAREFA 88710--
ALTER TABLE TI_ICO ENABLE ALL TRIGGERS;

/*-- SEQ 0473 --*/
-- TAREFA 88710--
ALTER TABLE TI_PAG DISABLE ALL TRIGGERS;


/*-- SEQ 0474 --*/
-- TAREFA 88710--
UPDATE TI_PAG SET NUMNOT = LPAD(TRIM(NUMNOT), 9, ' '); 

/*-- SEQ 0475 --*/
-- TAREFA 88710--
ALTER TABLE TI_PAG ENABLE ALL TRIGGERS;


/*-- SEQ 0476 --*/
-- Tarefa 93974 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0477 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT CAST(COALESCE(GRA.FILMAT, '')|| 
                             COALESCE(GRA.CODMAT, '')|| '-' || 
                             TRIM(COALESCE(TO_CHAR(GRA.CODCOR), ''))|| '-' || 
                             TRIM(COALESCE(TO_CHAR(COALESCE((SELECT DSUB.CODSAL 
                                                               FROM TT_SUB SUB INNER JOIN TD_SUB DSUB ON DSUB.CODTAB = SUB.CODSUB 
                                                              WHERE SUB.CODITE = GRA.CODTAM),GRA.CODTAM)),'')) AS VARCHAR2(21)) AS CODSPED FROM DUAL)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 1 
   AND GRA.CODFIS IS NULL;
   
/*-- SEQ 0478 --*/
-- Tarefa 93974 --
UPDATE TT_GRA GRA
   SET CODFIS = (SELECT PRO.REFBAS 
                   FROM TT_PRO PRO 
                  WHERE GRA.FILMAT = PRO.FILMAT 
                    AND GRA.CODMAT = PRO.CODMAT)
 WHERE (SELECT CFG.REGRA_CODFIS FROM TT_CFG CFG) = 2
   AND GRA.CODFIS IS NULL;

/*-- SEQ 0479 --*/
-- TAREFA 93974--
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;   
                                   
/*-- SEQ 0480 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93974 --
ALTER TABLE TT_GRA MODIFY (CODFIS CONSTRAINT NN_GRA_CODFIS NOT NULL);
  

/*-- SEQ 0481 --*/
-- Tarefa 93974 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;
 

/*-- SEQ 0482 --*/
-- Tarefa 93974 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'CODFIS', AGORA(), AGORA() 
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'CODFIS'));  

/*-- SEQ 0483 --*/
-- TAREFA 93974--
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;  


/*-- SEQ 0484 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG DROP CONSTRAINT FK_CFG_TIPRTT_RCEL;

/*-- SEQ 0485 --*/
-- Tarefa 92615--
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DRTT_RCEL FOREIGN KEY (TIPRTT_RCEL) REFERENCES TD_RTT (CODTAB);

/*-- SEQ 0486 --*/
-- Tarefa 92615--
CREATE INDEX I_FK_CFG_DRTT_RCEL ON TT_CFG (TIPRTT_RCEL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0487 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0488 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0489 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DECF ON TM_FEC (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0490 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0491 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0492 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0493 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;


/*-- SEQ 0494 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0495 --*/
ALTER TABLE TT_CFG ADD CLIREVSEMIE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0496 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0497 --*/
-- Tarefa 94192--
ALTER TABLE TT_CFG MODIFY (CLIREVSEMIE CONSTRAINT NN_CFG_CLIREVSEMIE NOT NULL);


/*-- SEQ 0498 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLIREVSEMIE CHECK (CLIREVSEMIE IN ('T', 'F'));

/*-- SEQ 0499 --*/
-- Tarefa 94192 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0500 --*/
ALTER TABLE TW_CFG ADD CLIREVSEMIE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0501 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0502 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0503 --*/
-- Tarefa 94192 --
UPDATE TT_CLI
   SET ISENTO = 'T'
 WHERE COALESCE(INSEST,'ISENTO') = 'ISENTO' AND ISENTO = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'REVSEMIE');

/*-- SEQ 0504 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0505 --*/
-- Tarefa 94192 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0506 --*/
-- Tarefa 94192 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REVSEMIE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REVSEMIE'));

/*-- SEQ 0507 --*/
-- Tarefa 94192 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;



/*-- SEQ 0508 --*/
-- Tarefa 93823 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0509 --*/
-- Tarefa 93823 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,384)||'S'||SUBSTR(PERMIS,386,9999)
    WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385');

/*-- SEQ 0510 --*/
-- Tarefa 93823 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;
                     
/*-- SEQ 0511 --*/
-- Tarefa 93823 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0512 --*/
-- Tarefa 93823 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS385', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385'));

/*-- SEQ 0513 --*/
-- Tarefa 93823 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0514 --*/
-- Tarefa 94239--
ALTER TABLE TW_FLU MODIFY (NUMDOC VARCHAR2(9));




/*-- SEQ 0515 --*/
-- Tarefa 93998 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0516 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050012'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050012'));

/*-- SEQ 0517 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050011'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050011'));

/*-- SEQ 0518 --*/
-- Tarefa 93998 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0519 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMDIV_CODEXT VARCHAR2(20) ;


/*-- SEQ 0520 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMSUB_CODEXT VARCHAR2(20) ;


/*-- SEQ 0521 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMGRA_CODEXT VARCHAR2(20) ;


/*-- SEQ 0522 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ITEDIV_CODEXT VARCHAR2(20) ;


/*-- SEQ 0523 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ITESUB_CODEXT VARCHAR2(20) ;


/*-- SEQ 0524 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DIV ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0525 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SUB ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0526 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_GRA ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0527 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIV ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0528 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUB ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0529 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DDIV_CODEXT ON TD_DIV (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0530 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DSUB_CODEXT ON TD_SUB (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0531 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DGRA_CODEXT ON TD_GRA (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0532 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DIV_CODEXT ON TT_DIV (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0533 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_SUB_CODEXT ON TT_SUB (CODEXT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0534 --*/
-- Tarefa 94116 --
/*-- IGNORE ERRO --*/
ALTER TABLE TM_ABA ADD SEQUEN CHAR(10) ;


/*-- SEQ 0535 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
CREATE SEQUENCE SQMABA INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0536 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DISABLE ALL TRIGGERS;


/*-- SEQ 0537 --*/
-- Tarefa 94116 --
UPDATE TM_ABA
   SET SEQUEN = SQMABA.NEXTVAL
 WHERE SEQUEN IS NULL;

/*-- SEQ 0538 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ENABLE ALL TRIGGERS;

/*-- SEQ 0539 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DROP CONSTRAINT PK_MABA;

/*-- SEQ 0540 --*/
/*-- IGNORE ERRO --*/
DROP INDEX PK_MABA;

/*-- SEQ 0541 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0542 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA MODIFY (CODABA CONSTRAINT NN_MABA_CODABA NOT NULL);


/*-- SEQ 0543 --*/
-- Tarefa 94116 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0544 --*/
-- Tarefa 94116 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA2', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA2'));

/*-- SEQ 0545 --*/
-- Tarefa 94116 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0546 --*/
-- Tarefa 92859 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

                      
/*-- SEQ 0547 --*/
-- Tarefa 92859 --
INSERT INTO TT_JOB 
( NOMJOB, DESJOB, ULTEXE, QTDERR ) 
(SELECT 'JOB_GERACOMISSAODIARIA',
        'Gerar Comissão do Dia Anterior',
        Agora(),
        0
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_JOB
                      WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA')); 
                      
/*-- SEQ 0548 --*/
-- Tarefa 92859 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                      




/*-- SEQ 0549 --*/
-- Tarefa 94509 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI,FILCLI,CODCLI)
SELECT TAB.ORIGEM,
       TAB.CODFIL,
       TAB.SEQUEN,
       TAB.PARORI,
       TAB.SUBORI,
       TAB.FILFOR,
       TAB.CODFOR
  FROM (
SELECT CAST('COM' AS CHAR(3)) AS ORIGEM,
       COM.CODFIL,
       COM.SEQUEN,
       CAST('--' AS CHAR(2)) AS PARORI,
       CAST('--' AS CHAR(2)) AS SUBORI,
       COM.FILFOR,
       COM.CODFOR,
       CAST((CTA.FILVIN||CTA.SEQVIN) AS CHAR(13)) AS CONTA_VINCULADA,
       CAST((RFIN.FILCRT||RFIN.SEQCRT) AS CHAR(13)) AS CONTA_CRT 
  FROM TT_COM COM INNER JOIN TR_FIN RFIN ON RFIN.CODFIL = COM.CODFIL AND RFIN.SEQUEN = COM.SEQUEN AND RFIN.TIPLAN IN ('TIT','FRE') 
                   LEFT JOIN TT_CTA CTA  ON COM.FILCTA = CTA.CODFIL
                                        AND COM.SEQCTA = CTA.SEQUEN
                                      
WHERE NOT EXISTS (SELECT CXC.CODFIL,CXC.SEQUEN FROM TT_COMXCTA CXC
                   WHERE CXC.CODFIL = COM.CODFIL
                     AND CXC.SEQUEN = COM.SEQUEN)
  AND TRUNC(COM.ATU_EM) >= TO_DATE('11/08/2014','DD/MM/YYYY')
  AND COM.CODFOR <> '     0'
  AND COM.FLGEST <> 'D'
  AND EXISTS (SELECT CODFIL FROM TD_FIL WHERE CGCFIL = '05409686000192') -- Casa Carneiro
 ORDER BY COM.ATU_EM   
) TAB
 WHERE COALESCE(CONTA_VINCULADA,'') <> COALESCE(CONTA_CRT,'')
   AND COALESCE(CONTA_VINCULADA,'') <> '';


/*-- SEQ 0550 --*/
-- Tarefa 92449 --
ALTER TABLE TD_CTA DISABLE ALL TRIGGERS;


/*-- SEQ 0551 --*/
-- Tarefa 92449 --
/*-- SEQ 0552 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta 
RETURN VARCHAR2 IS
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = 'CHEQUES_DEVOLVIDOS';

  IF iEXISTE = 0 THEN
    -- Cria novas contas financeiras para usos fixos
    SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
    cSEQFIN := ProximaConta(cCODFIL,'Cheques Devolvidos','N','O','N'); 
    
    -- Descobre o proximo CODTAB da TD_CTA
    SELECT MAX(CODTAB)+1 INTO cCODTAB
      FROM TD_CTA;  
    
    -- Insere as novas contas na tabela 
    INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
    (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, 'CHEQUES_DEVOLVIDOS' AS CFGCOL, 'O' AS USOCTA
     FROM TT_CTA
     WHERE CODFIL = cCODFIL
       AND SEQUEN = cSEQFIN);
  END IF;
 
  RETURN 'OK';
END temp_cria_conta;
/

/*-- SEQ 0553 --*/
-- Tarefa 92449 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_cria_conta();
end;
/


/*-- SEQ 0554 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92449 --
DROP FUNCTION temp_cria_conta;

/*-- SEQ 0555 --*/
-- Tarefa 92449 --
ALTER TABLE TD_CTA ENABLE ALL TRIGGERS;

/*-- SEQ 0556 --*/
-- Tarefa 92449 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI)
SELECT CAST('CHR' AS CHAR(3)) AS ORIGEM, CODFIL, SEQUEN, CAST('--' AS CHAR(2)) AS PARORI, CAST('--' AS CHAR(2)) AS SUBORI
  FROM TT_CHR
 WHERE FLGEST = 'V'
   AND NOT EXISTS (SELECT CODFIL, SEQUEN 
                     FROM TR_FIN
                    WHERE ORIGEM = 'CHR'
                      AND ORICRT = 'DEV');


/*-- SEQ 0557 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD FILMAT_TIN CHAR(3) ;


/*-- SEQ 0558 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD CODMAT_TIN CHAR(5) ;


/*-- SEQ 0559 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD CODCOR_TIN Number(5) ;


/*-- SEQ 0560 --*/
-- Tarefa 93692 --
ALTER TABLE TW_CFG ADD CODTAM_TIN Number(5) ;



/*-- SEQ 0561 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA;


/*-- SEQ 0562 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93786 --  
ALTER TABLE TT_MCF DROP CONSTRAINT CK_MCF_FLGCAN;  

/*-- SEQ 0563 --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGCAN IN ('S','N'));


/*-- SEQ 0564 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_CODFIL CHAR(3) ;


/*-- SEQ 0565 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_SEQUEN CHAR(10) ;


/*-- SEQ 0566 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_CODFIL CHAR(3) ;


/*-- SEQ 0567 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_SEQUEN CHAR(10) ;


/*-- SEQ 0568 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_NUMITE Number(5) ;


/*-- SEQ 0569 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_NFE ADD CONSTRAINT FK_NFE_VEN FOREIGN KEY (VEN_CODFIL,VEN_SEQUEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0570 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_NFE_VEN ON TT_NFE (VEN_CODFIL,VEN_SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0571 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_INF ADD CONSTRAINT FK_INF_IVE FOREIGN KEY (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0572 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_INF_IVE ON TT_INF (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0573 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;

/*-- SEQ 0574 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O'));	


/*-- SEQ 0575 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_HOST VARCHAR2(40) ;


/*-- SEQ 0576 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_PORT Number(10) ;


