
/*-- SEQ 0001 --*/
-- Tarefa 93710--
ALTER TABLE TD_IR1 MODIFY (ICMSR1 Number(14, 4));

/*-- SEQ 0002 --*/
-- Tarefa 93710--
ALTER TABLE TD_IR2 MODIFY (ICMSR2 Number(14, 4));


/*-- SEQ 0003 --*/
-- Tarefa 93277 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0004 --*/
ALTER TABLE TD_FIL ADD CREDDF VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0005 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0006 --*/
-- Tarefa 93277 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CREDDF CHECK (CREDDF IN ('F','T'));

/*-- SEQ 0007 --*/
-- Tarefa 93277 --
ALTER TABLE TD_FIL MODIFY (CREDDF CONSTRAINT NN_DFIL_CREDDF NOT NULL);



/*-- SEQ 0008 --*/
-- Tarefa 93428 --
ALTER TABLE TT_VEN ADD NOTMAN VARCHAR2(9) ;



/*-- SEQ 0009 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE TABLE TM_FEC (
  CODFIL CHAR(3),
  NUMECF CHAR(3),
  DATOPE Date,
  FLGEST CHAR(1)
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0010 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT PK_FEC PRIMARY KEY (CODFIL,NUMECF,DATOPE);

/*-- SEQ 0011 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC MODIFY (FLGEST DEFAULT 'N');
 
/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;
  
 /*-- SEQ 0015 --*/
 /*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC MODIFY (FLGEST CONSTRAINT NN_FEC_FLGEST NOT NULL);

  
/*-- SEQ 0016 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;


/*-- SEQ 0019 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DFIL ON TM_FEC (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0020 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT CK_FEC_FLGEST CHECK (FLGEST IN ('A','G','P','N'));
 



/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE TABLE TT_MCF (
 	CODFIL 		CHAR(3), 		
    NUMECF 		CHAR(3), 		
    NUMCCF 		Number(6), 		
    NUMCOO 		Number(6), 		
    DATEMI 		Date, 			
    VLRSUBTOT 	Number(14,2),
    VLRDES 		Number(13,2), 	
    FLGDES 		CHAR(1), 		
    VLRACR 		Number(13,2), 	
    FLGACR 		CHAR(1), 		
    VLRTOT 		Number(14,2), 	
    FLGCAN 		CHAR(1), 		
    VLRCANACR 	Number(13,2), 	
    ORDDESACR 	CHAR(1), 		
    NOMECLI 	VARCHAR2(40), 	
    NUMDOC 		CHAR(14)  
  ) TABLESPACE TOTALL_DATA;
 
/*-- SEQ 0022 --*/ 
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT PK_MCF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI);
 
/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0025 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92944 --
SELECT * FROM NADA;

/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGDES CHECK (FLGDES IN ('V','P'));

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGACR CHECK (FLGACR IN ('V','P'));

/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGACR IN ('S','N'));

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DFIL ON TT_MCF (CODFIL) TABLESPACE TOTALL_INDEX;


 



/*-- SEQ 0030 --*/
-- Tarefa 93857 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD TIPDIA_FLUXO CHAR(1) DEFAULT 'C';

/*-- SEQ 0032 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0033 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93857 -- 
ALTER TABLE TT_CFG MODIFY (TIPDIA_FLUXO CONSTRAINT NN_CFG_TIPDIA_FLUXO NOT NULL);

 
/*-- SEQ 0034 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93857 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPDIA_FLUXO CHECK (TIPDIA_FLUXO IN('C', 'A'));
 
/*-- SEQ 0035 --*/
-- Tarefa 93857 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD TIPDIA_FLUXO CHAR(1) DEFAULT 'C';

/*-- SEQ 0037 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0038 --*/
-- Tarefa 93859 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD PRAZO_ENT_PEDIDO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0040 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0041 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PRAZO_ENT_PEDIDO CHECK (PRAZO_ENT_PEDIDO IN('T', 'F'));
 
/*-- SEQ 0042 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG MODIFY (PRAZO_ENT_PEDIDO CONSTRAINT NN_CFG_PRAZO_ENT_PEDIDO NOT NULL);

 
/*-- SEQ 0043 --*/
-- Tarefa 93859 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD PRAZO_ENT_PEDIDO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0045 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0046 --*/
-- Tarefa 93859 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0047 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD PARC_PEDIDO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0048 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0049 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_PARC_PEDIDO CHECK (PARC_PEDIDO IN('T', 'F'));
 
/*-- SEQ 0050 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93859 -- 
ALTER TABLE TT_CFG MODIFY (PARC_PEDIDO CONSTRAINT NN_CFG_PARC_PEDIDO NOT NULL);

 
/*-- SEQ 0051 --*/
-- Tarefa 93859 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD PARC_PEDIDO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0053 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0054 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE TABLE TT_ICF (
		NUMCCF 		Number(6), 		
        NUMCOO 		Number(6),
		NUMECF 		CHAR(3), 
		CODFIL 		CHAR(3),
		DATEMI		Date,	
        NUMITE 		Number(3), 		
        CODITE 		VARCHAR2(14), 	
        DESMAT 		VARCHAR2(100), 
        QTDITE 		Number(10,4), 	
        UNIDAD 		VARCHAR2(3), 		
        VLRUNI 		Number(12,4), 	
        VLRDESC 	Number(8,2), 	
        VLRACRES 	Number(8,2), 	
        VLRTOT 		Number(14,2), 	
        CODTOT 		VARCHAR2(7), 		
        FLGCAN 		CHAR(1), 		
	    QTDCAN 		Number(10,4), 	
	    VLRCAN 		Number(12,4), 	
	    VLRCANACR 	Number(12,4), 	
	    ARRTRU 		CHAR(1), 		
        DECQTD 		CHAR(1), 		
	    DECUNI 		CHAR(1)		
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0055 --*/ 
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT PK_ICF PRIMARY KEY (CODFIL, NUMECF, NUMCOO, DATEMI, NUMITE);

/*-- SEQ 0056 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0057 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0058 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93797 --
SELECT * FROM NADA;

/*-- SEQ 0059 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_FLGCAN CHECK (FLGCAN IN ('S','N','P'));

/*-- SEQ 0060 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT CK_ICF_ARRTRU CHECK (ARRTRU IN ('T','A'));



/*-- SEQ 0061 --*/
-- Tarefa 93764 --
ALTER TABLE TT_FER DISABLE ALL TRIGGERS;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FER ADD LOJABR VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0063 --*/
ALTER TABLE TT_FER ENABLE ALL TRIGGERS;
 
/*-- SEQ 0064 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93764 -- 
ALTER TABLE TT_FER ADD CONSTRAINT CK_FER_LOJABR CHECK (LOJABR IN('T', 'F'));
 
/*-- SEQ 0065 --*/
/*--IGNORE ERRO--*/
-- Tarefa 93764 -- 
ALTER TABLE TT_FER MODIFY (LOJABR CONSTRAINT NN_FER_LOJABR NOT NULL);



/*-- SEQ 0066 --*/
-- Tarefa 93882--
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGULTDATUSERATUSC Date ;


/*-- SEQ 0067 --*/
-- Tarefa 93882--
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGULTIDSC Number(18) ;



/*-- SEQ 0068 --*/
-- Tarefa 93710--
ALTER TABLE TW_TAB MODIFY (ICMSR1 Number(14, 4));

/*-- SEQ 0069 --*/
-- Tarefa 93710--
ALTER TABLE TW_TAB MODIFY (ICMSR2 Number(14, 4));


/*-- SEQ 0070 --*/
-- Tarefa 93400 --
CREATE TABLE TL_IOR_PAF (
    CODTAB Number(10),
    CODFIL CHAR(3),
    TIPPED CHAR(1),
    NUMPED CHAR(8),
    NUMITE Number(5),
    TIPLOG CHAR(1),
    INDCAN VARCHAR2(1),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Number(5),
    CODTAM Number(5),
    QTDITE Number(12,4),
    VLRITE Number(14,4),
    DESCON Number(12,2),
    VLRPGT Number(12,2),
    DATOPE Date,
    FILUSU CHAR(3),
    CODUSU CHAR(3),
    CODUID Number
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0071 --*/ 
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT PK_LIOR_PAF PRIMARY KEY (CODTAB);
 
/*-- SEQ 0072 --*/
-- Tarefa 93400 --
CREATE SEQUENCE SQLIORPAF INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0073 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (CODFIL CONSTRAINT NN_LIOR_PAF_CODFIL NOT NULL);


/*-- SEQ 0074 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (TIPPED CONSTRAINT NN_LIOR_PAF_TIPPED NOT NULL);


/*-- SEQ 0075 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (NUMPED CONSTRAINT NN_LIOR_PAF_NUMPED NOT NULL);


/*-- SEQ 0076 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (NUMITE CONSTRAINT NN_LIOR_PAF_NUMITE NOT NULL);


/*-- SEQ 0077 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (TIPLOG CONSTRAINT NN_LIOR_PAF_TIPLOG NOT NULL);


/*-- SEQ 0078 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (INDCAN CONSTRAINT NN_LIOR_PAF_INDCAN NOT NULL);


/*-- SEQ 0079 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (FILMAT CONSTRAINT NN_LIOR_PAF_FILMAT NOT NULL);


/*-- SEQ 0080 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (CODMAT CONSTRAINT NN_LIOR_PAF_CODMAT NOT NULL);


/*-- SEQ 0081 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (CODCOR CONSTRAINT NN_LIOR_PAF_CODCOR NOT NULL);

/*-- SEQ 0082 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (CODTAM CONSTRAINT NN_LIOR_PAF_CODTAM NOT NULL);


/*-- SEQ 0083 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (QTDITE CONSTRAINT NN_LIOR_PAF_QTDITE NOT NULL);


/*-- SEQ 0084 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (VLRITE CONSTRAINT NN_LIOR_PAF_VLRITE NOT NULL);


/*-- SEQ 0085 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (DESCON CONSTRAINT NN_LIOR_PAF_DESCON NOT NULL);


/*-- SEQ 0086 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (VLRPGT CONSTRAINT NN_LIOR_PAF_VLRPGT NOT NULL);

/*-- SEQ 0087 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (DATOPE CONSTRAINT NN_LIOR_PAF_DATOPE NOT NULL);


/*-- SEQ 0088 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (FILUSU CONSTRAINT NN_LIOR_PAF_FILUSU NOT NULL);


/*-- SEQ 0089 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF MODIFY (CODUSU CONSTRAINT NN_LIOR_PAF_CODUSU NOT NULL);


/*-- SEQ 0090 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU(FILUSU, CODUSU);
 
/*-- SEQ 0091 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_USU ON TL_IOR_PAF (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0092 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_UID FOREIGN KEY (CODUID) REFERENCES TT_UID(CODUID);
 
/*-- SEQ 0093 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_UID ON TL_IOR_PAF (CODUID) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0094 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_IOR FOREIGN KEY (CODFIL, TIPPED, NUMPED, NUMITE) REFERENCES TT_IOR(CODFIL, TIPPED, NUMPED, NUMITE);
 
/*-- SEQ 0095 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_IOR ON TL_IOR_PAF (CODFIL, TIPPED, NUMPED, NUMITE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0096 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0097 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_GRA ON TL_IOR_PAF (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0098 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);
 
/*-- SEQ 0099 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_DFIL ON TL_IOR_PAF (CODFIL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0100 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT CK_LIOR_PAF_TIPLOG CHECK (TIPLOG IN ('A','E','I'));

/*-- SEQ 0101 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT CK_LIOR_PAF_INDCAN CHECK (INDCAN IN ('F','T'));


/*-- SEQ 0102 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93770--
SELECT * FROM NADA;

/*-- SEQ 0103 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93770--
SELECT * FROM NADA;

/*-- SEQ 0104 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93770--
SELECT * FROM NADA;


/*-- SEQ 0105 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
CREATE TABLE TT_UTL (
  DATOPE Date,
  CODFIL CHAR(3) ,
  FERABE VARCHAR2(1)
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0106 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93767--
SELECT * FROM NADA; 

/*-- SEQ 0107 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93767--
SELECT * FROM NADA; 

/*-- SEQ 0108 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93767 --
ALTER TABLE TT_UTL MODIFY (FERABE CONSTRAINT NN_UTL_FERABE NOT NULL);
  

/*-- SEQ 0109 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
ALTER TABLE TT_UTL MODIFY (FERABE DEFAULT 'F');

/*-- SEQ 0110 --*/
/*-- IGNORE ERRO --*/  
-- Tarefa 93767 --
ALTER TABLE TT_UTL ADD CONSTRAINT PK_UTL PRIMARY KEY (DATOPE, CODFIL);

/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
ALTER TABLE TT_UTL ADD CONSTRAINT FK_UTL_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL  (CODFIL);
 
/*-- SEQ 0112 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
CREATE INDEX I_FK_UTL_DFIL ON TT_UTL (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0113 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93767 --
ALTER TABLE TT_UTL ADD CONSTRAINT CK_UTL_FERABE CHECK (FERABE IN ('T','F'));


/*-- SEQ 0114 --*/
-- Tarefa 93923--
/*-- IGNORE ERRO --*/
ALTER TABLE TT_FIN ADD CHVTRN2 VARCHAR2(5) ;



/*-- SEQ 0115 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93780 --
SELECT * FROM NADA;

/*-- SEQ 0116 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
ALTER TABLE TM_FEC ADD CONSTRAINT FK_FEC_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0117 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93780 --
CREATE INDEX I_FK_FEC_DECF ON TM_FEC (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT FK_MCF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93786 --
CREATE INDEX I_FK_MCF_DECF ON TT_MCF (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0120 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_MCF FOREIGN KEY (CODFIL, NUMECF, NUMCOO, DATEMI ) REFERENCES TT_MCF(CODFIL, NUMECF, NUMCOO, DATEMI);

/*-- SEQ 0121 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_MCF ON TT_ICF (CODFIL, NUMECF, NUMCOO, DATEMI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0122 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
ALTER TABLE TT_ICF ADD CONSTRAINT FK_ICF_DECF FOREIGN KEY (CODFIL, NUMECF) REFERENCES TD_ECF(FILECF, NUMECF);

/*-- SEQ 0123 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DFIL ON TT_ICF (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0124 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93797 --
CREATE INDEX I_FK_ICF_DECF ON TT_ICF (CODFIL, NUMECF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93797 --
SELECT * FROM NADA;



/*-- SEQ 0126 --*/
-- Tarefa 93949--
ALTER TABLE TT_DOP MODIFY (CODBAR CHAR(47));




/*-- SEQ 0127 --*/
-- Tarefa 93400 --
DROP INDEX I_FK_LIOR_PAF_IOR;

/*-- SEQ 0128 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF DROP CONSTRAINT FK_LIOR_PAF_IOR;

/*-- SEQ 0129 --*/
-- Tarefa 93400 --
ALTER TABLE TL_IOR_PAF ADD CONSTRAINT FK_LIOR_PAF_ORC FOREIGN KEY (CODFIL, TIPPED, NUMPED) REFERENCES TT_ORC(CODFIL, TIPPED, NUMPED);
 
/*-- SEQ 0130 --*/
-- Tarefa 93400 --
CREATE INDEX I_FK_LIOR_PAF_ORC ON TL_IOR_PAF (CODFIL, TIPPED, NUMPED) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0131 --*/
-- Tarefa 94095 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0132 --*/
ALTER TABLE TD_FIL ADD PERFIL CHAR(1) DEFAULT 'B';

/*-- SEQ 0133 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0134 --*/
-- Tarefa 94095 --
ALTER TABLE TD_FIL MODIFY (PERFIL CONSTRAINT NN_DFIL_PERFIL NOT NULL);

 
/*-- SEQ 0135 --*/
-- Tarefa 94095 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PERFIL CHECK (PERFIL  IN ('A','B'));



/*-- SEQ 0136 --*/
-- Tarefa 93411 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE ADD ASSINA VARCHAR2(256) ;


/*-- SEQ 0137 --*/
-- Tarefa 93411 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_OPE ADD CODUID Number ;


/*-- SEQ 0138 --*/
-- Tarefa 93411 --
ALTER TABLE TT_OPE ADD CONSTRAINT FK_OPE_UID FOREIGN KEY (CODUID) REFERENCES TT_UID (CODUID);

/*-- SEQ 0139 --*/
-- Tarefa 93411 --
CREATE INDEX I_FK_OPE_UID ON TT_OPE (CODUID)  ;


/*-- SEQ 0140 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0141 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0142 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;

/*-- SEQ 0143 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 93823 --
SELECT * FROM NADA;


/*-- SEQ 0144 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0145 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD CLIREVSEMIE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0146 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94192--
ALTER TABLE TT_CFG MODIFY (CLIREVSEMIE CONSTRAINT NN_CFG_CLIREVSEMIE NOT NULL);


/*-- SEQ 0148 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94192 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CLIREVSEMIE CHECK (CLIREVSEMIE IN ('T', 'F'));

/*-- SEQ 0149 --*/
-- Tarefa 94192 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0150 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CLIREVSEMIE VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0151 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0152 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;


/*-- SEQ 0153 --*/
-- Tarefa 94192 --
UPDATE TT_CLI
   SET ISENTO = 'T'
 WHERE COALESCE(INSEST,'ISENTO') = 'ISENTO' AND ISENTO = 'F'
   AND NOT EXISTS (SELECT 1 AS OK
                     FROM TT_FUN
                    WHERE NOMFUN = 'REVSEMIE');

/*-- SEQ 0154 --*/
-- Tarefa 94192 --
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0155 --*/
-- Tarefa 94192 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0156 --*/
-- Tarefa 94192 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'REVSEMIE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'REVSEMIE'));

/*-- SEQ 0157 --*/
-- Tarefa 94192 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;



/*-- SEQ 0158 --*/
-- Tarefa 93823 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0159 --*/
-- Tarefa 93823 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,384)||'S'||SUBSTR(PERMIS,386,9999)
    WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385');

/*-- SEQ 0160 --*/
-- Tarefa 93823 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;
                     
/*-- SEQ 0161 --*/
-- Tarefa 93823 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0162 --*/
-- Tarefa 93823 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'PERMIS385', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'PERMIS385'));

/*-- SEQ 0163 --*/
-- Tarefa 93823 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0164 --*/
-- Tarefa 93770--
ALTER TABLE TT_CFG DROP CONSTRAINT CK_CFG_GIRO_ESTOQUE;

/*-- SEQ 0165 --*/
-- Tarefa 93770 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0166 --*/
-- Tarefa 93770--
UPDATE TT_CFG SET GIRO_ESTOQUE = 'A'
 WHERE GIRO_ESTOQUE = 'U';
 
/*-- SEQ 0167 --*/
-- Tarefa 93770 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0168 --*/
-- Tarefa 93770--
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_GIRO_ESTOQUE CHECK (GIRO_ESTOQUE IN ('A', 'C'));


/*-- SEQ 0169 --*/
-- Tarefa 93875 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0170 --*/
ALTER TABLE TT_CFG ADD TIPDIA_ELASTICIDADE CHAR(1) DEFAULT 'C';

/*-- SEQ 0171 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0172 --*/
-- Tarefa 93875 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPDIA_ELASTICIDADE CHECK (TIPDIA_ELASTICIDADE IN ('C','A'));
 
/*-- SEQ 0173 --*/
-- Tarefa 93875 -- 
ALTER TABLE TT_CFG MODIFY (TIPDIA_ELASTICIDADE CONSTRAINT NN_CFG_TIPDIA_ELASTICIDADE NOT NULL);

 
/*-- SEQ 0174 --*/
-- Tarefa 93875 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0175 --*/
ALTER TABLE TW_CFG ADD TIPDIA_ELASTICIDADE CHAR(1) DEFAULT 'C';

/*-- SEQ 0176 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0177 --*/
-- Tarefa 93010 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0178 --*/
ALTER TABLE TT_CFG ADD DIAS_VARPRE Number(2) DEFAULT 0;

/*-- SEQ 0179 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0180 --*/
-- Tarefa 93010 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAS_VARPRE CHECK (DIAS_VARPRE >= 0);
 
/*-- SEQ 0181 --*/
-- Tarefa 93010 -- 
ALTER TABLE TT_CFG MODIFY (DIAS_VARPRE CONSTRAINT NN_CFG_DIAS_VARPRE NOT NULL);

 
/*-- SEQ 0182 --*/
-- Tarefa 93010 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0183 --*/
ALTER TABLE TW_CFG ADD DIAS_VARPRE Number(2) DEFAULT 0;

/*-- SEQ 0184 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0185 --*/
-- Tarefa 93904 --
ALTER TABLE TT_PXF ADD MEDENT Number(8,4) ;


/*-- SEQ 0186 --*/
-- Tarefa 93904 --
ALTER TABLE TT_PXF ADD CONSTRAINT CK_PXF_MEDENT CHECK ((MEDENT >= 0) OR (MEDENT IS NULL));


/*-- SEQ 0187 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0188 --*/
ALTER TABLE TT_CFG ADD DEVCOMPRANFEIMPOSTO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0189 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0190 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD NATRESSARCIMENTOST Number(5) ;


/*-- SEQ 0191 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD NATADJUDICACAOICMS Number(5) ;

 
/*-- SEQ 0192 --*/
-- Tarefa 94279 -- 
ALTER TABLE TT_CFG MODIFY (DEVCOMPRANFEIMPOSTO CONSTRAINT NN_CFG_DEVCOMPRANFEIMPOSTO NOT NULL);

 
/*-- SEQ 0193 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DEVCOMPRANFEIMPOSTO CHECK (DEVCOMPRANFEIMPOSTO IN ('T','F'));

/*-- SEQ 0194 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATRESSARCIMENTOST FOREIGN KEY (NATRESSARCIMENTOST) REFERENCES TD_NAT(CODTAB);

/*-- SEQ 0195 --*/
-- Tarefa 94279 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_DNAT_NATADJUDICACAOICMS FOREIGN KEY (NATADJUDICACAOICMS) REFERENCES TD_NAT(CODTAB);

/*-- SEQ 0196 --*/
-- Tarefa 94279 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0197 --*/
ALTER TABLE TW_CFG ADD DEVCOMPRANFEIMPOSTO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0198 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0199 --*/
-- Tarefa 94279 --
ALTER TABLE TW_CFG ADD NATRESSARCIMENTOST Number(5) ;


/*-- SEQ 0200 --*/
-- Tarefa 94279 --
ALTER TABLE TW_CFG ADD NATADJUDICACAOICMS Number(5) ;



/*-- SEQ 0201 --*/
-- Tarefa 93906 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0202 --*/
ALTER TABLE TT_CFG ADD REGRA_MEDIA_VENDAS CHAR(1) DEFAULT 1;

/*-- SEQ 0203 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0204 --*/
-- Tarefa 93906 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_REGRA_MEDIA_VENDAS CHECK (REGRA_MEDIA_VENDAS IN ('1','2'));
 
/*-- SEQ 0205 --*/
-- Tarefa 93906 -- 
ALTER TABLE TT_CFG MODIFY (REGRA_MEDIA_VENDAS CONSTRAINT NN_CFG_REGRA_MEDIA_VENDAS NOT NULL);

 
/*-- SEQ 0206 --*/
-- Tarefa 93906 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0207 --*/
ALTER TABLE TW_CFG ADD REGRA_MEDIA_VENDAS CHAR(1) DEFAULT 1;

/*-- SEQ 0208 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0209 --*/
-- Tarefa 93900 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0210 --*/
ALTER TABLE TT_CFG ADD DIAS_REC_PEDIDOS Number(3) DEFAULT 30;

/*-- SEQ 0211 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0212 --*/
-- Tarefa 93900 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DIAS_REC_PEDIDOS CHECK (DIAS_REC_PEDIDOS >= 0);
 
/*-- SEQ 0213 --*/
-- Tarefa 93900 -- 
ALTER TABLE TT_CFG MODIFY (DIAS_REC_PEDIDOS CONSTRAINT NN_CFG_DIAS_REC_PEDIDOS NOT NULL);

 
/*-- SEQ 0214 --*/
-- Tarefa 93900 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0215 --*/
ALTER TABLE TW_CFG ADD DIAS_REC_PEDIDOS Number(3) DEFAULT 30;

/*-- SEQ 0216 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0217 --*/
-- Tarefa 94239--
ALTER TABLE TW_FLU MODIFY (NUMDOC VARCHAR2(9));




/*-- SEQ 0218 --*/
-- Tarefa 93998 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0219 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050012'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050012'));

/*-- SEQ 0220 --*/
-- Tarefa 93998 --
INSERT INTO TT_NCM
(NOMNCM, NIVNCM, SECNCM, FLGATI, CODNCM)
(SELECT 'Chapus e outros artefatos de uso semelhante, de malha', 3, 12, 'T', '65050011'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '65050011'));

/*-- SEQ 0221 --*/
-- Tarefa 93998 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0222 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMDIV_CODEXT VARCHAR2(20) ;


/*-- SEQ 0223 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMSUB_CODEXT VARCHAR2(20) ;


/*-- SEQ 0224 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD NOMGRA_CODEXT VARCHAR2(20) ;


/*-- SEQ 0225 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ITEDIV_CODEXT VARCHAR2(20) ;


/*-- SEQ 0226 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TI_PRO ADD ITESUB_CODEXT VARCHAR2(20) ;


/*-- SEQ 0227 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_DIV ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0228 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_SUB ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0229 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_GRA ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0230 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_DIV ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0231 --*/
-- Tarefa 93998 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_SUB ADD CODEXT VARCHAR2(20) ;


/*-- SEQ 0232 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DDIV_CODEXT ON TD_DIV (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DSUB_CODEXT ON TD_SUB (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0234 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DGRA_CODEXT ON TD_GRA (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0235 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_DIV_CODEXT ON TT_DIV (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 93998 --
CREATE UNIQUE INDEX I_UQ_SUB_CODEXT ON TT_SUB (CODEXT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0237 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0238 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_XA Number(3) DEFAULT 0;

/*-- SEQ 0239 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0240 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_XA CONSTRAINT NN_DFIL_PRAZO_COMPRA_XA NOT NULL);

 
/*-- SEQ 0241 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_XA CHECK (PRAZO_COMPRA_XA >= 0);

/*-- SEQ 0242 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0243 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_XB Number(3) DEFAULT 0;

/*-- SEQ 0244 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0245 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_XB CONSTRAINT NN_DFIL_PRAZO_COMPRA_XB NOT NULL);

 
/*-- SEQ 0246 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_XB CHECK (PRAZO_COMPRA_XB >= 0);

/*-- SEQ 0247 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0248 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_XC Number(3) DEFAULT 0;

/*-- SEQ 0249 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0250 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_XC CONSTRAINT NN_DFIL_PRAZO_COMPRA_XC NOT NULL);

 
/*-- SEQ 0251 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_XC CHECK (PRAZO_COMPRA_XC >= 0);


/*-- SEQ 0252 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0253 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_YA Number(3) DEFAULT 0;

/*-- SEQ 0254 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0255 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_YA CONSTRAINT NN_DFIL_PRAZO_COMPRA_YA NOT NULL);

 
/*-- SEQ 0256 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_YA CHECK (PRAZO_COMPRA_YA >= 0);

/*-- SEQ 0257 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0258 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_YB Number(3) DEFAULT 0;

/*-- SEQ 0259 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0260 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_YB CONSTRAINT NN_DFIL_PRAZO_COMPRA_YB NOT NULL);

 
/*-- SEQ 0261 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_YB CHECK (PRAZO_COMPRA_YB >= 0);

/*-- SEQ 0262 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0263 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_YC Number(3) DEFAULT 0;

/*-- SEQ 0264 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0265 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_YC CONSTRAINT NN_DFIL_PRAZO_COMPRA_YC NOT NULL);

 
/*-- SEQ 0266 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_YC CHECK (PRAZO_COMPRA_YC >= 0);


/*-- SEQ 0267 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0268 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_ZA Number(3) DEFAULT 0;

/*-- SEQ 0269 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0270 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_ZA CONSTRAINT NN_DFIL_PRAZO_COMPRA_ZA NOT NULL);

 
/*-- SEQ 0271 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_ZA CHECK (PRAZO_COMPRA_ZA >= 0);

/*-- SEQ 0272 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0273 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_ZB Number(3) DEFAULT 0;

/*-- SEQ 0274 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0275 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_ZB CONSTRAINT NN_DFIL_PRAZO_COMPRA_ZB NOT NULL);

 
/*-- SEQ 0276 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_ZB CHECK (PRAZO_COMPRA_ZB >= 0);

/*-- SEQ 0277 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0278 --*/
ALTER TABLE TD_FIL ADD PRAZO_COMPRA_ZC Number(3) DEFAULT 0;

/*-- SEQ 0279 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;
 
/*-- SEQ 0280 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL MODIFY (PRAZO_COMPRA_ZC CONSTRAINT NN_DFIL_PRAZO_COMPRA_ZC NOT NULL);

 
/*-- SEQ 0281 --*/
-- Tarefa 93898 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_PRAZO_COMPRA_ZC CHECK (PRAZO_COMPRA_ZC >= 0);



/*-- SEQ 0282 --*/
-- Tarefa 94318 --
ALTER TABLE TT_IVE ADD ITEFIS Number(5) ;

 


/*-- SEQ 0283 --*/
-- Tarefa 93877 --
ALTER TABLE TT_PRE ADD ULTELA Number(12,2) ;

 
-- Tarefa 93877 --
ALTER TABLE TT_PRE ADD DIAELA Number(4) ;



/*-- SEQ 0284 --*/
-- Tarefa 93902 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0285 --*/
ALTER TABLE TT_CFG ADD TIPDIA_VDU_PP CHAR(1) DEFAULT 'C';

/*-- SEQ 0286 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;
 
/*-- SEQ 0287 --*/
-- Tarefa 93902 -- 
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_TIPDIA_VDU_PP CHECK (TIPDIA_VDU_PP IN ('C','A'));
 
/*-- SEQ 0288 --*/
-- Tarefa 93902 -- 
ALTER TABLE TT_CFG MODIFY (TIPDIA_VDU_PP CONSTRAINT NN_CFG_TIPDIA_VDU_PP NOT NULL);

 
/*-- SEQ 0289 --*/
-- Tarefa 93902 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0290 --*/
ALTER TABLE TW_CFG ADD TIPDIA_VDU_PP CHAR(1) DEFAULT 'C';

/*-- SEQ 0291 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0292 --*/
-- Tarefa 89474 --
CREATE TABLE TD_NIV (
  CODTAB  Number(5),
  DESNIV  VARCHAR2(100),
  NIVATI  VARCHAR2(1) DEFAULT 'T',
  PERNIV  Number(4,2),
  FATNIV  Number(5,3))
  TABLESPACE TOTALL_DATA;

/*-- SEQ 0293 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT PK_DNIV PRIMARY KEY (CODTAB);
 
/*-- SEQ 0294 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV MODIFY (DESNIV CONSTRAINT NN_DNIV_DESNIV NOT NULL);

    
/*-- SEQ 0295 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV MODIFY (NIVATI CONSTRAINT NN_DNIV_NIVATI NOT NULL);

    
/*-- SEQ 0296 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV MODIFY (PERNIV CONSTRAINT NN_DNIV_PERNIV NOT NULL);

    
/*-- SEQ 0297 --*/
-- Tarefa 89474 -- 
ALTER TABLE TD_NIV MODIFY (FATNIV CONSTRAINT NN_DNIV_FATNIV NOT NULL);

    
/*-- SEQ 0298 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT CK_DNIV_NIVATI CHECK (NIVATI IN ('T','F'));
 
/*-- SEQ 0299 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT CK_DNIV_PERNIV CHECK (PERNIV >= 0);

/*-- SEQ 0300 --*/
-- Tarefa 89474 --
ALTER TABLE TD_NIV ADD CONSTRAINT CK_DNIV_FATNIV CHECK (FATNIV >= 0);


/*-- SEQ 0301 --*/
-- Tarefa 89474 --
ALTER TABLE TW_TAB ADD DESNIV VARCHAR2(100) ;


/*-- SEQ 0302 --*/
-- Tarefa 89474 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0303 --*/
ALTER TABLE TW_TAB ADD NIVATI VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0304 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0305 --*/
-- Tarefa 89474 --
ALTER TABLE TW_TAB ADD PERNIV Number(4,2) ;


/*-- SEQ 0306 --*/
-- Tarefa 89474 --
ALTER TABLE TW_TAB ADD FATNIV Number(5,3) ;



/*-- SEQ 0307 --*/
-- Tarefa 89474 --                       
ALTER TABLE TD_NIV DISABLE ALL TRIGGERS;


/*-- SEQ 0308 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 1, '50%', 'T', 50, 0
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 1)
  );

/*-- SEQ 0309 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 2, '60%', 'T', 60, 0.254
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 2)
  );

/*-- SEQ 0310 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 3, '70%', 'T', 70, 0.525
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 3)
  );

/*-- SEQ 0311 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 4, '80%', 'T', 80, 0.842
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 4)
  );

/*-- SEQ 0312 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 5, '85%', 'T', 85, 1.037
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 5)
  );

/*-- SEQ 0313 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 6, '90%', 'T', 90, 1.282
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 6)
  );

/*-- SEQ 0314 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 7, '95%', 'T', 95, 1.645
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 7)
  );

/*-- SEQ 0315 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 8, '96%', 'T', 96, 1.751
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 8)
  );

/*-- SEQ 0316 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 9, '97%', 'T', 97, 1.880
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 9)
  );

/*-- SEQ 0317 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 10, '98%', 'T', 98, 2.055
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 10)
  );

/*-- SEQ 0318 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 11, '99%', 'T', 99, 2.325
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 11)
  );

/*-- SEQ 0319 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 12, '99,9%', 'T', 99.9, 3.100
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 12)
  );

/*-- SEQ 0320 --*/
-- Tarefa 89474 --                       
INSERT INTO TD_NIV (CODTAB, DESNIV, NIVATI, PERNIV, FATNIV)
  (SELECT 13, '99,99%', 'T', 99.99, 3.620
     FROM DUAL
    WHERE NOT EXISTS (SELECT 1 AS OK
                        FROM TD_NIV
                       WHERE CODTAB = 13)
  );

/*-- SEQ 0321 --*/
-- Tarefa 89474 --                       
ALTER TABLE TD_NIV ENABLE ALL TRIGGERS;


/*-- SEQ 0322 --*/
-- Tarefa 93896 --
ALTER TABLE TT_PRO ADD CODNIV Number(5) ;

 
/*-- SEQ 0323 --*/
-- Tarefa 93896 --
ALTER TABLE TT_PRO ADD CONSTRAINT FK_PRO_DNIV FOREIGN KEY (CODNIV) REFERENCES TD_NIV (CODTAB);

/*-- SEQ 0324 --*/
-- Tarefa 93896 --
CREATE INDEX I_FK_PRO_DNIV ON TT_PRO (CODNIV) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0325 --*/
-- Tarefa 93888 --
ALTER TABLE TT_PRE ADD DATINC Date ;

 
/*-- SEQ 0326 --*/
-- Tarefa 93888 --
UPDATE TT_PRE PRE SET DATINC = COALESCE((SELECT ADD_DAY(MIN(LPRE.DATOPE),-1)
                                      FROM TL_PRE LPRE
                                     WHERE LPRE.FILPRE = PRE.FILPRE
                                       AND LPRE.SEQPRE = PRE.SEQUEN), PRE.ATU_EM);

/*-- SEQ 0327 --*/
-- Tarefa 93888 -- 
ALTER TABLE TT_PRE MODIFY (DATINC CONSTRAINT NN_PRE_DATINC NOT NULL);



/*-- SEQ 0328 --*/
-- Tarefa 94292 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;

/*-- SEQ 0329 --*/
-- Tarefa 94292 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J'));	 


/*-- SEQ 0330 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD FILEST CHAR(3) ;


/*-- SEQ 0331 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD SEQEST CHAR(10) ;


/*-- SEQ 0332 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD IMPEST VARCHAR2(1) ;


/*-- SEQ 0333 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD ECFEST CHAR(3) ;


/*-- SEQ 0334 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_VEN FOREIGN KEY (FILEST,SEQEST) REFERENCES TT_VEN (CODFIL, SEQUEN);

/*-- SEQ 0335 --*/
-- Tarefa 93025 --
CREATE INDEX I_FK_VEN_VEN ON TT_VEN (FILEST,SEQEST) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0336 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD CONSTRAINT FK_VEN_DECF_EST FOREIGN KEY (FILEST,ECFEST) REFERENCES TD_ECF (FILECF, NUMECF);

/*-- SEQ 0337 --*/
-- Tarefa 93025 --
CREATE INDEX I_FK_VEN_DECF_EST ON TT_VEN (FILEST,ECFEST) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0338 --*/
-- Tarefa 93030 --
ALTER TABLE TT_IVE DISABLE ALL TRIGGERS;

/*-- SEQ 0339 --*/
ALTER TABLE TT_IVE ADD ESTORN VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0340 --*/
ALTER TABLE TT_IVE ENABLE ALL TRIGGERS;

/*-- SEQ 0341 --*/
-- Tarefa 93030 --
ALTER TABLE TT_IVE MODIFY (ESTORN CONSTRAINT NN_IVE_ESTORN NOT NULL);


/*-- SEQ 0342 --*/
-- Tarefa 93030 --
ALTER TABLE TT_IVE ADD CONSTRAINT CK_IVE_ESTORN CHECK (ESTORN  IN ('T','F'));


/*-- SEQ 0343 --*/
-- Tarefa 94116 --
/*-- IGNORE ERRO --*/
ALTER TABLE TM_ABA ADD SEQUEN CHAR(10) ;


/*-- SEQ 0344 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
CREATE SEQUENCE SQMABA INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0345 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DISABLE ALL TRIGGERS;


/*-- SEQ 0346 --*/
-- Tarefa 94116 --
UPDATE TM_ABA
   SET SEQUEN = SQMABA.NEXTVAL
 WHERE SEQUEN IS NULL;

/*-- SEQ 0347 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ENABLE ALL TRIGGERS;

/*-- SEQ 0348 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA DROP CONSTRAINT PK_MABA;

/*-- SEQ 0349 --*/
/*-- IGNORE ERRO --*/
DROP INDEX PK_MABA;

/*-- SEQ 0350 --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA ADD CONSTRAINT PK_MABA PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0351 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94116 --
ALTER TABLE TM_ABA MODIFY (CODABA CONSTRAINT NN_MABA_CODABA NOT NULL);


/*-- SEQ 0352 --*/
-- Tarefa 94116 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0353 --*/
-- Tarefa 94116 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'TM_ABA2', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'TM_ABA2'));

/*-- SEQ 0354 --*/
-- Tarefa 94116 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;



/*-- SEQ 0355 --*/
-- Tarefa 93911 --
CREATE TABLE TR_SUG (
    CODFIL CHAR(3),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Number(5),
    CODTAM Number(5),
    ANO_MES VARCHAR2(7),
    FLGEST CHAR(1),
    QTDPRE Number(12,4),
    QTDVEN Number(12,4),
    TRASIG Number(12,2),
    GRAABC VARCHAR2(1),
    GRAXYZ VARCHAR2(1),
    DATINC Date,
    ATU_EM Date
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0356 --*/ 
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT PK_RSUG PRIMARY KEY (CODFIL, FILMAT, CODMAT, CODCOR, CODTAM, ANO_MES);

/*-- SEQ 0357 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG MODIFY (QTDPRE CONSTRAINT NN_RSUG_QTDPRE NOT NULL);


/*-- SEQ 0358 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG MODIFY (DATINC CONSTRAINT NN_RSUG_DATINC NOT NULL);


/*-- SEQ 0359 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG MODIFY (ATU_EM CONSTRAINT NN_RSUG_ATU_EM NOT NULL);


/*-- SEQ 0360 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT FK_RSUG_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);
 
/*-- SEQ 0361 --*/
-- Tarefa 93911 --
CREATE INDEX I_FK_RSUG_DFIL ON TR_SUG (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0362 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT FK_RSUG_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);
 
/*-- SEQ 0363 --*/
-- Tarefa 93911 --
CREATE INDEX I_FK_RSUG_GRA ON TR_SUG (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0364 --*/
-- Tarefa 93911 --
ALTER TABLE TR_SUG ADD CONSTRAINT CK_RSUG_FLGEST CHECK (FLGEST IN ('A','F'));


/*-- SEQ 0365 --*/
-- Tarefa 93021 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;

/*-- SEQ 0366 --*/
-- Tarefa 93021 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B'));	


/*-- SEQ 0367 --*/
-- Tarefa 94422 --
CREATE TABLE TT_LIS (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    CODEXT VARCHAR2(20),
    DATINC Date,
    ATU_EM Date,
    FILCLI CHAR(3),
    CODCLI CHAR(6),
    DESLIS VARCHAR2(40),
    DATVAL Date,
    FLGEST CHAR(1) DEFAULT 'A'
  ) TABLESPACE TOTALL_DATA;

 
/*-- SEQ 0368 --*/ 
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT PK_LIS PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0369 --*/
-- Tarefa 94422 --
CREATE SEQUENCE SQLIS INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0370 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS MODIFY (DATINC CONSTRAINT NN_LIS_DATINC NOT NULL);


/*-- SEQ 0371 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS MODIFY (ATU_EM CONSTRAINT NN_LIS_ATU_EM NOT NULL);


/*-- SEQ 0372 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS MODIFY (FILCLI CONSTRAINT NN_LIS_FILCLI NOT NULL);


/*-- SEQ 0373 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS MODIFY (CODCLI CONSTRAINT NN_LIS_CODCLI NOT NULL);


/*-- SEQ 0374 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT FK_LIS_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0375 --*/
-- Tarefa 94422 --
CREATE INDEX I_FK_LIS_DFIL ON TT_LIS (CODFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0376 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT FK_LIS_CLI FOREIGN KEY (FILCLI, CODCLI) REFERENCES  TT_CLI(FILCLI, CODCLI);

/*-- SEQ 0377 --*/
-- Tarefa 94422 --
CREATE INDEX I_FK_LIS_CLI ON TT_LIS (FILCLI, CODCLI) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0378 --*/
-- Tarefa 94422 --
CREATE UNIQUE INDEX I_UQ_LIS_CODEXT ON TT_LIS (CODEXT) TABLESPACE TOTALL_INDEX;
 
/*-- SEQ 0379 --*/
-- Tarefa 94422 --
ALTER TABLE TT_LIS ADD CONSTRAINT CK_LIS_FLGEST CHECK (FLGEST IN ('A','C'));


/*-- SEQ 0380 --*/
-- Tarefa 93014 --
ALTER TABLE TD_NAT ADD NATESD VARCHAR2(6) ;


/*-- SEQ 0381 --*/
-- Tarefa 93014 --
ALTER TABLE TD_NAT ADD NATESF VARCHAR2(6) ;

 
/*-- SEQ 0382 --*/
-- Tarefa 93014 --
ALTER TABLE TW_TAB ADD NATESD VARCHAR2(6) ;


/*-- SEQ 0383 --*/
-- Tarefa 93014 --
ALTER TABLE TW_TAB ADD NATESF VARCHAR2(6) ;



/*-- SEQ 0384 --*/
-- Tarefa 92859 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

                      
/*-- SEQ 0385 --*/
-- Tarefa 92859 --
INSERT INTO TT_JOB 
( NOMJOB, DESJOB, ULTEXE, QTDERR ) 
(SELECT 'JOB_GERACOMISSAODIARIA',
        'Gerar Comissão do Dia Anterior',
        Agora(),
        0
   FROM DUAL
   WHERE NOT EXISTS (SELECT 1 AS OK
                       FROM TT_JOB
                      WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA')); 
                      
/*-- SEQ 0386 --*/
-- Tarefa 92859 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                      




/*-- SEQ 0387 --*/
-- Tarefa 94423 --
CREATE TABLE TT_ILI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Number(5),
    CODEXT VARCHAR2(20),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Number(5),
    CODTAM Number(5),
    QTDITE Number(12,4) DEFAULT 0,
    QTDRES Number(12,4) DEFAULT 0,
    SITMOV CHAR(1) Default 'N' 
  ) TABLESPACE TOTALL_DATA;

 
/*-- SEQ 0388 --*/ 
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT PK_ILI PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0389 --*/
-- Tarefa 94423 --
CREATE SEQUENCE SQILI INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0390 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI MODIFY (FILMAT CONSTRAINT NN_ILI_FILMAT NOT NULL);


/*-- SEQ 0391 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI MODIFY (CODMAT CONSTRAINT NN_ILI_CODMAT NOT NULL);


/*-- SEQ 0392 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI MODIFY (CODCOR CONSTRAINT NN_ILI_CODCOR NOT NULL);


/*-- SEQ 0393 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI MODIFY (CODTAM CONSTRAINT NN_ILI_CODTAM NOT NULL);


/*-- SEQ 0394 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI MODIFY (QTDITE CONSTRAINT NN_ILI_QTDITE NOT NULL);


/*-- SEQ 0395 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI MODIFY (QTDRES CONSTRAINT NN_ILI_QTDRES NOT NULL);


/*-- SEQ 0396 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT FK_ILI_LIS FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_LIS(CODFIL, SEQUEN);

/*-- SEQ 0397 --*/
-- Tarefa 94423 --
CREATE INDEX I_FK_ILI_LIS ON TT_ILI (CODFIL, SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0398 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT FK_ILI_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES  TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0399 --*/
-- Tarefa 94423 --
CREATE INDEX I_FK_ILI_GRA ON TT_ILI (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0400 --*/
-- Tarefa 94423 --
CREATE UNIQUE INDEX I_UQ_ILI_CODEXT ON TT_ILI (CODEXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0401 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT CK_ILI_FQTDITE CHECK (QTDITE > 0);
 
/*-- SEQ 0402 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT CK_ILI_QTDRES CHECK (QTDRES >= 0);

/*-- SEQ 0403 --*/
-- Tarefa 94423 --
ALTER TABLE TT_ILI ADD CONSTRAINT CK_ILI_SITMOV CHECK (SITMOV IN ('N','C'));


/*-- SEQ 0404 --*/
-- Tarefa 94460 --
CREATE TABLE TT_SLI (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    DATINC Date,
    ATU_EM Date,
    DESLPR VARCHAR2(40),
    SIGNAT Number(5)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0405 --*/ 
-- Tarefa 94460 --
ALTER TABLE TT_SLI ADD CONSTRAINT PK_SLI PRIMARY KEY (CODFIL, SEQUEN);

/*-- SEQ 0406 --*/
-- Tarefa 94460 --
CREATE SEQUENCE SQSLI INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0407 --*/
-- Tarefa 94460 --
ALTER TABLE TT_SLI MODIFY (DATINC CONSTRAINT NN_SLI_DATINC NOT NULL);


/*-- SEQ 0408 --*/
-- Tarefa 94460 --
ALTER TABLE TT_SLI MODIFY (ATU_EM CONSTRAINT NN_SLI_ATU_EM NOT NULL);


/*-- SEQ 0409 --*/
-- Tarefa 94460 --
ALTER TABLE TT_SLI ADD CONSTRAINT FK_SLI_DFIL FOREIGN KEY (CODFIL) REFERENCES TD_FIL(CODFIL);

/*-- SEQ 0410 --*/
-- Tarefa 94460 --
CREATE INDEX I_FK_SLI_DFIL ON TT_SLI (CODFIL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0411 --*/
-- Tarefa 94461 --
CREATE TABLE TT_ISL (
    CODFIL CHAR(3),
    SEQUEN CHAR(10),
    NUMITE Number(5),
    FILMAT CHAR(3),
    CODMAT CHAR(5),
    CODCOR Number(5),
    CODTAM Number(5)
  ) TABLESPACE TOTALL_DATA;

/*-- SEQ 0412 --*/ 
-- Tarefa 94461 --
ALTER TABLE TT_ISL ADD CONSTRAINT PK_ISL PRIMARY KEY (CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0413 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL MODIFY (FILMAT CONSTRAINT NN_ISL_FILMAT NOT NULL);


/*-- SEQ 0414 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL MODIFY (CODMAT CONSTRAINT NN_ISL_CODMAT NOT NULL);


/*-- SEQ 0415 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL MODIFY (CODCOR CONSTRAINT NN_ISL_CODCOR NOT NULL);


/*-- SEQ 0416 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL MODIFY (CODTAM CONSTRAINT NN_ISL_CODTAM NOT NULL);


/*-- SEQ 0417 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ADD CONSTRAINT FK_ISL_SLI FOREIGN KEY (CODFIL, SEQUEN) REFERENCES TT_SLI(CODFIL, SEQUEN);

/*-- SEQ 0418 --*/
-- Tarefa 94461 --
CREATE INDEX I_FK_ISL_SLI ON TT_ISL (CODFIL, SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0419 --*/
-- Tarefa 94461 --
ALTER TABLE TT_ISL ADD CONSTRAINT FK_ISL_GRA FOREIGN KEY (FILMAT, CODMAT, CODCOR, CODTAM) REFERENCES  TT_GRA(FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0420 --*/
-- Tarefa 94461 --
CREATE INDEX I_FK_ISL_GRA ON TT_ISL (FILMAT, CODMAT, CODCOR, CODTAM) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0421 --*/
-- Tarefa 93024 --
ALTER TABLE TT_PRE ADD CUSVEN Number(12,4) ;


/*-- SEQ 0422 --*/
-- Tarefa 93024 --
ALTER TABLE TT_PRE ADD DESFIX Number(12,4) ;


/*-- SEQ 0423 --*/
-- Tarefa 93024 --
ALTER TABLE TT_PRE ADD LUCPRJ Number(12,4) ;


/*-- SEQ 0424 --*/
-- Tarefa 93024 --
ALTER TABLE TW_PRE ADD CUSVEN Number(12,4) ;


/*-- SEQ 0425 --*/
-- Tarefa 93024 --
ALTER TABLE TW_PRE ADD DESFIX Number(12,4) ;


/*-- SEQ 0426 --*/
-- Tarefa 93024 --
ALTER TABLE TW_PRE ADD LUCPRJ Number(12,4) ;


/*-- SEQ 0427 --*/
-- Tarefa 93024 --
ALTER TABLE TL_PRE ADD CUSVENANT Number(12,4) ;


/*-- SEQ 0428 --*/
-- Tarefa 93024 --
ALTER TABLE TL_PRE ADD DESFIXANT Number(12,4) ;


/*-- SEQ 0429 --*/
-- Tarefa 93024 --
ALTER TABLE TL_PRE ADD LUCPRJANT Number(12,4) ;



/*-- SEQ 0430 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD FILILI CHAR(3) ;


/*-- SEQ 0431 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD SEQILI CHAR(10) ;

 
/*-- SEQ 0432 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD NUMILI Number(5) ;


/*-- SEQ 0433 --*/
-- Tarefa 94448 --
ALTER TABLE TT_IOR ADD CONSTRAINT FK_IOR_ILI FOREIGN KEY (FILILI, SEQILI, NUMILI) REFERENCES TT_ILI(CODFIL, SEQUEN, NUMITE);

/*-- SEQ 0434 --*/
-- Tarefa 94448 --
CREATE INDEX I_FK_IOR_ILI ON TT_IOR (FILILI, SEQILI, NUMILI) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0435 --*/
-- Tarefa 94402 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;

/*-- SEQ 0436 --*/
ALTER TABLE TT_GRA ADD ENVECO VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0437 --*/
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0438 --*/
-- Tarefa 94402 --
ALTER TABLE TT_GRA ADD CONSTRAINT CK_GRA_ENVECO CHECK (ENVECO IN ('T','F'));


/*-- SEQ 0439 --*/
-- Tarefa 94613 --
ALTER TABLE TT_IVE ADD DESITE  VARCHAR2(30) ;



/*-- SEQ 0440 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD FILMAT_AUX CHAR(3) ;

 
/*-- SEQ 0441 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD FILMAT_AUX CHAR(3) ;


/*-- SEQ 0442 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD CODMAT_AUX CHAR(5) ;

 
/*-- SEQ 0443 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD CODMAT_AUX CHAR(5) ;


/*-- SEQ 0444 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD CODCOR_AUX Number(5) ;

 
/*-- SEQ 0445 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD CODCOR_AUX Number(5) ;


/*-- SEQ 0446 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD CODTAM_AUX Number(5) ;

 
/*-- SEQ 0447 --*/
-- Tarefa 94618 --
ALTER TABLE TW_CFG ADD CODTAM_AUX Number(5) ;


/*-- SEQ 0448 --*/
-- Tarefa 94618 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_GRA_PRO_AUX FOREIGN KEY (FILMAT_AUX, CODMAT_AUX, CODCOR_AUX, CODTAM_AUX) REFERENCES TT_GRA (FILMAT, CODMAT, CODCOR, CODTAM);

/*-- SEQ 0449 --*/
-- Tarefa 94618 --
CREATE INDEX I_FK_CFG_GRA_PRO_AUX ON TT_CFG (FILMAT_AUX, CODMAT_AUX, CODCOR_AUX, CODTAM_AUX) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0450 --*/
-- Tarefa 94685 --
ALTER TABLE TD_SAD ADD PERIOF Number(5,2) ;

 
/*-- SEQ 0451 --*/
-- Tarefa 94685 --
ALTER TABLE TW_TAB ADD PERIOF Number(5,2) ;



/*-- SEQ 0452 --*/
-- Tarefa 94513 --
ALTER TABLE TT_SAV ADD PERIOF Number(5,2) ;


/*-- SEQ 0453 --*/
-- Tarefa 94513 --
ALTER TABLE TT_SAV ADD VLRIOF Number(12,2) ;
 


/*-- SEQ 0454 --*/
-- Tarefa 94242 --
ALTER TABLE TT_CFG ADD NATDEVCOMP Number(5) ;

 
/*-- SEQ 0455 --*/
-- Tarefa 94242 --
ALTER TABLE TW_CFG ADD NATDEVCOMP Number(5) ;


/*-- SEQ 0456 --*/
-- Tarefa 94242 --
ALTER TABLE TT_CFG ADD CONSTRAINT FK_CFG_NAT_DEVCOMP FOREIGN KEY (NATDEVCOMP) REFERENCES TD_NAT(CODTAB);

/*-- SEQ 0457 --*/
-- Tarefa 94242 --
CREATE INDEX I_FK_CFG_NAT_DEVCOMP ON TT_CFG (NATDEVCOMP) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0458 --*/
-- Tarefa 92449 --
ALTER TABLE TD_CTA DISABLE ALL TRIGGERS;


/*-- SEQ 0459 --*/
-- Tarefa 92449 --
/*-- SEQ 0460 --*/
CREATE OR REPLACE FUNCTION temp_cria_conta 
RETURN VARCHAR2 IS
  cCODFIL TD_FIL.CODFIL%TYPE;
  cSEQFIN CHAR(10);  
  cCODTAB TD_FIL.CODTAB%TYPE;
  iEXISTE INTEGER;
BEGIN
 
  SELECT COUNT(*)
    INTO iEXISTE
    FROM TD_CTA
   WHERE CFGCOL = 'CHEQUES_DEVOLVIDOS';

  IF iEXISTE = 0 THEN
    -- Cria novas contas financeiras para usos fixos
    SELECT CODLOJ INTO cCODFIL FROM TT_IDF;
    cSEQFIN := ProximaConta(cCODFIL,'Cheques Devolvidos','N','O','N'); 
    
    -- Descobre o proximo CODTAB da TD_CTA
    SELECT MAX(CODTAB)+1 INTO cCODTAB
      FROM TD_CTA;  
    
    -- Insere as novas contas na tabela 
    INSERT INTO TD_CTA (CODTAB, FILCTA, SEQCTA, TIPCTA, DESCTA, CFGCOL, USOCTA)
    (SELECT cCODTAB AS CODTAB, CODFIL, SEQUEN, TIPCTA, TITCTA AS DESCTA, 'CHEQUES_DEVOLVIDOS' AS CFGCOL, 'O' AS USOCTA
     FROM TT_CTA
     WHERE CODFIL = cCODFIL
       AND SEQUEN = cSEQFIN);
  END IF;
 
  RETURN 'OK';
END temp_cria_conta;
/

/*-- SEQ 0461 --*/
-- Tarefa 92449 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_cria_conta();
end;
/


/*-- SEQ 0462 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92449 --
DROP FUNCTION temp_cria_conta;

/*-- SEQ 0463 --*/
-- Tarefa 92449 --
ALTER TABLE TD_CTA ENABLE ALL TRIGGERS;

/*-- SEQ 0464 --*/
-- Tarefa 92449 --
INSERT INTO TL_FIN (ORIGEM,FILORI,SEQORI,PARORI,SUBORI)
SELECT CAST('CHR' AS CHAR(3)) AS ORIGEM, CODFIL, SEQUEN, CAST('--' AS CHAR(2)) AS PARORI, CAST('--' AS CHAR(2)) AS SUBORI
  FROM TT_CHR
 WHERE FLGEST = 'V'
   AND NOT EXISTS (SELECT CODFIL, SEQUEN 
                     FROM TR_FIN
                    WHERE ORIGEM = 'CHR'
                      AND ORICRT = 'DEV');


/*-- SEQ 0465 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0466 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0467 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0468 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0469 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0470 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0471 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0472 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0473 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0474 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0475 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0476 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0477 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;

/*-- SEQ 0478 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;
 
/*-- SEQ 0479 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
select * from NADA;


/*-- SEQ 0480 --*/
-- Tarefa 94756 --
ALTER TABLE TT_PXF ADD DP_ENT Number(8,4) ;


/*-- SEQ 0481 --*/
-- Tarefa 94756 --
ALTER TABLE TT_PXF ADD CONSTRAINT CK_PXF_DP_ENT CHECK (DP_ENT >= 0);


/*-- SEQ 0482 --*/
-- Tarefa 94767 --
ALTER TABLE TT_VEN ADD TIPESP CHAR(1) ;


/*-- SEQ 0483 --*/
-- Tarefa 94767 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_TIPESP CHECK (TIPESP IN ('A','I'));


/*-- SEQ 0484 --*/
-- Tarefa 94812 --
ALTER TABLE TT_VEN ADD MOTCAN VARCHAR2(4000) ;



/*-- SEQ 0485 --*/
-- Tarefa 94862 --
CREATE TABLE TT_VAT (
    CODTAB Number(10),
    MODULO Number(2),
    VERSAO Number(4,2),
    DETVER CHAR(1),
    RELEAS Number(2)
  ) TABLESPACE TOTALL_DATA;

 
/*-- SEQ 0486 --*/ 
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT PK_VAT PRIMARY KEY (CODTAB);

/*-- SEQ 0487 --*/
-- Tarefa 94862 --
CREATE SEQUENCE SQVAT INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0488 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT MODIFY (MODULO CONSTRAINT NN_VAT_MODULO NOT NULL);


/*-- SEQ 0489 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT MODIFY (VERSAO CONSTRAINT NN_VAT_VERSAO NOT NULL);


/*-- SEQ 0490 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT MODIFY (RELEAS CONSTRAINT NN_VAT_RELEAS NOT NULL);


/*-- SEQ 0491 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_MODULO CHECK (MODULO = 1);


/*-- SEQ 0492 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CK4G_VERSAO_HOMOL Number(4,2) ;

 
/*-- SEQ 0493 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0494 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CK4G_RELEAS_HOMOL Number(2) ;

 
/*-- SEQ 0495 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CK4G_VERSAO_PRODU Number(4,2) ;
 

/*-- SEQ 0496 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CK4G_DETVER_PRODU CHAR(1) ;
 

 /*-- SEQ 0497 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CK4G_RELEAS_PRODU Number(2) ;
 

 /*-- SEQ 0498 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0499 --*/
ALTER TABLE TT_CFG ADD CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0500 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS; 
 
 /*-- SEQ 0501 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG MODIFY (CK4G_REGRA_ATUALIZACAO CONSTRAINT NN_CFG_CK4G_REGRA_ATUALIZACAO NOT NULL);


   /*-- SEQ 0502 --*/
-- Tarefa 94863 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_CK4G_REGRA_ATUALIZACAO CHECK (CK4G_REGRA_ATUALIZACAO IN ('S','C','N'));
 
 /*-- SEQ 0503 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD CK4G_VERSAO_HOMOL Number(4,2) ;

 
/*-- SEQ 0504 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD CK4G_DETVER_HOMOL CHAR(1) ;


/*-- SEQ 0505 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD CK4G_RELEAS_HOMOL Number(2) ;

 
/*-- SEQ 0506 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD CK4G_VERSAO_PRODU Number(4,2) ;
 

/*-- SEQ 0507 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD CK4G_DETVER_PRODU CHAR(1) ;
 

 /*-- SEQ 0508 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG ADD CK4G_RELEAS_PRODU Number(2) ;
 

 /*-- SEQ 0509 --*/
-- Tarefa 94863 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0510 --*/
ALTER TABLE TW_CFG ADD CK4G_REGRA_ATUALIZACAO CHAR(1) DEFAULT 'S';

/*-- SEQ 0511 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS; 


/*-- SEQ 0512 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CK4G_MANMOV Number(5) ;

 
/*-- SEQ 0513 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CK4G_MANLOG_DET Number(5) ;


/*-- SEQ 0514 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CK4G_MANLOG_GER Number(5) ;

 
/*-- SEQ 0515 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);
 
/*-- SEQ 0516 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0517 --*/
-- Tarefa 94865 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);


/*-- SEQ 0518 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CK4G_MANMOV Number(5) ;


/*-- SEQ 0519 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CK4G_MANLOG_DET Number(5) ;


/*-- SEQ 0520 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CK4G_MANLOG_GER Number(5) ;


/*-- SEQ 0521 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF DISABLE ALL TRIGGERS;

/*-- SEQ 0522 --*/
ALTER TABLE TD_ECF ADD CK4G_HOMOL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0523 --*/
ALTER TABLE TD_ECF ENABLE ALL TRIGGERS;

/*-- SEQ 0524 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CK4G_VERSAO Number(4,2) ;


/*-- SEQ 0525 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CK4G_DETVER CHAR(1) ;


/*-- SEQ 0526 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CK4G_RELEAS_HOMOL Number(2) ;



/*-- SEQ 0527 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF MODIFY (CK4G_HOMOL CONSTRAINT NN_ECF_CK4G_HOMOL NOT NULL);


/*-- SEQ 0528 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANMOV CHECK (CK4G_MANMOV >= 0);

/*-- SEQ 0529 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_DET CHECK (CK4G_MANLOG_DET >= 0);

/*-- SEQ 0530 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_MANLOG_GER CHECK (CK4G_MANLOG_GER >= 0);

/*-- SEQ 0531 --*/
-- Tarefa 94867 --
ALTER TABLE TD_ECF ADD CONSTRAINT CK_DECF_CK4G_HOMOL CHECK (CK4G_HOMOL IN  ('T','F'));

/*-- SEQ 0532 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD CK4G_MANMOV Number(5) ;


/*-- SEQ 0533 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD CK4G_MANLOG_DET Number(5) ;


/*-- SEQ 0534 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD CK4G_MANLOG_GER Number(5) ;


/*-- SEQ 0535 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB DISABLE ALL TRIGGERS;

/*-- SEQ 0536 --*/
ALTER TABLE TW_TAB ADD CK4G_HOMOL VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0537 --*/
ALTER TABLE TW_TAB ENABLE ALL TRIGGERS;

/*-- SEQ 0538 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD CK4G_VERSAO Number(4,2) ;


/*-- SEQ 0539 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD CK4G_DETVER CHAR(1) ;


/*-- SEQ 0540 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD CK4G_RELEAS_HOMOL Number(2) ;



/*-- SEQ 0541 --*/
-- Tarefa 94862 --
CREATE UNIQUE INDEX I_UQ_VAT_MODVERDETREL ON TT_VAT (MODULO, VERSAO, COALESCE(DETVER, ''), RELEAS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0542 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_VERSAO CHECK (VERSAO >= 0);

/*-- SEQ 0543 --*/
-- Tarefa 94862 --
ALTER TABLE TT_VAT ADD CONSTRAINT CK_VAT_RELEAS CHECK (RELEAS >= 0);


/*-- SEQ 0544 --*/
-- Tarefa 93025 --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_IMPEST CHECK (IMPEST IN ('P', 'I'));


/*-- SEQ 0545 --*/
-- Tarefa 94867 --
ALTER TABLE TW_TAB ADD STATUS_DADOS VARCHAR2(4000) ;





/*-- SEQ 0546 --*/
-- Tarefa 93033 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0547 --*/
-- Tarefa 93033 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'ESTORNFE', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'ESTORNFE'));

/*-- SEQ 0548 --*/
-- Tarefa 93033 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0549 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD FILMAT_TIN CHAR(3) ;


/*-- SEQ 0550 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CODMAT_TIN CHAR(5) ;


/*-- SEQ 0551 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CODCOR_TIN Number(5) ;


/*-- SEQ 0552 --*/
-- Tarefa 93692 --
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD CODTAM_TIN Number(5) ;



-- Tarefa 94625 --
/*-- SEQ 0553 --*/
CREATE OR REPLACE FUNCTION temp_cria_pro 
RETURN VARCHAR2 IS
    iAux    Number(10);                 --  var auxiliar
    iAux2   Number(10);                 --  var auxiliar
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodGra TT_PRO.CODGRA%TYPE;         --  FK TD_GRA: Number(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Number(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Number(5)
    cSeqGra TT_GRA.SEQUEN%TYPE;         --  UK TT_GRA: char(10)
    vRefBas TT_PRO.REFBAS%TYPE;         --  UK TT_PRO.REFBAS: VARCHAR2(15)
    vRefPro TT_GRA.REFPRO%TYPE;         --  UK TT_GRA.REFPRO: VARCHAR2(20)
    cUF     TD_FIL.UFLOJA%TYPE;         --  PK TT_IUF: ESTADO CHAR(2)         
    cSeqPre TT_PRE.SEQUEN%TYPE;         --  PK TT_PRE: SEQUEN CHAR(10)
    cFilPre TT_PRE.FILMAT%TYPE;         --  PK TT_PRE: char(3)
    iCodPre TT_PRE.CODPRE%TYPE;         --  FK TT_PRE: CODPRE Number(5)
begin
    --  verificando se o produto auxiliar já está cadastrado
    select count(*)
      into iAux
      from TT_CFG CFG
     where CFG.FILMAT_AUX is not null
        or CFG.CODMAT_AUX is not null
        or CFG.CODCOR_AUX is not null
        or CFG.CODTAM_AUX is not null;
    --  cadastrando o produto auxiliar
    if  iAux = 0 then
        --  buscando as PKs da TT_PRO
        select CODLOJ
          into cFilMat
          from TT_IDF
               
         where ROWNUM = 1
                                      ;
        select (COD.ULTCOD)
          into iAux
          from TT_COD COD
         where COD.CODTAB = 'PRO'
           and COD.FILCOD = cFilMat;
        --  insert em TT_COD (não existe um registro para a TT_PRO para a cFilMat)
        if  iAux is null then
            iAux := 0;
            insert into TT_COD (CODTAB, FILCOD, ULTCOD, SEQUEN, CODSER, CODCHV)
                values ('PRO', cFilMat, iAux, ProximoCodigo('TT_COD', cFilMat), null, null);
        end if;
        --  validando se o código do produto está sendo utilizando
        -- (em caso positivo pega o próximo)
        loop
            iAux := iAux + 1;
            cCodMat := Lpad(iAux, 5, ' ');
            select count(PRO.FILMAT)
              into iAux2
              from TT_PRO PRO
             where PRO.FILMAT = cFilMat
               and PRO.CODMAT = cCodMat;
            exit when iAux2 = 0;
        end loop;
        --  update em TT_COD
        update TT_COD
           set ULTCOD = iAux
         where CODTAB = 'PRO'
           and FILCOD = cFilMat;
        --  buscando a FK da TD_GRA para o TT_PRO.CODGRA
        --  esta informação também é utilizada para definir o TT_GRA.CODCOR e TT_GRA.CODTAM
        select min(DGRA.CODTAB)
          into iCodGra
          from TD_GRA DGRA
         where DGRA.CODTAB >= 0
           and DGRA.GRAATI = 'T';
        --  buscando as PKs e UKs da TT_GRA
        --  iCodCor
        select min(DIV.CODITE)
          into iCodCor
          from TT_DIV DIV
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and DIV.CODDIV = DGRA.CODDIV;
        --  iCodTam
        select min(SUB.CODITE)
          into iCodTam
          from TT_SUB SUB
         inner join TD_GRA DGRA
                 on DGRA.CODTAB = iCodGra
                and SUB.CODSUB = DGRA.CODSUB;
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
        
        cSeqGra := Lpad((SQGRA.NEXTVAL), 10, ' ');
                        --  criando um código único para TT_PRO.REFBAS
        iAux := to_number(Trim(cCodMat));
        loop
            vRefBas := cFilMat || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefBas
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefBas
              ) TAB;
            exit when iAux2 = 0;
            iAux := iAux + 1;
        end loop;
        --  criando um código único para TT_GRA.REFPRO
        iAux := 0;
        loop
            vRefPro := cFilMat || Trim(cCodMat) || to_char(iAux);
            select sum(TAB.QTD) as QTD
              into iAux2
              from (
                   select count(*) as QTD
                     from TT_PRO
                    where REFBAS = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_GRA
                    where REFPRO = vRefPro
                   union all
                   select count(*) as QTD
                     from TT_EAN
                    where CODEAN = vRefPro
              ) TAB;
            exit when iAux2 = 0 and vRefBas <> vRefPro;
            iAux := iAux + 1;
        end loop;
        --  buscando a PK para a TT_IUF
        select UFLOJA
          into cUF
          from TD_FIL
         where CODFIL = cFilMat;
        if  cUF is null
        or  cUF = '' then
            cUF := 'SC';
        end if;
        --  buscando a PK e FK para TT_PRE
        --  tive que fazer deste jeito porque a macro NEXTVAL_SELECT estava gerando erro de string...
        
        cSeqPre := Lpad((SQPRE.NEXTVAL), 10, ' ');
                        --  buscando a tabela padrão de VAREJO
        select CFG.FILPRE,
               CFG.CODPRE
          into cFilPre,
               iCodPre
          from TT_CFG CFG
               
         where ROWNUM = 1
                                      ;
        if  cFilPre is null
        or  iCodPre is null then
            cFilPre := cFilMat;
            select min(CODPRE)
              into iCodPre
              from TT_TPR
             where CODFIL = cFilPre;
        end if;
        --  insert em TT_PRO
        insert into TT_PRO (
               FILMAT, CODMAT, CONTRA, ATU_EM, VALCON, BRINDE, 
               CLASS1, CLASS2, CLASS3, CLASS4, CLSXYZ, CODGRA, 
               CODSAZ, ETIQUE, TIPPRO, UNIDAD, UNIFOR, DECIMA, 
               MONTAR, NUMEXT, REFBAS, RESIRR, CONTRO, CODCTR,
               ENTREG, RETCOF, SUGSER, BALSIM, VALEST, TIPDOC,
               ISEPIS, ICMFED, ARRTRU, IIPTPR, IMPKIT, CODRGC,
               USALOT, CLSABC, DESMAT, SIGNAT)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                'F',     -- CONTRA CHAR(1)     
                agora(),            -- ATU_EM Date(7)     
                1,                  -- VALCON Number(14,4)
                0,                  -- BRINDE Number(5)   
                (select min(CODTAB) from TD_CL1 where CL1ATI = 'T'), -- CLASS1 Number(5)
                (select min(CODTAB) from TD_CL2 where CL2ATI = 'T'), -- CLASS2 Number(5)      
                (select min(CODTAB) from TD_CL3 where CL3ATI = 'T'), -- CLASS3 Number(5)      
                (select min(CODTAB) from TD_CL4 where CL4ATI = 'T'), -- CLASS4 Number(5)      
                1,                  -- CLSXYZ Number(5)
                iCodGra,            -- CODGRA Number(5)
                0,                  -- CODSAZ Number(5)
                (select min(CODTAB) from TD_ETI where ETIATI = 'T'), -- ETIQUE Number(5)
                0,                  -- TIPPRO Number(5)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIDAD Number(5)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIFOR Number(5)
                'F',     -- DECIMA VARCHAR2(1)
                'F',     -- MONTAR VARCHAR2(1)
                'F',     -- NUMEXT VARCHAR2(1)
                vRefBas,            -- REFBAS VARCHAR2(15)
                0,                  -- RESIRR Number(5)
                'F',     -- CONTRO VARCHAR2(1)
                0,                  -- CODCTR Number(5)
                'F',     -- ENTREG VARCHAR2(1)
                'T',     -- RETCOF VARCHAR2(1)
                'F',     -- SUGSER VARCHAR2(1)
                'F',     -- BALSIM CHAR(1)
                'T',     -- VALEST VARCHAR2(1)
                'N',     -- TIPDOC CHAR(1)
                'F',     -- ISEPIS VARCHAR2(1)
                'F',     -- ICMFED VARCHAR2(1)
                'A',     -- ARRTRU CHAR(1)
                'T',     -- IIPTPR CHAR(1)
                'F',     -- IMPKIT VARCHAR2(1)
                '0',     -- CODRGC Number(5)
                'F',     -- USALOT VARCHAR2(1)
                1,                  -- CLSABC Number(5)
                'Produto Auxiliar uso interno', -- DESMAT VARCHAR2(30)
                0                   -- SIGNAT Number(5)
           from DUAL
        );
        --  insert em TT_GRA
        insert into TT_GRA (
               FILMAT, CODMAT, CODCOR, CODTAM, SEQUEN, UNIDAD,
               UNIFOR, VALCON, PROMOC, VOLUNI, REFPRO, FORLIN,
               PREPSI, ATU_EM, GRAATI, QTDMUL, CODFIS, USABON)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Number(5) DIV GRA.CODCOR=DIV.CODITE (+)
                iCodTam,            -- CODTAM Number(5) SUB GRA.CODTAM=SUB.CODITE (+)
                cSeqGra,            -- SEQUEN CHAR(10)
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIDAD Number(5) DMED
                (select min(CODTAB) from TD_MED where MEDATI = 'T'), -- UNIFOR Number(5) DMED
                1,                  -- VALCON Number(14,4)
                'F',     -- PROMOC VARCHAR2(1)
                'F',     -- VOLUNI VARCHAR2(1)
                vRefPro,            -- REFPRO VARCHAR2(20)
                'F',     -- FORLIN VARCHAR2(1)
                'T',     -- PREPSI VARCHAR2(1)
                agora(),            -- ATU_EM Date(7)
                'T',     -- GRAATI CHAR(1)
                0,                  -- QTDMUL Number(7,2)
                cFilMat || cCodMat || '-0-0', -- CODFIS VARCHAR2(60)
                'F'      -- USABON VARCHAR2(1)
           from DUAL
        );
        --  insert em TT_IUF
        insert into TT_IUF (
               FILMAT, CODMAT, ESTADO, RESICM, LUCSUB, SUBTRI,
               INSAGR, CALSUB, REGESP, PERSRV, ATU_EM, MVAVEN,
               MVAC07, MVAC12, FLGRED, REGESPIMP,      REDICM)
        (select cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                cUF,                -- ESTADO CHAR(2)
                0,                  -- RESICM Number(5)       
                0,                  -- LUCSUB Number(5)       
                '0',     -- SUBTRI CHAR(1)         
                'F',     -- INSAGR VARCHAR2(1)     
                'D',     -- CALSUB CHAR(1)         
                0,                  -- REGESP Number(1)       
                0,                  -- PERSRV Number(5,2)     
                agora(),            -- ATU_EM Date(7)         
                0,                  -- MVAVEN Number(14,4)    
                0,                  -- MVAC07 Number(14,4)    
                0,                  -- MVAC12 Number(14,4)    
                'C',     -- FLGRED VARCHAR2(1)     
                'F',     -- REGESPIMP VARCHAR2(1)  
                'T'      -- REDICM VARCHAR2(1)     
           from DUAL
        );
        --  insert em TT_PRE
        insert into TT_PRE (
               FILPRE, SEQUEN, CODPRE, FLGEST, FILMAT, CODMAT,
               CODCOR, CODTAM, CODMOE, ATU_EM, DATINC)
        (select cFilPre,            -- FILPRE CHAR(3)
                cSeqPre,            -- SEQUEN CHAR(10)
                iCodPre,            -- CODPRE Number(5)
                'T',     -- FLGEST CHAR(1)
                cFilMat,            -- FILMAT CHAR(3)
                cCodMat,            -- CODMAT CHAR(5)
                iCodCor,            -- CODCOR Number(5)
                iCodTam,            -- CODTAM Number(5)
                0,                  -- CODMOE Number(2)
                agora(),            -- ATU_EM Date(7)
                agora()             -- DATINC Date(7)
           from DUAL
        );
        --  update em TT_CFG
        UPDATE TT_CFG SET
          FILMAT_AUX = cFilMat,
          CODMAT_AUX = cCodMat,
          CODCOR_AUX = iCodCor,
          CODTAM_AUX = iCodTam;
    end if;
    --  retorno da função
    return 'OK';
END temp_cria_pro;
/

/*-- SEQ 0554 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0555 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0556 --*/
-- Tarefa 94625 --
ALTER TABLE TT_IUF DISABLE ALL TRIGGERS;


/*-- SEQ 0557 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRE DISABLE ALL TRIGGERS;


/*-- SEQ 0558 --*/
-- Tarefa 94625 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0559 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_cria_pro();
end;
/


/*-- SEQ 0560 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0561 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0562 --*/
-- Tarefa 94625 --
ALTER TABLE TT_IUF ENABLE ALL TRIGGERS;

/*-- SEQ 0563 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRE ENABLE ALL TRIGGERS;

/*-- SEQ 0564 --*/
-- Tarefa 94625 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0565 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION temp_cria_pro;


/*-- SEQ 0566 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 92689 --
ALTER TABLE TT_CLI DROP CONSTRAINT CK_CLI_REGRA;


-- Tarefa 95077 --
/*-- SEQ 0567 --*/
CREATE OR REPLACE FUNCTION temp_upd_pro 
RETURN VARCHAR2 IS
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX
      into cFilMat,
           cCodMat
      from TT_CFG CFG
           
     where ROWNUM = 1
                          ;
    --  update em TT_COD
    update TT_PRO
       set SIGNAT = 0
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and ( SIGNAT is null OR SIGNAT < 0 );
    --  retorno da função
    return 'OK';
END temp_upd_pro;
/

/*-- SEQ 0568 --*/
-- Tarefa 95077 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0569 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 95077 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := temp_upd_pro();
end;
/


/*-- SEQ 0570 --*/
-- Tarefa 95077 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0571 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 95077 --
DROP FUNCTION temp_upd_pro;


/*-- SEQ 0572 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 93786 --  
ALTER TABLE TT_MCF DROP CONSTRAINT CK_MCF_FLGCAN;  

/*-- SEQ 0573 --*/
-- Tarefa 93786 --
ALTER TABLE TT_MCF ADD CONSTRAINT CK_MCF_FLGCAN CHECK (FLGCAN IN ('S','N'));


/*-- SEQ 0574 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_CODFIL CHAR(3) ;


/*-- SEQ 0575 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_NFE ADD VEN_SEQUEN CHAR(10) ;


/*-- SEQ 0576 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_CODFIL CHAR(3) ;


/*-- SEQ 0577 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_SEQUEN CHAR(10) ;


/*-- SEQ 0578 --*/
-- Tarefa 94319 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_INF ADD IVE_NUMITE Number(5) ;


/*-- SEQ 0579 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_NFE ADD CONSTRAINT FK_NFE_VEN FOREIGN KEY (VEN_CODFIL,VEN_SEQUEN) REFERENCES TT_VEN (CODFIL,SEQUEN);

/*-- SEQ 0580 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_NFE_VEN ON TT_NFE (VEN_CODFIL,VEN_SEQUEN) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0581 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
ALTER TABLE TT_INF ADD CONSTRAINT FK_INF_IVE FOREIGN KEY (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) REFERENCES TT_IVE (CODFIL,SEQUEN,NUMITE);

/*-- SEQ 0582 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94319 --
CREATE INDEX I_FK_INF_IVE ON TT_INF (IVE_CODFIL,IVE_SEQUEN,IVE_NUMITE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0583 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_TIPNAT;

/*-- SEQ 0584 --*/
-- Tarefa 95239 --
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_TIPNAT CHECK (TIPNAT IN ('E','S','V','D','F','A','C','M','N','P','R','J','B','O'));	


/*-- SEQ 0585 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_HOST VARCHAR2(40) ;


/*-- SEQ 0586 --*/
-- Tarefa 93756 --
/*-- IGNORE ERRO --*/
ALTER TABLE GX_CFG ADD GX_CFGMIDDLEWARE_PORT Number(10) ;



/*-- SEQ 0587 --*/
-- Tarefa 95407 --
ALTER TABLE TW_COM_FIS MODIFY (NUMNOT VARCHAR2(9));


/*-- SEQ 0588 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB DISABLE ALL TRIGGERS;

                      
/*-- SEQ 0589 --*/
-- Tarefa 95294 --
DELETE FROM TT_JOB
 WHERE NOMJOB = 'JOB_GERACOMISSAODIARIA';
 
/*-- SEQ 0590 --*/
-- Tarefa 95294 --
ALTER TABLE TT_JOB ENABLE ALL TRIGGERS;                      


-- Tarefa 94625 --
/*-- SEQ 0591 --*/
CREATE OR REPLACE FUNCTION TmpUpdProAux 
RETURN VARCHAR2 IS
    cFilMat TT_PRE.FILMAT%TYPE;         --  PK base: char(3)
    cCodMat TT_PRE.CODMAT%TYPE;         --  PK base: char(5)
    iCodCor TT_GRA.CODCOR%TYPE;         --  PK TT_GRA: Number(5)
    iCodTam TT_GRA.CODTAM%TYPE;         --  PK TT_GRA: Number(5)
begin
    --  buscando o código do produto auxiliar no TT_CFG
    select CFG.FILMAT_AUX,
           CFG.CODMAT_AUX,
           CFG.CODCOR_AUX,
           CFG.CODTAM_AUX
      into cFilMat,
           cCodMat,
           iCodCor,
           iCodTam
      from TT_CFG CFG
           
     where ROWNUM = 1
                          ;
    --  atualizando o CODNCM em TT_PRO
    update TT_PRO
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODNCM is null;
    --  atualizando o CODNCM em TT_GRA
    update TT_GRA
       set CODNCM = '00'
     where FILMAT = cFilMat
       and CODMAT = cCodMat
       and CODCOR = iCodCor
       and CODTAM = iCodTam
       and CODNCM is null;
    --  retorno da função
    return 'OK';
END TmpUpdProAux;
/

/*-- SEQ 0592 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0593 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;


/*-- SEQ 0594 --*/
/*--IGNORE ERRO--*/ 
-- Tarefa 94625 --
declare
  cDummy VARCHAR2(100);
begin
  cDummy := TmpUpdProAux();
end;
/


/*-- SEQ 0595 --*/
-- Tarefa 94625 --
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;

/*-- SEQ 0596 --*/
-- Tarefa 94625 --
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0597 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 94625 --
DROP FUNCTION TmpUpdProAux;

