
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Tarefa 103195 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EDI ADD QTDMIN Number(13,4) ;


/*-- SEQ 0003 --*/
-- Tarefa 103195 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EDI ADD QTDMAX Number(13,4) ;


/*-- SEQ 0004 --*/
-- Tarefa 103195 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_EDI ADD VENPER Number(12,4) ;



/*-- SEQ 0005 --*/
-- Tarefa 103197 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0006 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_CFG ADD DISPOR VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0007 --*/
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;

/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103197 --
ALTER TABLE TT_CFG ADD CONSTRAINT CK_CFG_DISPOR CHECK (DISPOR IN ('T','F'));

/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103197 --
ALTER TABLE TT_CFG MODIFY (DISPOR CONSTRAINT NN_CFG_DISPOR NOT NULL);


/*-- SEQ 0010 --*/
-- Tarefa 103197 --
ALTER TABLE TW_CFG DISABLE ALL TRIGGERS;

/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TW_CFG ADD DISPOR VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0012 --*/
ALTER TABLE TW_CFG ENABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103215 --
CREATE INDEX I_LC_IFO ON TT_IFO (FILMAT, CODMAT, FILFOR, CODFOR, UF_ORI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103215 --
CREATE INDEX I_LC_REF ON TT_REF (REFFOR, FILFOR, CODFOR) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0015 --*/
-- Tarefa 103217 --
/*-- IGNORE ERRO --*/
ALTER TABLE TD_FIL ADD SISDFE Number(1) ;


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103217 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_SISDFE CHECK ((SISDFE IS NULL) OR (SISDFE IN ('0','1')));


/*-- SEQ 0017 --*/
-- Tarefa 102061 --
ALTER TABLE TT_GRA MODIFY (PRECOM Number(14, 4));


/*-- SEQ 0018 --*/
-- Tarefa 103240  --
ALTER TABLE TT_IVE ADD BASFCP Number(14, 2) ;



/*-- SEQ 0019 --*/
-- Tarefa 103287  --
ALTER TABLE TT_CLI DISABLE ALL TRIGGERS;

/*-- SEQ 0020 --*/
ALTER TABLE TT_CLI ADD DENEGA Number(1) DEFAULT 1;

/*-- SEQ 0021 --*/
ALTER TABLE TT_CLI ENABLE ALL TRIGGERS;

/*-- SEQ 0022 --*/
-- Tarefa 103287 --
ALTER TABLE TT_CLI ADD CONSTRAINT CK_CLI_DENEGA CHECK (DENEGA IN (1, 2, 3));

/*-- SEQ 0023 --*/
-- Tarefa 103287 --
ALTER TABLE TT_CLI MODIFY (DENEGA CONSTRAINT NN_CLI_DENEGA NOT NULL);



/*-- SEQ 0024 --*/
-- Tarefa 103236  --
ALTER TABLE TT_VEN DROP CONSTRAINT CK_VEN_INDFRE;

/*-- SEQ 0025 --*/
-- Tarefa 103236  --
ALTER TABLE TT_VEN ADD CONSTRAINT CK_VEN_INDFRE CHECK (INDFRE IN (0, 1, 2, 3, 4, 9));


/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
insert into tt_fun (nomfun, datfun, atu_em) 
(select 'INTEG_AGRU'as nomfun,
        agora() as datfun,
		agora() as atu_em
   from td_fil
  where cgcfil='67331991000166'
);


/*-- SEQ 0027 --*/
-- Tarefa 102911 --
ALTER TABLE TT_USU DISABLE ALL TRIGGERS;


/*-- SEQ 0028 --*/
-- Tarefa 102911 --
ALTER TABLE TT_PAP DISABLE ALL TRIGGERS;


/*-- SEQ 0029 --*/
-- Tarefa 102911 --
UPDATE TT_USU SET PERMIS = SUBSTR(PERMIS,1,422)||'S'||SUBSTR(PERMIS,424,9999);

/*-- SEQ 0030 --*/
-- Tarefa 102911 --
UPDATE TT_PAP SET PERMIS = SUBSTR(PERMIS,1,422)||'S'||SUBSTR(PERMIS,424,9999);

/*-- SEQ 0031 --*/
-- Tarefa 102911 --
ALTER TABLE TT_USU ENABLE ALL TRIGGERS;

/*-- SEQ 0032 --*/
-- Tarefa 102911 --
ALTER TABLE TT_PAP ENABLE ALL TRIGGERS;


/*-- SEQ 0033 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103297 --
CREATE TABLE TMP_SAV_SEM_IOR AS
SELECT SAV.*
  FROM TT_SAV SAV LEFT JOIN TT_IOR IOR ON IOR.CODFIL = SAV.FILPED
                                      AND IOR.TIPPED = SAV.TIPPED
                                      AND IOR.NUMPED = SAV.NUMPED
                                      AND IOR.NUMITE = SAV.NUMITE
 WHERE SAV.FILPED IS NOT NULL
   AND IOR.CODFIL IS NULL;

/*-- SEQ 0034 --*/
-- Tarefa 103297  --
ALTER TABLE TT_SAV DISABLE ALL TRIGGERS;


/*-- SEQ 0035 --*/
-- Tarefa 103297  --
UPDATE TT_SAV
   SET NUMITE = NULL
 WHERE (CODFIL,SEQUEN) IN (SELECT CODFIL, SEQUEN FROM TMP_SAV_SEM_IOR);

/*-- SEQ 0036 --*/
-- Tarefa 103297  --
ALTER TABLE TT_SAV ENABLE ALL TRIGGERS;

/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103297 --
ALTER TABLE TT_SAV ADD CONSTRAINT FK_SAV_IOR FOREIGN KEY (FILPED,TIPPED,NUMPED,NUMITE) REFERENCES TT_IOR (CODFIL,TIPPED,NUMPED,NUMITE);


/*-- SEQ 0038 --*/
-- Tarefa 103332 --
ALTER TABLE TD_FIL DISABLE ALL TRIGGERS;

/*-- SEQ 0039 --*/
ALTER TABLE TD_FIL ADD CK4G_ITEMEMUNICALINHA VARCHAR2(1) DEFAULT 'T';

/*-- SEQ 0040 --*/
ALTER TABLE TD_FIL ENABLE ALL TRIGGERS;

/*-- SEQ 0041 --*/
-- Tarefa 103332 --
ALTER TABLE TD_FIL ADD CONSTRAINT CK_DFIL_CK4G_ITEMEMUNICALINHA CHECK (CK4G_ITEMEMUNICALINHA IN ('T','F'));

/*-- SEQ 0042 --*/
-- Tarefa 103332 --
ALTER TABLE TD_FIL MODIFY (CK4G_ITEMEMUNICALINHA CONSTRAINT NN_DFIL_CK4G_ITEMEMUNICALINHA NOT NULL);



/*-- SEQ 0043 --*/
-- Tarefa 103375 --
CREATE TABLE TD_OMI (
    CODTAB Number(5),
    DESOMI VARCHAR2(100),
    OMIATI VARCHAR2(1),
    OMILIS VARCHAR2(200),
    OMIRES VARCHAR2(200),
    OMICON VARCHAR2(200),
    OMIFIL CHAR(3)   
  ) TABLESPACE TOTALL_DATA;
  
/*-- SEQ 0044 --*/ 
-- Tarefa 103375 --
ALTER TABLE TD_OMI ADD CONSTRAINT PK_DOMI PRIMARY KEY (CODTAB);

/*-- SEQ 0045 --*/
-- Tarefa 103375 --
ALTER TABLE TD_OMI ADD CONSTRAINT FK_DOMI_DFIL FOREIGN KEY (OMIFIL) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0046 --*/
-- Tarefa 103375 --
CREATE INDEX I_LC_DOMI_DESOMI ON TD_OMI (DESOMI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0047 --*/
-- Tarefa 103375 --
ALTER TABLE TD_OMI ADD CONSTRAINT CK_DOMI_OMIATI CHECK (OMIATI IN ('F','T'));

/*-- SEQ 0048 --*/
-- Tarefa 103375 --
ALTER TABLE TD_OMI MODIFY (DESOMI CONSTRAINT NN_DOMI_DESOMI NOT NULL);


/*-- SEQ 0049 --*/
-- Tarefa 103375 --
ALTER TABLE TD_OMI MODIFY (OMIATI DEFAULT 'T');

/*-- SEQ 0050 --*/
-- Tarefa 103375 --
ALTER TABLE TD_OMI MODIFY (OMIATI CONSTRAINT NN_DOMI_OMIATI NOT NULL);


/*-- SEQ 0051 --*/
-- Tarefa 103375 --
ALTER TABLE TW_TAB ADD DESOMI VARCHAR2(100) ;


/*-- SEQ 0052 --*/
-- Tarefa 103375 --
ALTER TABLE TW_TAB ADD OMIATI VARCHAR2(1) ;


/*-- SEQ 0053 --*/
-- Tarefa 103375 --
ALTER TABLE TW_TAB ADD OMILIS VARCHAR2(200) ;


/*-- SEQ 0054 --*/
-- Tarefa 103375 --
ALTER TABLE TW_TAB ADD OMIRES VARCHAR2(200) ;


/*-- SEQ 0055 --*/
-- Tarefa 103375 --
ALTER TABLE TW_TAB ADD OMICON VARCHAR2(200) ;


/*-- SEQ 0056 --*/
-- Tarefa 103375 --
ALTER TABLE TW_TAB ADD OMIFIL CHAR(3) ;





/*-- SEQ 0057 --*/
-- Tarefa 103391 --
CREATE TABLE TT_PCS (
    ID_PCS Number(14,0),
    DATINC Date,
    ATU_EM Date,
    PCSATI VARCHAR2(1) DEFAULT 'T',
    NOMPCS VARCHAR2(20),
    DESPCS VARCHAR2(100),
    TIPPCS VARCHAR2(1),
    PCSGER VARCHAR2(1) DEFAULT 'F',
    PCSFIL VARCHAR2(1) DEFAULT 'F',
    PCSECF VARCHAR2(1) DEFAULT 'F',
    PCSSER VARCHAR2(1) DEFAULT 'F') TABLESPACE TOTALL_DATA;

/*-- SEQ 0058 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT PK_PCS PRIMARY KEY (ID_PCS);

/*-- SEQ 0059 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_PCSGER ON TT_PCS (PCSGER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0060 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_PCSFIL ON TT_PCS (PCSFIL) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0061 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_PCSECF ON TT_PCS (PCSECF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0062 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_PCSSER ON TT_PCS (PCSSER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0063 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_NOMPCS ON TT_PCS (NOMPCS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0064 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_DATINC ON TT_PCS (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0065 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_ATU_EM ON TT_PCS (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0066 --*/
-- Tarefa 103391 --
CREATE INDEX I_LC_PCS_PCSATI ON TT_PCS (PCSATI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0067 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT CK_PCS_TIPPCS CHECK (TIPPCS IN ('T','N','I','B','D'));

/*-- SEQ 0068 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT CK_PCS_PCSGER CHECK (PCSGER IN ('T','F'));

/*-- SEQ 0069 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT CK_PCS_PCSFIL CHECK (PCSFIL IN ('T','F'));

/*-- SEQ 0070 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT CK_PCS_PCSECF CHECK (PCSECF IN ('T','F'));

/*-- SEQ 0071 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT CK_PCS_PCSSER CHECK (PCSSER IN ('T','F'));

/*-- SEQ 0072 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT CK_PCS_PCSATI CHECK (PCSATI IN ('T','F'));

/*-- SEQ 0073 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS ADD CONSTRAINT CK_PCS_REGRA CHECK ((PCSGER = 'T') OR (PCSFIL = 'T') OR (PCSECF = 'T') OR (PCSSER = 'T'));

/*-- SEQ 0074 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (DATINC CONSTRAINT NN_PCS_DATINC NOT NULL);


/*-- SEQ 0075 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (ATU_EM CONSTRAINT NN_PCS_ATU_EM NOT NULL);


/*-- SEQ 0076 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (PCSATI CONSTRAINT NN_PCS_PCSATI NOT NULL);


/*-- SEQ 0077 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (NOMPCS CONSTRAINT NN_PCS_NOMPCS NOT NULL);


/*-- SEQ 0078 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (DESPCS CONSTRAINT NN_PCS_DESPCS NOT NULL);


/*-- SEQ 0079 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (TIPPCS CONSTRAINT NN_PCS_TIPPCS NOT NULL);


/*-- SEQ 0080 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (PCSGER CONSTRAINT NN_PCS_PCSGER NOT NULL);


/*-- SEQ 0081 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (PCSFIL CONSTRAINT NN_PCS_PCSFIL NOT NULL);


/*-- SEQ 0082 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (PCSECF CONSTRAINT NN_PCS_PCSECF NOT NULL);


/*-- SEQ 0083 --*/
-- Tarefa 103391 --
ALTER TABLE TT_PCS MODIFY (PCSSER CONSTRAINT NN_PCS_PCSSER NOT NULL);


/*-- SEQ 0084 --*/
-- Tarefa 103391 --
CREATE SEQUENCE SQPCS INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0085 --*/
-- Tarefa 103375 --
CREATE INDEX I_FK_DOMI_FIL ON TD_OMI (OMIFIL) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0086 --*/
-- Tarefa 103393 --
CREATE TABLE TT_IPC (
    ID_IPC Number(14,0),
    ID_PCS Number(14,0),
    DATINC Date,
    ATU_EM Date,
    IPCATI VARCHAR2(1) DEFAULT 'T',
    VLRNUM Number(16,4),
    VLRINT Number(10,0),
    VLRTXT VARCHAR2(100),
    VLRBOO VARCHAR2(1),
    VLRDAT Date,
    FILIPC CHAR(3),
    FILECF CHAR(3),
    NUMECF CHAR(3),
    CODSER CHAR(2)) TABLESPACE TOTALL_DATA;

/*-- SEQ 0087 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC ADD CONSTRAINT PK_IPC PRIMARY KEY (ID_IPC);

/*-- SEQ 0088 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC ADD CONSTRAINT FK_IPC_PCS FOREIGN KEY (ID_PCS) REFERENCES TT_PCS (ID_PCS);

/*-- SEQ 0089 --*/
-- Tarefa 103393 --
CREATE INDEX I_FK_IPC_PCS ON TT_IPC (ID_PCS) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0090 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC ADD CONSTRAINT FK_IPC_DFIL FOREIGN KEY (FILIPC) REFERENCES TD_FIL (CODFIL);

/*-- SEQ 0091 --*/
-- Tarefa 103393 --
CREATE INDEX I_FK_IPC_DFIL ON TT_IPC (FILIPC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0092 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC ADD CONSTRAINT FK_IPC_DECF FOREIGN KEY (FILECF,NUMECF) REFERENCES TD_ECF (FILECF,NUMECF);

/*-- SEQ 0093 --*/
-- Tarefa 103393 --
CREATE INDEX I_FK_IPC_DECF ON TT_IPC (FILECF,NUMECF) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0094 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC ADD CONSTRAINT FK_IPC_DSER FOREIGN KEY (CODSER) REFERENCES TD_SER (CODSER);

/*-- SEQ 0095 --*/
-- Tarefa 103393 --
CREATE INDEX I_FK_IPC_DSER ON TT_IPC (CODSER) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0096 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_DATINC ON TT_IPC (DATINC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0097 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_ATU_EM ON TT_IPC (ATU_EM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0098 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_VLRNUM ON TT_IPC (VLRNUM) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0099 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_VLRINT ON TT_IPC (VLRINT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0100 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_VLRTXT ON TT_IPC (VLRTXT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0101 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_VLRBOO ON TT_IPC (VLRBOO) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0102 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_VLRDAT ON TT_IPC (VLRDAT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0103 --*/
-- Tarefa 103393 --
CREATE INDEX I_LC_IPC_IPCATI ON TT_IPC (IPCATI) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0104 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC ADD CONSTRAINT CK_IPC_VLRBOO CHECK (VLRBOO IN ('T','F'));

/*-- SEQ 0105 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC ADD CONSTRAINT CK_IPC_IPCATI CHECK (IPCATI IN ('T','F'));

/*-- SEQ 0106 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC MODIFY (ID_PCS CONSTRAINT NN_IPC_ID_PCS NOT NULL);


/*-- SEQ 0107 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC MODIFY (IPCATI CONSTRAINT NN_IPC_IPCATI NOT NULL);


/*-- SEQ 0108 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC MODIFY (DATINC CONSTRAINT NN_IPC_DATINC NOT NULL);


/*-- SEQ 0109 --*/
-- Tarefa 103393 --
ALTER TABLE TT_IPC MODIFY (ATU_EM CONSTRAINT NN_IPC_ATU_EM NOT NULL);


/*-- SEQ 0110 --*/
-- Tarefa 103393 --
CREATE SEQUENCE SQIPC INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;


/*-- SEQ 0111 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103410 --
SELECT * FROM NADA;


/*-- SEQ 0112 --*/
-- Tarefa 103410 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0113 --*/
-- Tarefa 103410 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'COMPRAS_SEM_LOTE', 'Permite registro de compras sem lote?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'COMPRAS_SEM_LOTE'));

/*-- SEQ 0114 --*/
-- Tarefa 103410 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0115 --*/
-- Tarefa 103498 --
ALTER TABLE TW_TAB MODIFY (DESCFO VARCHAR2(40));


/*-- SEQ 0116 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103505 --
DROP INDEX I_UQ_CPM_PRE_PLA;

/*-- SEQ 0117 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103505 --
CREATE INDEX I_LC_CPM_PRE_PLA ON TT_CPM (FILPRE, SEQPRE, FILPGT, CODPGT, DATINI, DATVAL, FILPRO, FILLOT, SEQLOT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0118 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
SELECT * FROM NADA;

/*-- SEQ 0119 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
SELECT * FROM NADA;

/*-- SEQ 0120 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
SELECT * FROM NADA;

/*-- SEQ 0121 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
SELECT * FROM NADA;


/*-- SEQ 0122 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
SELECT * FROM NADA;

/*-- SEQ 0123 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
SELECT * FROM NADA;


/*-- SEQ 0124 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
DROP INDEX I_FK_LPED_PED;

/*-- SEQ 0125 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED DROP CONSTRAINT FK_LPED_PED;

/*-- SEQ 0126 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED ADD NUMPED_TMP CHAR(8) ;


/*-- SEQ 0127 --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED DISABLE ALL TRIGGERS;


/*-- SEQ 0128 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
UPDATE TL_PED  
   SET NUMPED_TMP = LPAD(TRIM(NUMPED), 8, ' ');

/*-- SEQ 0129 --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED ENABLE ALL TRIGGERS;

/*-- SEQ 0130 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED DROP COLUMN NUMPED;

/*-- SEQ 0131 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED RENAME COLUMN NUMPED_TMP TO NUMPED;

/*-- SEQ 0132 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED ADD CONSTRAINT FK_LPED_PED FOREIGN KEY (FILPED, NUMPED) REFERENCES TT_PED (CODFIL, NUMPED);

/*-- SEQ 0133 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
CREATE INDEX I_FK_LPED_PED ON TL_PED (FILPED, NUMPED) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0134 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
ALTER TABLE TL_PED ADD CONSTRAINT FK_LPED_USU FOREIGN KEY (FILUSU, CODUSU) REFERENCES TT_USU (FILUSU, CODUSU);

/*-- SEQ 0135 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103559 --
CREATE INDEX I_FK_LPED_USU ON TL_PED (FILUSU, CODUSU) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0136 --*/
-- Tarefa 103706 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0137 --*/
-- Tarefa 103706 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PRO_INATIVO_DAV', 'Desmarcar Itens de DAV com Produto Inativo', 'B', 'T', 'T', 'T', 'T'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRO_INATIVO_DAV'));

/*-- SEQ 0138 --*/
-- Tarefa 103706 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0139 --*/
-- Tarefa 103698 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0140 --*/
-- Tarefa 103698 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'ALI_ESP_CONTRIB', 'Alquota Especial para Contribuintes', 'N', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'ALI_ESP_CONTRIB'));

/*-- SEQ 0141 --*/
-- Tarefa 103698 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0142 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103614 --
CREATE SEQUENCE SQNFE INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0143 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103614 --
CREATE OR REPLACE FUNCTION SET_SEQUENCE (pTABELA IN VARCHAR2 ,
                                    pCOLUNA IN VARCHAR2 ,
                                    pSEQUENCE IN VARCHAR2 )
RETURN VARCHAR2 IS
-- Variveis
   iSEQUEN                       Number(10);
   cSQL                          VARCHAR2(254);
   
   iSEQATU                       Number(10);
BEGIN
-- Processo
   cSQL := 'SELECT COALESCE(MAX(' || pCOLUNA || '),0) FROM ' || pTABELA;
   
   EXECUTE IMMEDIATE cSQL INTO iSEQUEN;
   -- Pegar o prxima valor do sequenciador
   cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
   EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   
   -- Zerar o valor do sequenciador
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY -' || TO_CHAR(iSEQATU) || ' MINVALUE 0';
   EXECUTE IMMEDIATE cSQL;
   cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
   EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   
   -- Incrementar com o MAX da tabela
   IF (iSEQUEN > 0) THEN
      cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY ' || TO_CHAR(iSEQUEN) || ' MINVALUE 0';
      EXECUTE IMMEDIATE cSQL;
      cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
      EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   END IF;
   -- Volta o valor original
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY 1 MINVALUE 0';
   EXECUTE IMMEDIATE cSQL;
         
   RETURN 'OK';
END SET_SEQUENCE;
/

/*-- SEQ 0144 --*/
declare
  cDummy VARCHAR2(100);
begin
  cDummy := SET_SEQUENCE('TT_NFE', 'NFE_ID_DOC', 'SQNFE');
end;
/

/*-- SEQ 0145 --*/
DROP FUNCTION SET_SEQUENCE;


/*-- SEQ 0146 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103614 --
CREATE SEQUENCE SQINF INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0147 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103614 --
CREATE OR REPLACE FUNCTION SET_SEQUENCE (pTABELA IN VARCHAR2 ,
                                    pCOLUNA IN VARCHAR2 ,
                                    pSEQUENCE IN VARCHAR2 )
RETURN VARCHAR2 IS
-- Variveis
   iSEQUEN                       Number(10);
   cSQL                          VARCHAR2(254);
   
   iSEQATU                       Number(10);
BEGIN
-- Processo
   cSQL := 'SELECT COALESCE(MAX(' || pCOLUNA || '),0) FROM ' || pTABELA;
   
   EXECUTE IMMEDIATE cSQL INTO iSEQUEN;
   -- Pegar o prxima valor do sequenciador
   cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
   EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   
   -- Zerar o valor do sequenciador
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY -' || TO_CHAR(iSEQATU) || ' MINVALUE 0';
   EXECUTE IMMEDIATE cSQL;
   cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
   EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   
   -- Incrementar com o MAX da tabela
   IF (iSEQUEN > 0) THEN
      cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY ' || TO_CHAR(iSEQUEN) || ' MINVALUE 0';
      EXECUTE IMMEDIATE cSQL;
      cSQL := 'SELECT ' || pSEQUENCE || '.nextval FROM DUAL';
      EXECUTE IMMEDIATE cSQL INTO iSEQATU;
   END IF;
   -- Volta o valor original
   cSQL := 'ALTER SEQUENCE ' || pSEQUENCE || ' INCREMENT BY 1 MINVALUE 0';
   EXECUTE IMMEDIATE cSQL;
         
   RETURN 'OK';
END SET_SEQUENCE;
/

/*-- SEQ 0148 --*/
declare
  cDummy VARCHAR2(100);
begin
  cDummy := SET_SEQUENCE('TT_INF', 'INF_ID_ITEM', 'SQINF');
end;
/

/*-- SEQ 0149 --*/
DROP FUNCTION SET_SEQUENCE;



/*-- SEQ 0150 --*/
-- Tarefa 103652 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0151 --*/
-- Tarefa 103652 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'TROCA_NATURE_ORC', 'Permitir troca de Natureza para Oramento', 'B', 'T', 'T', 'T', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'TROCA_NATURE_ORC'));

/*-- SEQ 0152 --*/
-- Tarefa 103652 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0153 --*/
-- Tarefa 103748 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0154 --*/
-- Tarefa 103748 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'NOSNUM_FMT', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'NOSNUM_FMT'));

/*-- SEQ 0155 --*/
-- Tarefa 103748 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0156 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 103736 --
ALTER TABLE TI_COM ADD CHAVEA VARCHAR2(44) ;



/*-- SEQ 0157 --*/
-- Tarefa 103811 --
ALTER TABLE TT_COM DISABLE ALL TRIGGERS;


/*-- SEQ 0158 --*/
-- Tarefa 103811 --
UPDATE TT_COM SET FLGEST='Q'
 WHERE TIPNOT='N'
   AND NOTESP='T'
   AND FLGEST='A';

/*-- SEQ 0159 --*/
-- Tarefa 103811 --
ALTER TABLE TT_COM ENABLE ALL TRIGGERS;


/*-- SEQ 0160 --*/
-- Tarefa 103878 --
ALTER TABLE TT_CFG DISABLE ALL TRIGGERS;


/*-- SEQ 0161 --*/
-- Tarefa 103878 --
UPDATE TT_CFG
   SET CHECKOUT_VERMIN = '5.5B',
       CHECKOUT_RELMIN = 14;

/*-- SEQ 0162 --*/
-- Tarefa 103878 --
ALTER TABLE TT_CFG ENABLE ALL TRIGGERS;


