
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 00000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2020034673 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0003 --*/
-- Ticket 2020034673 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VALIDA_FINANCEIRO', 'Realiza validao financeira ao selecionar cliente na venda no Totall POS e Totall Order Web?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDA_FINANCEIRO'));

/*-- SEQ 0004 --*/
-- Ticket 2020034673 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0005 --*/
-- Ticket 2020065119 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Ticket 2020065119 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DESATIVAR_CARGA_DAV', 'Desativar a carga incremental no resgate de DAV do Checkout', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESATIVAR_CARGA_DAV'));

/*-- SEQ 0007 --*/
-- Ticket 2020065119 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0008 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD PERDIF Number(5,2) ;


/*-- SEQ 0009 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD ALIDIF Number(5,2) ;


/*-- SEQ 0010 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD REGDIF CHAR(1) ;


/*-- SEQ 0011 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_00 VARCHAR2(10) ;


/*-- SEQ 0012 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_10 VARCHAR2(10) ;


/*-- SEQ 0013 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_20 VARCHAR2(10) ;


/*-- SEQ 0014 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_30 VARCHAR2(10) ;


/*-- SEQ 0015 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_40 VARCHAR2(10) ;


/*-- SEQ 0016 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_41 VARCHAR2(10) ;


/*-- SEQ 0017 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_50 VARCHAR2(10) ;


/*-- SEQ 0018 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_51 VARCHAR2(10) ;


/*-- SEQ 0019 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_60 VARCHAR2(10) ;


/*-- SEQ 0020 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_70 VARCHAR2(10) ;


/*-- SEQ 0021 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020064779 --
ALTER TABLE TI_PRO ADD CODBEN_90 VARCHAR2(10) ;



/*-- SEQ 0022 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_RDV DROP CONSTRAINT CK_RDV_TIPRDV;

/*-- SEQ 0023 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
DROP INDEX I_UQ_RDV;


/*-- SEQ 0024 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_GRA DISABLE ALL TRIGGERS;

/*-- SEQ 0025 --*/
ALTER TABLE TT_GRA ADD SKYHUB VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0026 --*/
ALTER TABLE TT_GRA ENABLE ALL TRIGGERS;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC MODIFY (NUMPED_RE VARCHAR2(20));



/*-- SEQ 0028 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
CREATE TABLE TT_ORC_ECO (
  ORCECO_ID Number(10),
  FILORC CHAR(3) NOT NULL,
  TIPORC CHAR(1) NOT NULL,
  NUMORC CHAR(8) NOT NULL,
  FLGECO CHAR(1) NOT NULL,
  DATOPE Date NOT NULL) TABLESPACE TOTALL_DATA;

/*-- SEQ 0029 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD CONSTRAINT PK_ORC_ECO PRIMARY KEY (ORCECO_ID);

/*-- SEQ 0030 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
CREATE SEQUENCE SQORCECO INCREMENT BY 1 START WITH 1 NOMAXVALUE MINVALUE 1 NOCACHE ORDER;

/*-- SEQ 0031 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD CONSTRAINT FK_ORC_ECO_ORC FOREIGN KEY (FILORC, TIPORC, NUMORC) REFERENCES TT_ORC (CODFIL, TIPPED, NUMPED);

/*-- SEQ 0032 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
CREATE INDEX I_FK_ORC_ECO_ORC ON TT_ORC_ECO (FILORC, TIPORC, NUMORC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0033 --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO DISABLE ALL TRIGGERS;

/*-- SEQ 0034 --*/
/*-- IGNORE ERRO --*/
ALTER TABLE TT_ORC_ECO ADD EXPORT VARCHAR2(1) DEFAULT 'F';

/*-- SEQ 0035 --*/
ALTER TABLE TT_ORC_ECO ENABLE ALL TRIGGERS;

/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO MODIFY (EXPORT CONSTRAINT NN_ORC_ECO_EXPORT NOT NULL);


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD CONSTRAINT CK_ORC_ECO_EXPORT CHECK (EXPORT IN ('T','F'));

/*-- SEQ 0038 --*/
-- Tarefa 2020039546 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXP_PRO_SKYHUB', NULL AS DATINI, NULL AS DATFIM, AGORA() AS ATU_EM 
      FROM DUAL
     WHERE NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXP_PRO_SKYHUB')
	   );

/*-- SEQ 0039 --*/
-- Tarefa 2020039546 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXP_PRE_SKYHUB', NULL AS DATINI, NULL AS DATFIM, AGORA() AS ATU_EM 
      FROM DUAL
     WHERE NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXP_PRE_SKYHUB')
	   );

/*-- SEQ 0040 --*/
-- Tarefa 2020039546 --
INSERT INTO TT_ATU (ID_ATU, DESATU, DATINI, DATFIM, ATU_EM) (
    SELECT (SELECT MAX(LATU.ID_ATU)+1 FROM TT_ATU LATU), 'EXP_SAL_SKYHUB', NULL AS DATINI, NULL AS DATFIM, AGORA() AS ATU_EM 
      FROM DUAL
     WHERE NOT EXISTS(SELECT 1 AS OK FROM TT_ATU LATU WHERE LATU.DESATU = 'EXP_SAL_SKYHUB')
	   );





/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD DATINC Date ;


/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO ADD OBSERV LONG ;


/*-- SEQ 0043 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC_ECO MODIFY (DATINC CONSTRAINT NN_ORC_ECO_DATINC NOT NULL);


/*-- SEQ 0044 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC ADD CODRAS VARCHAR2(40) ;


/*-- SEQ 0045 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC ADD METENT VARCHAR2(40) ;


/*-- SEQ 0046 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2020039546 --
ALTER TABLE TT_ORC ADD URLENT VARCHAR2(200) ;



/*-- SEQ 0047 --*/
-- Ticket 2020072036 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0048 --*/
-- Ticket 2020072036 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NUM_CHR_PREF_CL_ECOM', 'Nmero de caracteres de prefixo da classe de produto para E-Commerce.', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_CHR_PREF_CL_ECOM'));

/*-- SEQ 0049 --*/
-- Ticket 2020072036 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0050 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0051 --*/
-- Ticket 2020070926 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '34011190',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '34011190' ));

/*-- SEQ 0052 --*/
-- Ticket 2020070926 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '19059090',
        'Outros',
        8,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '19059090' ));

/*-- SEQ 0053 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0054 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CES DISABLE ALL TRIGGERS;


/*-- SEQ 0055 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2003401',
        'Lenos umedecidos',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2003401'));

/*-- SEQ 0056 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '1703101',
        'Salgadinhos diversos, derivados de farinha de trigo',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '1703101'));

/*-- SEQ 0057 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CES ENABLE ALL TRIGGERS;

/*-- SEQ 0058 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CESXNCM DISABLE ALL TRIGGERS;


/*-- SEQ 0059 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2003401',
        '34011190',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2003401'
                       AND CODNCM = '34011190' ));

/*-- SEQ 0060 --*/
-- Ticket 2020070926 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '1703101',
        '19059090',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '1703101'
                       AND CODNCM = '19059090' ));

/*-- SEQ 0061 --*/
-- Ticket 2020070926 --
ALTER TABLE TT_CESXNCM ENABLE ALL TRIGGERS;


/*-- SEQ 0062 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0063 --*/
-- Ticket 2020072007 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OBRIGAR_CLI_CAD_DEV', 'Obrigar cliente cadastrado na devolução pelo Totall POS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OBRIGAR_CLI_CAD_DEV'));

/*-- SEQ 0064 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0065 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_IPC DISABLE ALL TRIGGERS;


/*-- SEQ 0066 --*/
-- Ticket 2020072007 --
INSERT INTO TT_IPC (ID_IPC, DATINC, ATU_EM, IPCATI, ID_PCS, VLRBOO)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'T', PCS.ID_PCS, 'T'
  FROM TT_PCS PCS
 WHERE PCS.NOMPCS = 'OBRIGAR_CLI_CAD_DEV'
   AND NOT EXISTS(SELECT 1 AS OK FROM TT_IPC IPC WHERE IPC.ID_PCS = PCS.ID_PCS ));

/*-- SEQ 0067 --*/
-- Ticket 2020072007 --
ALTER TABLE TT_IPC ENABLE ALL TRIGGERS;


/*-- SEQ 0068 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2019121889-2020043660 --
ALTER TABLE TT_ORC MODIFY (NUMPED_RE VARCHAR2(40));

/*-- SEQ 0069 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2019121889-2020043660 --
ALTER TABLE TT_ORC DROP CONSTRAINT CK_ORC_FLGECO;

/*-- SEQ 0070 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2019121889-2020043660 --
ALTER TABLE TT_ORC ADD CONSTRAINT CK_ORC_FLGECO CHECK (FLGECO IN ('T','R','P','F','E','N','C','O','V'));




/*-- SEQ 0071 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD REDCON Number(7,4) ;


/*-- SEQ 0072 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2020077751 --
ALTER TABLE TI_PRO ADD APLCON VARCHAR2(1) ;


