
/*-- SEQ 0001 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 0000000000 --
SELECT * FROM NADA;


/*-- SEQ 0002 --*/
-- Ticket 2022046852 --
/*-- IGNORE ERRO --*/
ALTER TABLE TT_TPR ADD USAICMESP CHAR(1) ;



/*-- SEQ 0003 --*/
-- Ticket 2022052632 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0004 --*/
-- Ticket 2022052632 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DESC_REG_ALIQICMS', 'Desconsiderar regra de preenchimento da Alquota ICMS Interestadual na Formao do Preo Simulado?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESC_REG_ALIQICMS'));

/*-- SEQ 0005 --*/
-- Ticket 2022052632 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0006 --*/
-- Ticket 2022060820--
ALTER TABLE TT_PRO DISABLE ALL TRIGGERS;


/*-- SEQ 0007 --*/
-- Ticket 2022060820--
UPDATE TT_PRO
   SET CODCES = NULL
 WHERE CODCES IS NOT NULL
   AND CODCES NOT IN (SELECT CODCES
                        FROM TT_CESXNCM
                       WHERE CODNCM = TT_PRO.CODNCM 
                      UNION ALL
                      SELECT CODCES
                        FROM TT_CESXNCM
                       WHERE CODNCM = '*');

/*-- SEQ 0008 --*/
-- Ticket 2022060820--
ALTER TABLE TT_PRO ENABLE ALL TRIGGERS;


/*-- SEQ 0009 --*/
-- Ticket 2022056211 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0010 --*/
-- Ticket 2022056211 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DECRETO_7212_ART_5', 'Filial se enquadra como Restaurantes, Bares, Sorveterias, Confeitarias, Padarias ou Quitandas?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DECRETO_7212_ART_5'));

/*-- SEQ 0011 --*/
-- Ticket 2022056211 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0012 --*/
-- Ticket 2022046852 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0013 --*/
-- Ticket 2022046852 --
UPDATE TT_PCS SET 
      PCSATI = 'F'
 WHERE NOMPCS = 'USA_ICMS_ESPECIFICO';

/*-- SEQ 0014 --*/
-- Ticket 2022046852 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DESC_ST_PROD_FIL_SUB', 'Desconsiderar clculo do ST antecipado para produtos tributrios na compra em Filial substituta?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DESC_ST_PROD_FIL_SUB'));

/*-- SEQ 0015 --*/
-- Ticket 2022046852 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0016 --*/
-- Ticket 2022031459--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_CST_ST;

/*-- SEQ 0017 --*/
-- Ticket 2022031459--
/*-- IGNORE ERRO --*/
ALTER TABLE TD_NAT DROP CONSTRAINT CK_DNAT_CSTNOR;

/*-- SEQ 0018 --*/
-- Ticket 2022031459--
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CST_ST CHECK ((CST_ST IN ('40', '41', '50', '51', '90')) OR (CST_ST IS NULL));

/*-- SEQ 0019 --*/
-- Ticket 2022031459--
ALTER TABLE TD_NAT ADD CONSTRAINT CK_DNAT_CSTNOR CHECK ((CSTNOR IN ('40', '41', '50', '51', '90')) OR (CSTNOR IS NULL));


/*-- SEQ 0020 --*/
-- Ticket 2022021374 --
ALTER TABLE TT_ICO ADD PERICMANT Number(7, 4) ;


/*-- SEQ 0021 --*/
-- Ticket 2022021374 --
ALTER TABLE TT_ICO ADD VLRICMANT Number(12, 2) ;


/*-- SEQ 0022 --*/
-- Ticket 2022021374 --
ALTER TABLE TT_COM ADD TOTICMANT Number(12, 2) ;



/*-- SEQ 0023 --*/
-- Ticket 2022056211 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0024 --*/
-- Ticket 2022056211 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DECRETO_7212_ART_5', 'Filial se enquadra como Restaurantes, Bares, Sorveterias, Confeitarias, Padarias ou Quitandas?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DECRETO_7212_ART_5'));

/*-- SEQ 0025 --*/
-- Ticket 2022056211 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0026 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022022839 --
DROP INDEX I_LC_DOCTO_DEPCHE;

/*-- SEQ 0027 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2022022839 --
DROP INDEX I_LC_DATDOC_DEPCHE;

/*-- SEQ 0028 --*/
-- Ticket 2022022839 --
CREATE INDEX I_LC_DOCTO_DEPCHE ON TT_CHR (CODFIL,CODBCO,CODAGE,NUMCON,NUMCHE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0029 --*/
-- Ticket 2022022839 --
CREATE INDEX I_LC_DATDOC_DEPCHE ON TT_CHR (DATVEN,CODFIL,CODBCO,CODAGE,NUMCON,NUMCHE) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0030 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0031 --*/
-- Ticket 2022035244 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'EXIBE_LUC_GRIDIOR', 'Apresenta no Grid de Itens do DAV Informaes de Lucratividade?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'EXIBE_LUC_GRIDIOR'));

/*-- SEQ 0032 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0033 --*/
-- Tarefa 2021106272 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0034 --*/
-- Tarefa 2021106272 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'NUM_MAX_PARC_DEPO_CC', 'Nmero mximo de parcelas no depsito em conta corrente', 'I', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'NUM_MAX_PARC_DEPO_CC'));

/*-- SEQ 0035 --*/
-- Tarefa 2021106272 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;




/*-- SEQ 0036 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket GES-2022012492 --
DROP TRIGGER TGTRA;


/*-- SEQ 0037 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD SERCFE CHAR(2) ;


/*-- SEQ 0038 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERCFE FOREIGN KEY (SERCFE) REFERENCES TD_SER (CODSER);

/*-- SEQ 0039 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
CREATE INDEX I_FK_DFIL_DSER_SERCFE ON TD_FIL (SERCFE) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0040 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD SERSAT CHAR(2) ;


/*-- SEQ 0041 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
ALTER TABLE TD_FIL ADD CONSTRAINT FK_DFIL_DSER_SERSAT FOREIGN KEY (SERSAT) REFERENCES TD_SER (CODSER);

/*-- SEQ 0042 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022060856 --
CREATE INDEX I_FK_DFIL_DSER_SERSAT ON TD_FIL (SERSAT) TABLESPACE TOTALL_INDEX;


/*-- SEQ 0043 --*/
-- Ticket GES-2021113635 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0044 --*/
-- Ticket GES-2021113635 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'CANC_DAV_NO_CANC_VEN', 'Cancelar a DAV ao cancelar a venda?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'CANC_DAV_NO_CANC_VEN'));

/*-- SEQ 0045 --*/
-- Ticket GES-2021113635 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0046 --*/
-- Ticket 2022077787 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0047 --*/
-- Ticket 2022077787--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VNDLOTEDNAPELOSALDO', 'Realizar a venda de Lote Individualizado (DNA) utilizando o saldo disponvel no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VNDLOTEDNAPELOSALDO'));
                     
/*-- SEQ 0048 --*/
-- Ticket 2022077787 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0049 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI DISABLE ALL TRIGGERS;


/*-- SEQ 0050 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI DROP CONSTRAINT CK_VEI_PLACAS;

/*-- SEQ 0051 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI ADD CONSTRAINT CK_VEI_PLACAS 
CHECK (
(NACION = 'F' AND UPPER(PLACAS) = PLACAS) 
OR ((ASCII(SUBSTR(PLACAS,1,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,2,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,3,1)) BETWEEN 65 AND 90) 
AND (ASCII(SUBSTR(PLACAS,4,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,5,1)) BETWEEN 48 AND 90) 
AND (ASCII(SUBSTR(PLACAS,6,1)) BETWEEN 48 AND 57) 
AND (ASCII(SUBSTR(PLACAS,7,1)) BETWEEN 48 AND 57)));

/*-- SEQ 0052 --*/
/*-- IGNORE ERRO --*/
-- Ticket 2021122533 --
ALTER TABLE TT_VEI ENABLE ALL TRIGGERS;


/*-- SEQ 0053 --*/
-- Ticket 2022048609 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0054 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS 
   SET DESPCS = 'Obrigar cliente cadastrado na devoluo pelo Totall POS?'
 WHERE NOMPCS = 'OBRIGAR_CLI_CAD_DEV';
 
/*-- SEQ 0055 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Exibe meio pgto como "Aberto" em parcela aberta que no seja "Boleto, Bnus, C/C, Carto, Cheque"?'
 WHERE NOMPCS = 'EXIBEMEIOCOMOABERTO';
 
/*-- SEQ 0056 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Tratar para enviar ou no o conceito de grade'
 WHERE NOMPCS = 'GRADE_E_COMMERCE';
 
/*-- SEQ 0057 --*/
-- Ticket 2022048609 --
UPDATE TT_PCS
   SET DESPCS = 'Srie Nota Fiscal especfica para uma Filial'
 WHERE NOMPCS = 'SERIE_NF_ECOMMERCE';

/*-- SEQ 0058 --*/
-- Ticket 2022048609 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0059 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0060 --*/
-- Ticket 2022056265 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'IMP_SEPARACAO_AUTO', 'Imprimir Ordem de Separao Automaticamente?', 'B', 'F', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'IMP_SEPARACAO_AUTO'));

/*-- SEQ 0061 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

/*-- SEQ 0062 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD FILLOT CHAR(3) ;


/*-- SEQ 0063 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD SEQLOT CHAR(10) ;


/*-- SEQ 0064 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022056265 --
ALTER TABLE TT_IVO ADD CONSTRAINT FK_IVO_LOT FOREIGN KEY (FILLOT, SEQLOT) REFERENCES TT_LOT (CODFIL, SEQUEN);

/*-- SEQ 0065 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022056265 --
CREATE INDEX I_FK_IVO_LOT ON TT_IVO (FILLOT, SEQLOT) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0066 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0067 --*/
-- Ticket 2022056265 --
INSERT INTO TT_FUN
(NOMFUN, DATFUN, ATU_EM)
(SELECT 'LOTESEPARA', AGORA(), AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_FUN
                     WHERE NOMFUN = 'LOTESEPARA'));

/*-- SEQ 0068 --*/
-- Ticket 2022056265 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0069 --*/
-- Ticket 20220510205 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0070 --*/
-- Ticket 20220510205--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OCULTASELFILBUSCADAV', 'Ocultar Seleo de Filial na Pesquisa de DAV/Pr-Venda no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTASELFILBUSCADAV'));
                     
/*-- SEQ 0071 --*/
-- Ticket 20220510205 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0072 --*/
-- Ticket 2022083045 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0073 --*/
-- Ticket 2022083045--
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USALOTESEPARACAO', 'Usa lote na separao? Deve ser informado lote para cada produto separado.', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USALOTESEPARACAO'));
                     
/*-- SEQ 0074 --*/
-- Ticket 2022083045 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0075 --*/
-- Ticket 2021104596 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0076 --*/
-- Ticket 2021104596 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'INFORMACAO_SALDO_CCC', 'Exibir informao quando saldo em conta corrente do cliente estiver positivo no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'INFORMACAO_SALDO_CCC'));

/*-- SEQ 0077 --*/
-- Ticket 2021104596 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0078 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_NCM DISABLE ALL TRIGGERS;


/*-- SEQ 0079 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CES DISABLE ALL TRIGGERS;


/*-- SEQ 0080 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CESXNCM DISABLE ALL TRIGGERS;


/*-- SEQ 0081 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '85395200',
        '-- Lmpadas e tubos de diodos emissores de luz (LED)',
        4,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '85395200'));

/*-- SEQ 0082 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94051',
        '- Lustres e outras luminrias, eltricos, prprios para serem suspensos ou fixados no teto ou na parede, exceto os do tipo utilizado na iluminao pblica:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94051'));
                     
/*-- SEQ 0083 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94052',
        '- Abajures (candeeiros) de mesa, de escritrio, de cabeceira e luminrias (candeeiros) de p, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94052'));
                     
/*-- SEQ 0084 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94054',
        '- Outras luminrias e aparelhos de iluminao, eltricos:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94054'));
							
/*-- SEQ 0085 --*/
-- Ticket 20220811544 --
INSERT INTO TT_NCM (CODNCM, NOMNCM, NIVNCM, FLGATI, DATINC, ATU_EM)
(SELECT '94059',
        '- Partes:',
        3,
        'T',
        AGORA(),
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_NCM
                     WHERE CODNCM = '94059'));
                     

/*-- SEQ 0086 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '0900500',
        'Lmpadas de LED (diodos emissores de luz)',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '0900500'));
                     
/*-- SEQ 0087 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112300',
        'Lustres e outros aparelhos eltricos de iluminao, prprios para serem suspensos ou fixados no teto ou na parede, exceto os dos tipos utilizados na iluminao pblica; e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112300'));
                     
/*-- SEQ 0088 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112400',
        'Abajures de cabeceiras, de escritrios e lampadrios de interior, eltricos e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112400'));
                     
/*-- SEQ 0089 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CES (CODCES, DESCES, CESATI, DATINC)
(SELECT '2112500',
        'Outras luminrias e aparelhos de iluminao, eltricos, e suas partes',
        'T',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CES
                     WHERE CODCES = '2112500'));

/*-- SEQ 0090 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '0900500',
        '85395200',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '0900500'
                       AND CODNCM = '85395200'));

/*-- SEQ 0091 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112300',
        '94051',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94051'));
                   
/*-- SEQ 0092 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112300',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112300'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0093 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112400',
        '94052',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94052'));
                       
/*-- SEQ 0094 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112400',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112400'
                       AND CODNCM = '94059'));
                       
                       
/*-- SEQ 0095 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112500',
        '94054',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94054'));
                       
/*-- SEQ 0096 --*/
-- Ticket 20220811544 --
INSERT INTO TT_CESXNCM (CODTAB, CODCES, CODNCM, DATINC)
(SELECT SQCXN.NEXTVAL,
        '2112500',
        '94059',
        AGORA()
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_CESXNCM
                     WHERE CODCES = '2112500'
                       AND CODNCM = '94059'));
                       
/*-- SEQ 0097 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940510';

/*-- SEQ 0098 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '94052000';

/*-- SEQ 0099 --*/
-- Ticket 20220811544 --
UPDATE TT_NCM
   SET FLGATI = 'F'
 WHERE FLGATI = 'T'
   AND CODNCM = '940540';
 
 /*-- SEQ 0100 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_NCM ENABLE ALL TRIGGERS;

/*-- SEQ 0101 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CES ENABLE ALL TRIGGERS;

/*-- SEQ 0102 --*/
-- Ticket 20220811544 --
ALTER TABLE TT_CESXNCM ENABLE ALL TRIGGERS;




/*-- SEQ 0103 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0104 --*/
-- Ticket 2022035244 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'PRECO_INF_UNITARIO', 'Preo informado  unitrio no Totali POS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'PRECO_INF_UNITARIO'));
							
/*-- SEQ 0105 --*/
-- Ticket 2022035244 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0106 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD BASICM Number(12, 2) ;


/*-- SEQ 0107 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD BASRET Number(12, 2) ;


/*-- SEQ 0108 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD BSTFRE Number(14, 2) ;


/*-- SEQ 0109 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODAVU VARCHAR2(20) ;


/*-- SEQ 0110 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODDAR VARCHAR2(1) ;


/*-- SEQ 0111 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODDOP Number(5) ;


/*-- SEQ 0112 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODFCE Number(2) ;


/*-- SEQ 0113 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODFPS VARCHAR2(2) ;


/*-- SEQ 0114 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODIBG Number(10) ;


/*-- SEQ 0115 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODSRV Number(4) ;


/*-- SEQ 0116 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD CODTRI Number(5) ;


/*-- SEQ 0117 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD DATSTR VARCHAR2(10) ;


/*-- SEQ 0118 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD FILAGC VARCHAR2(3) ;


/*-- SEQ 0119 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD FINNFE VARCHAR2(1) ;


/*-- SEQ 0120 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD NATBCC VARCHAR2(2) ;


/*-- SEQ 0121 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD NATFRE VARCHAR2(1) ;


/*-- SEQ 0122 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD RATEIO_FRETE VARCHAR2(1) ;


/*-- SEQ 0123 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD SEQAGC VARCHAR2(10) ;


/*-- SEQ 0124 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD SITCOF VARCHAR2(2) ;


/*-- SEQ 0125 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD SITPIS VARCHAR2(2) ;


/*-- SEQ 0126 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD ST_FRE Number(14, 2) ;


/*-- SEQ 0127 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD TIPFRE VARCHAR2(1) ;


/*-- SEQ 0128 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD VLRBONFUT Number(12, 2) ;


/*-- SEQ 0129 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD VLRSRV Number(12, 2) ;


/*-- SEQ 0130 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_COM ADD XMLNFE VARCHAR2(4000) ;


/*-- SEQ 0131 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ALIICMAGR Number(6, 4) ;


/*-- SEQ 0132 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD APRBON Number(16, 2) ;


/*-- SEQ 0133 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASCOF Number(12, 2) ;


/*-- SEQ 0134 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASFCP Number(14, 2) ;


/*-- SEQ 0135 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASFCP_RET Number(14, 2) ;


/*-- SEQ 0136 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASFCP_ST Number(14, 2) ;


/*-- SEQ 0137 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASICMAGR Number(14, 2) ;


/*-- SEQ 0138 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASICMDIF Number(14, 2) ;


/*-- SEQ 0139 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASIPICAL Number(12, 2) ;


/*-- SEQ 0140 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASISS Number(12, 2) ;


/*-- SEQ 0141 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASPIS Number(12, 2) ;


/*-- SEQ 0142 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASSUB Number(14, 2) ;


/*-- SEQ 0143 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BASSUBDIF Number(14, 2) ;


/*-- SEQ 0144 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD BSTFRE Number(14, 2) ;


/*-- SEQ 0145 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CODBEN VARCHAR2(10) ;


/*-- SEQ 0146 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CODCSTDIF VARCHAR2(3) ;


/*-- SEQ 0147 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CODFCI VARCHAR2(36) ;


/*-- SEQ 0148 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD CSTXML VARCHAR2(3) ;


/*-- SEQ 0149 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICMITEDIF Number(14, 2) ;


/*-- SEQ 0150 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICMVEN Number(6, 4) ;


/*-- SEQ 0151 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICMVENDIF Number(6, 4) ;


/*-- SEQ 0152 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_BASRET Number(12, 2) ;


/*-- SEQ 0153 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_OUTTAX Number(12, 2) ;


/*-- SEQ 0154 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_VLRFRE Number(12, 2) ;


/*-- SEQ 0155 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ICO_VLRRET Number(12, 2) ;


/*-- SEQ 0156 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD IPIFRE Number(12, 2) ;


/*-- SEQ 0157 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD IPITRA Number(5, 2) ;


/*-- SEQ 0158 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ISEICMDIF Number(14, 2) ;


/*-- SEQ 0159 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD MOTDESON Number(2) ;


/*-- SEQ 0160 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD MVACOM Number(14, 4) ;


/*-- SEQ 0161 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD MVACOMDIF Number(14, 4) ;


/*-- SEQ 0162 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD NATBCC VARCHAR2(2) ;


/*-- SEQ 0163 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD OUTDES Number(12, 2) ;


/*-- SEQ 0164 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD OUTICMDIF Number(14, 2) ;


/*-- SEQ 0165 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PAUTAF Number(14, 2) ;


/*-- SEQ 0166 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERCOF Number(6, 4) ;


/*-- SEQ 0167 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERCRESN Number(7, 4) ;


/*-- SEQ 0168 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERDIF Number(7, 4) ;


/*-- SEQ 0169 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERDIFICM Number(7, 4) ;


/*-- SEQ 0170 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERDIFICMDIF Number(7, 4) ;


/*-- SEQ 0171 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERFCP Number(6, 4) ;


/*-- SEQ 0172 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERFCP_RET Number(6, 4) ;


/*-- SEQ 0173 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERFCP_ST Number(6, 4) ;


/*-- SEQ 0174 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERICMDEV Number(5, 2) ;


/*-- SEQ 0175 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERISS Number(5, 2) ;


/*-- SEQ 0176 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD PERPIS Number(6, 4) ;


/*-- SEQ 0177 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD RED_ST Number(7, 4) ;


/*-- SEQ 0178 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD RED_STDIF Number(7, 4) ;


/*-- SEQ 0179 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD REDITE Number(7, 4) ;


/*-- SEQ 0180 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD REDITEDIF Number(7, 4) ;


/*-- SEQ 0181 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD RETSUB VARCHAR2(1) ;


/*-- SEQ 0182 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD SITCOF VARCHAR2(2) ;


/*-- SEQ 0183 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD SITIPI VARCHAR2(2) ;


/*-- SEQ 0184 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD SITPIS VARCHAR2(2) ;


/*-- SEQ 0185 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD ST_FRE Number(14, 2) ;


/*-- SEQ 0186 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD TAXIPICAL Number(6, 4) ;


/*-- SEQ 0187 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLR_ST Number(14, 2) ;


/*-- SEQ 0188 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLR_STDIF Number(14, 2) ;


/*-- SEQ 0189 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRCOF Number(12, 2) ;


/*-- SEQ 0190 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRCRESN Number(14, 2) ;


/*-- SEQ 0191 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDESON Number(15, 2) ;


/*-- SEQ 0192 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDIF Number(12, 2) ;


/*-- SEQ 0193 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDIFICM Number(12, 2) ;


/*-- SEQ 0194 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRDIFICMDIF Number(12, 2) ;


/*-- SEQ 0195 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFCP Number(14, 2) ;


/*-- SEQ 0196 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFCP_RET Number(14, 2) ;


/*-- SEQ 0197 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFCP_ST Number(14, 2) ;


/*-- SEQ 0198 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRFILDES Number(12, 4) ;


/*-- SEQ 0199 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICM_CRE Number(12, 2) ;


/*-- SEQ 0200 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICM_EST Number(12, 2) ;


/*-- SEQ 0201 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMAGR Number(12, 2) ;


/*-- SEQ 0202 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMDEV Number(14, 2) ;


/*-- SEQ 0203 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMDIF Number(14, 2) ;


/*-- SEQ 0204 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMOP Number(12, 2) ;


/*-- SEQ 0205 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRICMOPDIF Number(12, 2) ;


/*-- SEQ 0206 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRIPICAL Number(12, 2) ;


/*-- SEQ 0207 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRISS Number(12, 2) ;


/*-- SEQ 0208 --*/
-- Tarefa 20220810234 --
ALTER TABLE TI_ICO ADD VLRPIS Number(12, 2) ;



/*-- SEQ 0209 --*/
-- Tarefa 2022094510 --
ALTER TABLE TT_REC ADD INDEXP VARCHAR2(1) ;



/*-- SEQ 0210 --*/
-- Ticket 2022072905 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0211 --*/
-- Ticket 2022072905 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'DAV_SEM_ENTREGA', 'Filtrar somente DAV sem entrega no PoS?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'DAV_SEM_ENTREGA'));

/*-- SEQ 0212 --*/
-- Ticket 2022072905 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0213 --*/
-- Ticket 2021092947 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0214 --*/
-- Ticket 2021092947 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'APLMULTECON', 'Aplica Quantidade Mltipla nos processos do E-Commerce sendo Consulta e Recepo de Pedidos?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'APLMULTECON'));					
													
/*-- SEQ 0215 --*/
-- Ticket 2021092947 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0216 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 -- 
SELECT * FROM NADA;

/*-- SEQ 0217 --*/
/*-- IGNORE ERRO --*/ 
-- Tarefa 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0218 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0219 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0220 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0221 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0222 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0223 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;

/*-- SEQ 0224 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;
 
/*-- SEQ 0225 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
SELECT * FROM NADA;


/*-- SEQ 0226 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP CONSTRAINT FK_REC_CCC;

/*-- SEQ 0227 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
DROP INDEX I_FK_REC_CCC;

/*-- SEQ 0228 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN FILCCC;

/*-- SEQ 0229 --*/
/*-- IGNORE ERRO --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC DROP COLUMN SEQCCC;


/*-- SEQ 0230 --*/
-- Tarefa 2022098461 -- 
ALTER TABLE TT_REC ADD FILCCC CHAR(3) ;


/*-- SEQ 0231 --*/
-- Tarefa 2022098461 --
ALTER TABLE TT_REC ADD SEQCCC CHAR(10) ;


/*-- SEQ 0232 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0233 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC);
 
/*-- SEQ 0234 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;

/*-- SEQ 0235 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ADD CONSTRAINT FK_REC_CCC FOREIGN KEY (FILCCC, SEQCCC) REFERENCES TT_CCC (CODFIL, SEQUEN);

/*-- SEQ 0236 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
CREATE INDEX I_FK_REC_CCC ON TT_REC (FILCCC, SEQCCC) TABLESPACE TOTALL_INDEX;

/*-- SEQ 0237 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_FUN DISABLE ALL TRIGGERS;


/*-- SEQ 0238 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
INSERT INTO TT_FUN (NOMFUN, DATFUN, ATU_EM) 
VALUES ('CCC_NEWREC', AGORA(), AGORA());

/*-- SEQ 0239 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_FUN ENABLE ALL TRIGGERS;


/*-- SEQ 0240 --*/
-- Ticket 2022099171 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0241 --*/
-- Ticket 2022099171 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'VALIDAVALECOMPRA', 'No permitir a forma de pagamento "Vale Compra" para clientes consumidor final no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'VALIDAVALECOMPRA'));
							
/*-- SEQ 0242 --*/
-- Ticket 2022099171 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0243 --*/
-- Ticket 2021111321 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0244 --*/
-- Ticket 2021111321 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'OCULTARPGTOPENDENTE', 'Ocultar a forma de pagamento pendente no PoS?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'OCULTARPGTOPENDENTE'));
							
/*-- SEQ 0245 --*/
-- Ticket 2021111321 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0246 --*/
-- Ticket 2022094877 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0247 --*/
-- Ticket 2022094877 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'SEMPRE_RESERVAR_DAV', 'Sempre reservar a DAV no Order Web?', 'B', 'T', 'F', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'SEMPRE_RESERVAR_DAV'));
							
/*-- SEQ 0248 --*/
-- Ticket 2022094877 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;


/*-- SEQ 0249 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC DISABLE ALL TRIGGERS;


/*-- SEQ 0250 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 2022098461 --
UPDATE TT_REC 
   SET FILCCC = (SELECT CODFIL FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 ),
       SEQCCC = (SELECT SEQUEN FROM TT_CCC WHERE TT_CCC.CODVEN = TT_REC.CODFIL
                                             AND TT_CCC.SEQVEN = TT_REC.SEQUEN
                                             AND TT_CCC.NUMPAR = TT_REC.NUMPAR
                                             AND TT_CCC.SUBPAR = TT_REC.SUBPAR
                                             AND TT_CCC.SEQUEN = (SELECT MAX(SEQUEN)
                                                                    FROM TT_CCC CCC2 
                                                                   WHERE CCC2.CODVEN = TT_REC.CODFIL  
                                                                     AND CCC2.SEQVEN = TT_REC.SEQUEN  
                                                                     AND CCC2.NUMPAR = TT_REC.NUMPAR  
                                                                     AND CCC2.SUBPAR = TT_REC.SUBPAR)
                 )
 WHERE (CODFIL, SEQUEN, NUMPAR, SUBPAR) IN (SELECT CODVEN, SEQVEN, NUMPAR, SUBPAR
                                              FROM TT_CCC)
   AND FILCCC IS NULL;
 
/*-- SEQ 0251 --*/
-- Ticket 2022098461 --
ALTER TABLE TT_REC ENABLE ALL TRIGGERS;


--Adio das novas colunas na TT_ICO
/*-- SEQ 0252 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD BASICM_CM Number(16, 4) ;


/*-- SEQ 0253 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLRICM_CM Number(16, 4) ;


/*-- SEQ 0254 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD BAS_ST_CM Number(16, 4) ;


/*-- SEQ 0255 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLR_ST_CM Number(16, 4) ;


/*-- SEQ 0256 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLR_CMORI Number(16, 4) ;


/*-- SEQ 0257 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD VLRCMGORI Number(16, 4) ;


/*-- SEQ 0258 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD TOT_CMORI Number(16, 4) ;


/*-- SEQ 0259 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD TOTCMGORI Number(16, 4) ;


/*-- SEQ 0260 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_ICO ADD SAL_CMORI Number(16, 4) ;



--Adio das novas colunas na TT_IVE
/*-- SEQ 0261 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD BASICM_CM Number(16, 4) ;


/*-- SEQ 0262 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLRICM_CM Number(16, 4) ;


/*-- SEQ 0263 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD BAS_ST_CM Number(16, 4) ;


/*-- SEQ 0264 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLR_ST_CM Number(16, 4) ;


/*-- SEQ 0265 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLR_CMORI Number(16, 4) ;


/*-- SEQ 0266 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD VLRCMGORI Number(16, 4) ;


/*-- SEQ 0267 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD TOT_CMORI Number(16, 4) ;


/*-- SEQ 0268 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD TOTCMGORI Number(16, 4) ;


/*-- SEQ 0269 --*/
/*-- IGNORE ERRO --*/ 
-- Ticket 20220811994 --
ALTER TABLE TT_IVE ADD SAL_CMORI Number(16, 4) ;


/*-- SEQ 0270 --*/
-- Ticket 20220811994 --
ALTER TABLE TT_PCS DISABLE ALL TRIGGERS;


/*-- SEQ 0271 --*/
-- Ticket 20220811994 --
INSERT INTO TT_PCS(ID_PCS, DATINC, ATU_EM, NOMPCS, DESPCS, TIPPCS, PCSGER, PCSFIL, PCSECF, PCSSER)
(SELECT SQPCS.NEXTVAL, Agora(), Agora(), 'USACM_BASE_IMP_TRANS', 'Utilizar os valores de Custo Mdio como base de clculo dos impostos nas transferncias?', 'B', 'T', 'T', 'F', 'F'
   FROM DUAL
  WHERE NOT EXISTS (SELECT 1 AS OK
                      FROM TT_PCS
                     WHERE NOMPCS = 'USACM_BASE_IMP_TRANS'));

/*-- SEQ 0272 --*/
-- Ticket 20220811994 --
ALTER TABLE TT_PCS ENABLE ALL TRIGGERS;

